---
title: combining drawn & parametric masks
id: drawn-and-parametric
weight: 40
draft: false
---

描画マスクとパラメトリックマスクは、組み合わせて単一のマスクとしてモジュールに適用することもできます。

マスクをどのように組み合わせるかを決める要素は、主に2つあります。それぞれのマスクの _極性(polarity)_ の設定（プラスマイナスボタンで設定します）と、「マスク組み合わせ」(combine masks)ドロップダウンリストの設定です。

「マスク組み合わせ」ドロップダウンリストには以下の選択肢があり、描画マスクとパラメトリックマスクがどのように組み合わされるかを決定します。

除外的(exclusive)
: 除外的モードは、マスクを組み合わせる単純な方法で、それぞれのマスクの値を個々のピクセルごとに掛け算します。

: あるピクセルについて、それぞれのマスクの _いずれかの_ 値がゼロであれば最終的なマスクの（そのピクセルでの）値はゼロとなり、 _すべての_ 値が1.0である場合だけ最終的な値が1.0となります。

: いずれかのマスクでピクセルの値をゼロにすることで、他のマスクでの値にかかわりなくそのピクセルを _除外する(exclude)_ ことができます。あるピクセルがいずれかのマスクで一旦除外されると、別のマスクでもう一度範囲に含める方法はありません。

包括的(inclusive)
: 包括的モードでは、まずそれぞれのマスクを反転し（ピクセルの値を、1.0から元の値を引いたものに変換し）、それから反転したマスクをピクセルごとに掛け算して、最後に得られたマスクをもう一度反転します。

: あるピクセルについて、それぞれのマスクの _いずれかの_ 値が1.0であれば最終的なマスクの（そのピクセルでの）値は1.0となり、 _すべての_ 値がゼロである場合だけ最終的な値がゼロとなります。

: いずれかのマスクでピクセルの値を1.0にすることで、他のマスクでの値にかかわりなくそのピクセルをマスクに _含める(include)_  ことができます。あるピクセルがいずれかのマスクで完全に含められると（値がを1.0にされると）、別のマスクでもう一度除外する方法はありません。

反転モードで除外的／包括的(exclusive and inclusive inverted modes)
: 上述の2つの組み合わせ方法だけでは、まだできることに少々制約があります。そこで、それぞれのマスクを先に反転しておく方法も使うことで、より柔軟に対応できるようになります。これは、それぞれのマスクのチャンネルごとにある極性ボタンを使うことで制御できます。

: マスクの極性ボタンを押すことで、マスクの値を反転させられます（ピクセルの値を、1.0から元の値を引いたものに変換できます）。

: 最後に、「マスク組み合わせ」ドロップダウンリストでは _除外的 & 反転(exclusive & inverted)_ や _包括的 & 反転(inclusive & inverted)_ を選択することもできます。これはそれぞれ _除外的_ や _包括的_ モードと同様のものですが、最後に得られたマスクを反転する点だけが違います。

# 典型的な利用方法

包括的モード
: まず「マスク組み合わせ」ドロップダウンリストを「包括的」に設定し、それから全マスクの全チャンネルについての極性ボタンをマイナス（-）にします。この場合のスタート地点は、全ピクセルの値がゼロの状態（どのピクセルもマスクに含まれていない状態）です。それから、パラメトリックマスクのスライダーを動かしてマスクに含めるピクセルを増やしていく、描画マスクのシェイプを描いてマスクに追加する領域を選択する、という操作を進めることになります。

除外的モード
: 逆のやりかたでは、まず「マスク組み合わせ」ドロップダウンリストを「除外的」に設定し、全マスクの全チャンネルについての極性ボタンをプラス（+）にした状態で始めます。この場合のスタート地点は、全ピクセルの値が1.0の状態（全ピクセルがマスクに含まれている状態）です。それから、パラメトリックマスクのスライダーを動かして必要なだけピクセルを除外する、直接シェイプを描画してその領域を除外する、という具合に進めます。

便利な操作として、パラメトリックマスクの設定には、「全チャンネルの極性を一度に反転して、同時に『マスク組み合わせ』ドロップダウンリストの『包括的』『除外的』設定を逆転する」というボタンが用意されています。

慣れないうちは、上述の2つの使い方のいずれかに従うことをおすすめします。これはつまり、最初に「どのようにマスクを作るか」を決めておく必要がある、ということを意味します。
