---
title: drawn masks
id: drawn
weight: 20
draft: false
---

描画マスク機能を使うと、画像の上に直接「シェイプ」を描くことでマスクを構成できます。シェイプは単独でも、組み合わせても使うことができます。一旦画像に描かれたシェイプは、あとから調整・削除したり、別のモジュールで再利用したりすることも可能です。

シェイプは内部的にはベクターグラフィックとして保存され、ピクセルパイプライン処理中には必要な解像度でピクセル化されます。また、シェイプは元々のRAW画像の座標系で表現されますが、パイプライン中で有効になっている変形処理のモジュール（例えば [_レンズ補正(lens correction)_](../../../module-reference/processing-modules/lens-correction.md) や [_回転と遠近法補正(rotate and perspective)_](../../../module-reference/processing-modules/rotate-perspective.md) など）に応じて変換されます。このため、後からどのような変形がなされたかにかかわらず、シェイプは常に画像の中の同じ部分にあたることになります。

描画マスクを作成・編集するために必要なインターフェースは、モジュール最下部の「描画マスク」か「描画&パラメトリックマスク」のアイコンを選択すると表示されます。また、[マスクマネージャー(mask manager)](../../../module-reference/utility-modules/darkroom/mask-manager.md) モジュールを使うことでも、シェイプの作成・編集ができます。

# シェイプの作成

シェイプアイコン（左から円・楕円・パス・ブラシ・グラデーション）をクリックし、作成するシェイプを選択してください。

![shape icons](./drawn/shape-icons.png)

シェイプアイコンをクリックすると、シェイプ作成モードに入ります。さらにシェイプの作成が終わると、自動的に編集モードに移ります。

アイコンをCtrl+クリックすると、同種のシェイプを複数連続して描くことができます。シェイプを描き終わるごとに、自動的に同じシェイプの作成モードに入ります。この連続作成モードでは、右クリックでシェイプ作成を終了し、シェイプ編集モードに入ることができます。

どの種類のシェイプでも、Shiftキーを押しながらマウスホイールを回すことで、シェイプの周辺部（シェイプ境界のぼかしの部分）の幅を変えることができます。またCtrlキーを押しながらだと、シェイプの不透明度を変えられます。この操作はシェイプ作成モード・編集モードのどちらでも使えます（編集モードでは、マウスカーソルを対象のシェイプに重ねてください）。

デフォルトでは、マウスホイールを上に回すと、対応するシェイプのパラメータ（幅や不透明度など）が増えます。この動作は、[設定(preferences) > ダークルーム(darkroom) > 下にスクロールでマスクのパラメータが増大(scroll down to increase mask parameters)](../../../preferences-settings/darkroom.md)の設定で変えることができます。

---

**注意：** シェイプ作成モードでマウスホイール操作をすると、それ以降の周辺部や不透明度の _デフォルト値_ も変わります。次に新しくシェイプを作成するときには、新しいデフォルト値が使われます。

---

# シェイプの編集

「マスク要素を表示・編集」(show and edit mask elements)アイコン ![show-and-edit-masks-icon](./drawn/shape-edit.png#icon) をクリックすると、シェイプ編集モードに入ります。この状態では現在のモジュールで使われている描画マスクがすべて表示され、そのシェイプを編集できます。また、[マスクマネージャー(mask manager)](../../../module-reference/utility-modules/darkroom/mask-manager.md)で関連するグループが展開されます。このアイコンをCtrl+クリックした場合、制限編集モードに入り、一部の操作（シェイプ全体のドラッグやシェイプのサイズ変更など）ができないようになります。これは特にパスやブラシシェイプを編集するとき、影響が大きいミスを避けるのに便利です。

シェイプをクリックしてからドラッグすると、場所を動かすことができます。また、クリックすると、そのシェイプはマスクマネージャーでも選択されます。

# シェイプの削除

編集モードでシェイプを右クリックすると、削除できます。

# シェイプの再利用

別のモジュールで作成したシェイプを再利用することもできます。シェイプのドロップダウン（編集モードボタンの左）をクリックして、以前に作成したシェイプを個別に選択、あるいは別のモジュールで使ったシェイプのグループを使ってください。この操作は以下の二種類の方式から選択できます。

既存のシェイプを追加
: 以前に作成した（ [マスクマネージャー(mask manager)](../../../module-reference/utility-modules/darkroom/mask-manager.md) か別のモジュールの描画マスクで）シェイプか、シェイプのグループを選択してください。選択したシェイプやグループがどこか別のところで使われている場合、その後加えた変更はすべて、同じシェイプやグループ全体に反映されます。

同じシェイプを使用
: 別のモジュールで使われているシェイプをすべて現在のモジュールのマスクに追加します。これは前の選択肢とは違い、新しいグループを作って、コピー元のモジュールとは独立に（グループに）シェイプを追加削除できるようにします。両方のグループに共通しているシェイプはリンクされた状態になります。

# シェイプの組み合わせ・管理

[マスクマネージャー(mask manager)](../../../module-reference/utility-modules/darkroom/mask-manager.md) モジュールを使うと、それまでに作ったシェイプを管理できます。またこのモジュールで、描画マスクをグループ化し、集合演算（和、積、差、対称差）を使って組み合わせることもできます。

# シェイプの変形

画像にシェイプを配置すると、座標系を一貫したものに保つため、実際には元のRAWファイルの上に描かれます。シェイプは、最終的にモジュールで使われて画面に表示される前に、ピクセルパイプラインを通して渡されます。このことは、形の変形をともなうモジュール（レンズ補正など）を有効にしている場合には最終的な画像でシェイプが変形して表示される場合がある、ということを意味します。このことによって、例えば円が楕円に表示されたり、グラデーションの直線が曲がって表示されたりすることがあります。もし正確な形にシェイプを作る必要がある場合（変形の補正をしたい場合）、単純なシェイプ（円とか楕円とか）を使うのを避けてパスを使うことをおすすめします（制御点を多くすることで、変形を抑えることができます）。またグラデーションの直線を調整して、レンズ補正による単純な変形を補正する、ということも可能です。

# シェイプ一覧

円
: 画像の上でクリックすると、円を配置します。マウスカーソルが円の上にある状態でマウスホイールを回すと直径が変わり、境界の上で回すと境界部分（ぼかし部分）の幅が変わります（この操作は、Shiftキーを押しながらマウスホイールを回すのと同じです）。

楕円
: 基本的には円のときと同様です。加えて、楕円の上には4つのノードが表示されます。このノードをクリックすると、楕円の離心率（細長さ）を調整できます。ノードをCtrl+クリックしてドラッグするか、Shift+Ctrlを押しながらマウスホイールを回すと、楕円を回転させることができます。シェイプの中でShift+クリックすると、境界部分を等距離モードと比例モードの間で切り替えられます。

パス
: 画像の上でクリックしてノードを3つ以上配置することで、自由に閉曲線を描きます。最後のノードを追加したあとに右クリックして終了します。デフォルトでは、ノード間は滑らかな曲線で結ばれます。もし直線で結びたいなら、Ctrl+クリックでノードを追加することで可能です。

: 編集モードで既存のノードをCtrl+クリックすることで、滑らかな曲線と直線モードを切り替えることができます。ノード間の線の上でCtrl+クリックすると、そこにノードが追加されます。ノードの上で右クリックすると、ノードを削除できます。この操作のときは、マウスポインタがちゃんと目的のノードの上にありノードがハイライトされているかを確認して、うっかりパス全体を削除しないように気をつけてください。

: 最終的なシェイプの大きさは、マウスホイールを回して変えることができます。同様に、周辺部（シェイプ周辺のぼかし部分）の幅も変えられます。また周辺部の操作は、Shift+マウスホイールを使うと、マウスカーソルがシェイプのどこにあっても可能です。個別のノードやノード間の線分も、ドラッグすると移動できます。クリックしてノードを選択すると、もうひとつ制御点が表示され、線の曲がり具合を調整できます（右クリックするとデフォルトに戻ります）。外側の境界の制御点をドラッグすると、周辺部の幅を部分的に調整することができます。

: パスの微調整をする場合、制限編集モードも使ってみてください（編集モードボタンをCtrlキーを押しながらクリック）。このモードでは、個別のノードや線分だけが調整でき、うっかり全体を動かしたりリサイズしたりする危険を避けられます。

ブラシ
: 画像の上で左クリックするとブラシ描画を開始し、そのままマウスボタンを押しながらマウスカーソルを動かしたとおりに描画されます。マウスボタンをはなすと描画が終了します。マウスホイールを回すと、ブラシの太さが変化します（描き始める前でも途中でも可能です）。また、 "`{`" キーと "`}`" キーでは周辺部のぼかしサイズが、 "`<`" キーと "`>`" キーでは不透明度が増減できます。

: もし筆圧感知つきのペンタブレットをお持ちであれば、darktableでは検知された筆圧の値をブラシ描画のときの値にわり当てることができます。この操作は [設定(preferences) > ダークルーム(darkroom) > ブラシマスクの筆圧操作(pen pressure control for brush masks)](../../../preferences-settings/darkroom.md) で設定可能です。

: タブレットのペンやマウスの左ボタンを離した時点で、ブラシの動きは一連のつながったノードに変換され、それが最終的なシェイプとなります。設定で（ [設定(preferences) > ダークルーム(darkroom) > ブラシストロークのスムーシング(smoothing of brush strokes)](../../../preferences-settings/darkroom.md) ）、接続する線をどの程度滑らかにするかは調整できます。この値を高く設定すると、ノードの数が少なくなります。編集は簡単になりますが、思ったとおりに正確に制御するのは難しくなります。

: ブラシで描画したときのノードとノード間の区間は個別に編集することができます。詳細な操作については、パスについての説明（上記）を参照してください。

---

**注意：** ブラシであまり複雑なシェイプを作ると、処理にかなりCPUを使います。可能であれば円・楕円・パスなどのシェイプを使うことも考えてみてください。

---

グラデーション
: グラデーションシェイプは、特定の点から画像の端に向かって線形に変わるグラデーションです。

: 画像の上でクリックして、50%の不透明度を表す線の位置を決めます。点線は、そこを越えると不透明度が100%／0%になる距離を表しています。この2つの点線の間では、不透明度が線形に変化します。

: 中央の線には2つノードがあり（訳注：矢印の根本と先端）、ドラッグすることでグラデーションを回転させることができます。また、クリックとドラッグでシェイプを配置するときにも、回転させることが可能です。

: グラデーションは、中央の線のあたりでマウスカーソルを回すことで、曲げることもできます。これは [_レンズ補正(lens correction)_](../../../module-reference/processing-modules/lens-correction.md) モジュールが原因の歪みを打ち消したいときに便利です。

: モジュールや対象の画像によっては、グラデーションシェイプを使うと縞模様が発生する場合があります。これを軽減するためには、 [_ディザリング(dithering)_](../../../module-reference/processing-modules/dithering.md) モジュールを使うことを検討してください。

# 描画マスクの極性逆転

"`+/-`" ボタンをクリックすると、描画マスク全体の極性が反転します。例えば、円形のマスクは、デフォルトでは円の中の領域だけにモジュールの効果が適用されます。極性を逆転すると、モジュールの効果が円の中 _を除いた_ 全体に適用されるようになります。
