---
title: mask refinement & additional controls
id: masks
weight: 50
draft: false
---

パラメトリックマスクか描画マスクが選択されている場合，さらにマスクをより細かく調整するためのスライダー等が表示されます（「マスク微調整」(mask refinement)セクション）．

ディテール閾値
: この設定では、画像のディテールの量にもとづいてマスクの不透明度を変えることができます。ディテールがたくさんある領域を選択するか（正の値を設定）、平板でディテールがあまりない領域を選択する（負の値を設定）ような場合、このスライダーを操作してください。デフォルト値（ゼロ）だと、ディテール調整を省略することになります。この設定は、シャープ化やぼかしなどの、ピントがあっていない領域（ボケ領域）を無視するような効果を使うときや、ぼやけた部分だけシャープ化してピントがあっている領域を過剰にシャープ化しないようにしたいときなどに有効です。

---

**注意：** ディテールによるマスク調整に使われる情報はピクセルパイプラインのデモザイクの段階で得るようになっており、（これ以外のパラメトリックマスクのように）モジュールの入力から得るわけではありません。デモザイクの後のどのモジュールもディテールマスク調整には何の影響も与えませんし、この処理は現在のところRAW以外の画像では使うことができません。

---

周辺処理ガイド(feathering guide)
: マスク周辺処理(mask feathering)によって，描画・パラメトリックマスクの周辺がなめらかにされ，自動的に画像内の形状の輪郭に合うように調整されます．この機能は，モジュールの入力か（ブレンディング前の）出力かのいずれかを使って行われ，また、マスクぼかしより前にすることも後にすることもできます。これは「周辺処理ガイド(feathering guide)」のドロップダウンリストで何を選んだかによって決まります．この選択の影響が特に大きくなるのは，境界に影響するモジュール（画像のシャープ化やぼかしを行うモジュール）を使っている場合です．
: - _出力・ぼかし前(output before blur)_: 周辺処理にモジュールの _出力_ を使い、マスクをぼかすより _前_ に行われます。
: - _入力・ぼかし前(input before blur)_: 周辺処理にモジュールの _入力_ を使い、マスクをぼかすより _前_ に行われます。
: - _出力・ぼかし後(output after blur)_: 周辺処理にモジュールの _出力_ を使い、マスクをぼかした _後_ に行われます。
: - _入力・ぼかし後(input after blur)_: 周辺処理にモジュールの _入力_ を使い、マスクをぼかした _後_ に行われます。

周辺処理範囲(feathering radius)
: マスク周辺処理の強さを調整します．周辺処理が一番効果的に働くのは，マスクの境界が画像内の何かの境界とだいたい合っている場合です．「周辺処理範囲」を大きくすればするほど，周辺処理アルゴリズムによってより遠くの境界と合わせることができます．ですがこの範囲を大きくしすぎると，マスクが行きすぎてしまう（ユーザーが意図していない部分まで覆ってしまう）場合が出てきます．この値をゼロにすると，周辺処理効果は無効になります．

マスクぼかし半径(bluring radius)
: マスク自体にぼかしをかけ，画像のブレンド部分とブレンドされない部分のギャップをやわらげます．不自然なゆがみを避けるために使えます．このスライダーの値は，最終的なマスクに適用されるガウシアンぼかしの半径を設定します．半径を大きくするほど，ぼかしが強くかかります（ゼロにすればぼかしのないマスクになります）．マスクの境界合わせ機能が働いているときは，マスクぼかしは必ず周辺調整のあとでかけられます．この対応により，境界がはっきりしすぎていたり歪みが生じていたりする場合にもなめらかにすることができます．

マスク不透明度(mask opacity)
: モジュールの効果が適用される強さは，場所ごとのマスクの不透明度によって決まります．マスク周辺処理やぼかしをかけると，元のマスクより不透明度が下がる場合があります．そこで，「マスク不透明度」のスライダーでマスクの不透明度を再調整して対応することができます．このスライダーでマスク不透明度を減らした場合（スライダーをマイナスの値にした場合），不透明度が低い（薄い）部分ほど強く影響を受けます．逆に，マスク不透明度を増やした場合（プラスの値にした場合），不透明度が高い（濃い）部分ほど強く影響を受けます．この結果，完全に不透明な部分は常に不透明なまま，完全に透明な部分は常に透明なままになります．これは，モジュールの効果から完全に除外する部分や完全に適用する部分（マスクの不透明度を0%や100%にした部分）を必ずそのままにしておくためです．

マスクのコントラスト(mask contrast)
: このスライダーではマスクのコントラストを増減できます．マスクの不透明な部分と透明な部分の間が，どのように変化するかが調整されます．

![eye icon](./refinement-controls/icon-eye.png#icon) マスクを一時的に無効化(temporarily switch off mask)
: 場合によっては，マスクを有効にせずにモジュールの効果を確認すると便利なことがあります．このアイコンをクリックすると，一時的にマスクを無効化できます（選択中のブレンドモードと全体の不透明度は有効のままです）．

![mask icon](./refinement-controls/icon-mask.png#icon) マスク表示(display mask)
: このアイコンをクリックすると，白黒にした画像の上に重ねて黄色で現在のマスクを表示します．完全に黄色で塗られている部分が100%の不透明度を表し，白黒の画像が（黄色なしで）完全に見えている部分が0%の不透明度を表しています．

# 例：描画マスクの周辺処理

![feathering](./refinement-controls/feathering.png#w100)

画像の中の特定の形をぴったり覆うような描画マスクを作るのは，なかなかめんどうな場合があります．この例では，左端の画像のライオンの像の色をあざやかにして，しかし背景には影響を与えないようにしたい，とします．

1. 最初の画像は，何もしていない元の画像を示しています．
2. 2番目の画像は，像をだいたい覆うような描画マスクを作ったところです．マスクの周辺がやや不正確で，正確にライオンの像の輪郭にそってはいないことに注意してください．
3. 3番目の画像は，周辺処理範囲・マスク不透明度・マスクのコントラストを調整し，さほど労せずしてぴったり合ったマスクを作ったところです．この例では，周辺処理範囲を50，マスクぼかし半径を5に設定し，ある程度なめらかになるようにしています．マスク不透明度とマスクのコントラストはそれぞれ0.3と0.5に増やしています．
4. 右端の画像は最終的な結果を示しています．色の調整（ [_カラーコントラスト(color contrast)_](../../../module-reference/processing-modules/color-contrast.md) モジュールを使っています）がライオンの像の部分だけに限定されているのがわかります．

マスクの周辺処理による調整は，この例ではとてもよく機能しています．ライオンの像が，フォーカスのあたっていない背景からはっきり分かれているからです．像の領域のはっきりした境界が，マスク調整アルゴリズムが像の形にマスクを合わせるガイドになっています．