---
title: the anatomy of a processing module
id: the-anatomy-of-a-module
weight: 10
draft: false
---

darktableにおける画像処理の基本要素は [編集モジュール(processing module)](../../module-reference/processing-modules/) です。RAW画像を処理するには、複数の編集モジュールを入力画像に対して順番に作用させることになります。それぞれのモジュールは画像に対して別々の _操作(operation)_ を行います。Adobe Photoshopに慣れている人は、darktableにおける _編集モジュール_ とは _調整レイヤー(adjustment layer)_ のようなもので、「それまでの調整の出力の上に重ねて、画像に対してさらに調整を行うもの」と考えてもよいと思います。

darktableには [機能モジュール(utility modules)](../../module-reference/utility-modules/) と呼ばれるものもありますが、これは画像に対して何か操作するもの以外の、画像を管理したり、タグ付けしたり、エクスポートしたりといった機能を持つものを指します。

編集モジュールはすべて他のモジュールとは独立して動作しますが、どのモジュールも同様の手順で処理が行なわれます。

![module anatomy](./the-anatomy-of-a-module/module-anatomy.png#w100)

1. 直前に実行されたモジュールから _モジュールの入力_ を受けとり、それに対して _操作_ をほどこして、 _操作の出力_ を生成します。この _操作_ は個々の [編集モジュール](../../module-reference/processing-modules/_index.md) ごとに異なります。

2. _モジュールの入力_ と _操作の出力_ を [ブレンド(blending operator)](../masking-and-blending/blend-modes.md) を使って組み合わせ、 _ブレンドの出力_ を生成します。ブレンドが設定されていなければ、この段階の出力は _操作の出力_ と同一になります。

3. _マスク_ を生成します。これによって画像内の各ピクセルに対して _不透明度_ が定義されます。後の段階で、この _不透明度_ を使って、モジュールの操作が画像のどの部分に対してどの程度強く適用されるかが決められます。

   画像の上に直接形状を描くか、 _モジュールの入力_ か _操作の出力_ の各ピクセルの何かの値を使うかの方法で、マスクが定義できます（詳しくは [マスク(masks)](../masking-and-blending/masks/_index.md) を参照）。すべてのピクセルについて同様に働く全体の不透明度を設定することで、生成されたマスクをさらに調整することも可能です。

   描画マスクもパラメトリックマスクも使わない場合、この段階の出力は、すべてのピクセルが同じ不透明度を持つようなマスクとなります（量は全体の不透明度の設定によります）。不透明度が設定されていない場合（ブレンドがない場合）は、全体の不透明度は1.0（つまり100%）となります。

4. _モジュールの入力_ と _ブレンドの出力_ を、 _マスク_ を使ってピクセルごとに組み合わせ、 _最終出力_ を生成します。あるピクセルについてマスクの不透明度が100%であれば、 _最終出力_ でのそのピクセルは _ブレンドの出力_ のものと同一になります。不透明度が0であれば、 _最終出力_ でのそのピクセルは _モジュールの入力_ と同一になります。その中間の不透明度であれば、不透明度の大きさに応じて _ブレンドの出力_ と _モジュールの入力_ のピクセルが組み合わされます。 _最終出力_ は、その先の処理のため、次に実行されるモジュールに渡されます。

2と3の段階は任意であり、すべてのモジュールにあるわけではありません。例えば、 [デモザイク(demosaic)](../../../module-reference/processing-modules/demosaic.md) モジュールは、判別できる画像を出力するためにはRAWファイル全体に適用する必要があるため、出力にマスクやブレンドを使う意味はありません。

上記の各段階について、さらに詳しくはこれ以降の節で解説します。