---
title: module controls
id: module-controls
weight: 40
draft: false
---

この節では、編集モジュールの操作方法を説明します。

# スライダー

スライダーには5種類の操作方法がありますので、どのくらい細かいコントロールが必要かに応じて使い分けてください。

左クリック
: スライダーの好きな位置をクリックするか、ドラッグするかで値を変えられます。別に三角のところを狙ってクリックする必要はないですし、少々上下にずれていても大丈夫です。ラベルを含めたスライダー部分の中であれば、ちゃんと動作します。

マウスホイール
: スライダーの上にマウスカーソルを重ねて、ホイールを回すことでも値を変えられます。

矢印キー
: スライダーにフォーカスがある場合、マウスカーソルを重ねて、キーボードの矢印キー（←↓と→↑）を使っても値を変えられます。値を変更せずにスライダーにフォーカスをあてるには、2回右クリックしてください。

右クリック
: スライダーの上で右クリックすると、スライダーの下に詳細コントロール用ポップアップが表示され、マウスで細かく値を調整したり、キーボードから直接数値を入力したりできます。

: ![bauhaus](./module-controls/bauhaus.png#w33)

: このポップアップでは、マウスを動かすと三角マークから伸びている曲線が動きます。マウスカーソルが三角に近いほど、数値が大きく動き、遠くなるほど数値の微調整ができるようになります。この状態で左クリックすると値が確定され、ポップアップが閉じます。

: あるいは、この状態ではキーボードから数値を入力して、enterキーで確定することもできます。さらに、ポップアップを開く前の値をxとして、簡単な数式を入力すれば、darktableが値を自動的に計算してくれます（訳注：たとえばx*2などと入力すると値が入力前の2倍になる）。

ダブルクリック
: スライダーかラベル部分をダブルクリックすると、デフォルトの値に戻ります。

なお、マウスホイールと矢印キーで値を変えるときの細かさについては、以下のように調整することができます。

 - Shiftキーを押しながら値を変えると、一回で変わる量が10倍 _大きく_ なります。
 - Ctrlキーを押しながら値を変えると、一回で変わる量が10分の1に _小さく_ なります。

この倍率は両方とも、 `$HOME/.config/darktablerc` の中の以下の値を変えることで変更可能です。
```
darkroom/ui/scale_rough_step_multiplier=10.0
darkroom/ui/scale_precise_step_multiplier=0.1
```

# コンボボックス

コンボボックスをクリックすると、選択肢がいくつか現れますので、クリックで選んでください。選択肢のリストが画面の下端や上端のあたりに表示されて一部が隠れてしまう場合がありますが、そういうときはマウスホイールでスクロールすれば他の部分もアクセスできます。あるいは、そもそもクリックせずに、マウスホイールや矢印キーを使って選択肢を変えたり、選択肢の一部をキー入力することで絞りこんだりすることもできます。

# カラーピッカー

モジュールによっては、カラーピッカーを使って設定できるパラメータがあります（ ![color-picker-icon](./module-controls/color-picker.png#icon) アイコンが表示されています）。共通の操作方法となっており、ほとんどの場合、一点モードか範囲モードのどちらかで操作します。カラーピッカーアイコンをクリックすると一点モードで動作し、Ctrlを押しながらクリックか右クリックすると範囲モードで動作します。

# キーボードショートカット

モジュールのパラメータはキーボードショートカットで調整することもできます。詳しくは [設定(preferences) > ショートカット(shortcuts)](../../preferences-settings/shortcuts.md) を参照してください。