---
title: module header
id: module-header
weight: 10
draft: false
---

編集モジュールの一番上の部分を _モジュールヘッダ_ と呼びます。

![module header](./module-header/module-header.png#w33)

モジュール名のところをクリックすると中身が展開され、動作を調整するパラメータが表示されます。

デフォルトでは、darktableでは一度にひとつだけモジュールを開くことができます。つまり、別のモジュールヘッダをクリックすると、開いていたモジュールの表示は閉じます。もし一度に複数のモジュールを開きたければ、ヘッダをShiftキーを押しながらクリックすると、すでに開いているモジュールを閉じずに新しく開くことができます。 [設定(preferences) > ダークルーム(darkroom)](../../../preferences-settings/darkroom.md) で設定すると、Shiftに対する動作を逆にすることもできます。

---

**注意：** モジュールを開いても、「オンになる」わけではありません。オンにする方法は以下を見てください。

---

モジュールヘッダには、左から順に次のような要素があります。

オン／オフボタン
: クリックするとモジュールのオンオフを切り替えます。一部のモジュールは処理に不可欠なので、オフにできなくなっています（パラメータは変更できます）。また、特定の種類の画像では使えないようなモジュールもあり、そういう場合はオンにできなくなっています。

: オンオフボタンをCtrlキーを押しながらクリックすると、モジュールにフォーカスが当たっているかが切り替わります。フォーカスがあるかどうかによって、モジュールの機能を設定するときに使う、画像の上に表示されるタイプの操作インターフェースが表示されるかどうかが決まります。例えば、 [_トリミング(crop)_](../../../module-reference/processing-modules/crop.md) モジュールでは、フォーカスがあるときだけクロップや変形のためのガイド線が表示されます。またモジュールを開いたときは、自動的にフォーカスがあたります。

モジュール名
: モジュール名は、モジュールの種類の名前（変更不可）と、その後に続くインスタンスの名前（変更可）で構成されます。デフォルトでは、モジュールの1つめのインスタンスはインスタンス名が空になります。インスタンスをさらに追加すると、それぞれのインスタンス名の初期値は重複しない整数になります。例えば、露光(exposure)モジュールで2つめのモジュールを作ると、自動的に `exposure 1` という名前になります。

: モジュール名をCtrlキーを押しながらクリックすると、インスタンス名を変更できます。

マスク表示切り替え
: このアイコンは、そのモジュールで [マスク（mask）](../masking-and-blending/masks/_index.md) が有効になっているときに表示されます。アイコンの上にマウスカーソルを重ねると、どの種類のマスクが有効になっているかが表示されます。クリックすると、白黒の画像の上に現在のマスクが黄色く重ねて表示されます。完全に黄色であればマスクの不透明度が100%であることを、画像が完全に見えていれば（黄色が全くなければ）不透明度が0%であることを表します。このボタンは [設定（preferences） > ダークルーム（darkroom） > モジュールヘッダにマスクボタンを表示（show mask indicator in module headers）](../../preferences-settings/darkroom.md#modules) で無効化することもできます。

インスタンスメニュー
: このメニューで、モジュールのインスタンスの作成、削除、移動、名前の変更ができます。このアイコンを右クリックすると、即座に新しいインスタンスが作成されます。詳しくは、 [複数インスタンス(multiple instances)](./multiple-instances.md) の節を参照してください。

リセット
: クリックすると、モジュールの中のすべての設定が、デフォルト値にリセットされます。Ctrlキーを押しながらクリックすると、自動の [プリセット(presets)](./presets.md) が再適用されます。もしモジュールに自動のプリセットがなければ、Ctrl+クリックでも単にデフォルト値にリセットします（ふつうにクリックしたときと同じです）。

プリセットメニュー
: このメニューで、モジュールのプリセットの適用、作成、編集ができます。詳しくは、 [プリセット(presets)](./presets.md) の節を参照してください。

モジュール名の右の4つのアイコンを表示するかどうかは、 [設定(preferences) > ダークルーム(darkroom) > 編集モジュールヘッダの右ボタンを表示(show right-side buttons in processing module headers)](../../preferences-settings/darkroom.md#modules) で設定できます。