---
title: multiple instances
id: mutiple-instances
weight: 20
draft: false
---

darktableのモジュールの多くは、ピクセルパイプライン内で複数回使うことが可能です。モジュールのインスタンスはすべて独立して動作し、それぞれがピクセルパイプラインの直前のモジュールから入力を受けとって、次のモジュールに出力を渡します。

モジュールの最初のインスタンスと同様、すべてのインスタンスはピクセルパイプライン内で独立して動かすことができます。Ctrl+Shiftを押しながらドラッグ&ドロップするか、 _インスタンス_ メニューで「上に移動(move up)」「下に移動(move down)」を使ってください。

インスタンスの名前は、モジュール名の部分をCtrlを押しながらクリックすると変更できます。

# 複数インスタンスが有用な例

ピクセルパイプライン中で同じモジュールを複数回適用する意味があるような場合は、いろいろ考えられます。以下にいくつかよくある例を示します。

- The [_露光(exposure)_](../../../module-reference/processing-modules/exposure.md) モジュールは、 [マスク(masks)](../masking-and-blending/masks/_index.md) を組み合わせると、画像の一部分だけを明るくしたり暗くしたりできます。そこで、別々のマスクの部分を調整するために、別々のインスタンスを使うことが考えられます。
- 画像のノイズについて、輝度ノイズと色ノイズを別々に扱いたい場合があると思います。これを実現するには、ノイズ除去モジュールのインスタンスを2つ用意して、ひとつめを輝度ノイズだけに使い（ [ブレンドモード(blend mode)](../masking-and-blending/blend-modes.md) を「明るさ(lightness)」にする）、ふたつめを色ノイズだけに使う（ブレンドモードを「色(color)」）とよいです。

---

**注意：** 複数インスタンスを作ると、それぞれのインスタンス分の処理が必要になります。あまりにも多数のインスタンスを、特に処理の重いモジュールで作った場合、明らかに処理が重くなる場合があります。

---

# 複数インスタンスの管理

[モジュールヘッダ(module header)](./module-header.md) の _インスタンスメニュー_ をクリックすると、以下のような内容のメニューが表示されます。メニューアイコンを右クリックすると、新しいインスタンスを直接作ることもできます（メニューで「新しいインスタンス」をクリックするのと同じです）。

新しいインスタンス
: 現在のモジュールの新しいインスタンスを、デフォルトのパラメータで作成します。元のインスタンスと区別できるように、重複しない整数が自動的にインスタンス名としてつけられます。

インスタンス複製
: 現在のモジュールの新しいインスタンスを、現在のインスタンスのパラメータをそのまますべて引きついで作成します。「新しいインスタンス」の場合と同様に、整数のインスタンス名がつけられます。

上に移動／下に移動(move up/down)
: 現在のインスタンスを、ピクセルパイプライン内で上か下に動かします。

削除
: 現在のインスタンスを削除します。もしインスタンスが現在ひとつだけであれば、この操作はできません。

名前の変更
: 現在のインスタンスの名前を変えます。インスタンス名が、履歴スタックでのコピー・ペーストにどのような影響を与えるかについて、詳しくはリファレンスの [履歴スタック(history stack)](../../../module-reference/utility-modules/lighttable/history-stack.md) の節を参照してください。
