---
title: presets
id: presets
weight: 30
draft: false
---

プリセットは、モジュールのよく使う設定を記憶しておいて、あとで使うためのものです。最初からいくつか（内蔵の）プリセットが定義されているモジュールもありますし、ユーザー自身でプリセットを定義することもできます。どちらのプリセットも、 [モジュールヘッダ(module header)](./module-header.md) の _プリセットメニュー(presets menu)_ をクリックすると表示されます。

: Most of the functionality described here applies to processing modules only. However, presets can also be used with some utility modules. When used with utility modules, the functionality to auto-apply or auto-show presets based on image Exif data is not available.
: ここで説明されている機能のほとんどは、編集モジュールでのみ使うことができます。ですが、プリセットを使うことができる機能モジュールもいくつかあります。機能モジュールで使う場合、EXIFデータによるプリセットの自動適用や自動表示は使うことができません。

: 編集モジュールについては、プリセットを保存するとモジュールがそのとき有効になっているかどうかも保存される、という点にもご注意ください。このことを利用して、「必要に応じて有効化できるデフォルト設定」のようなことも実現できます。まずお好みのデフォルト値を設定して、モジュールを無効化し、それからプリセットとして保存してください。

# プリセットメニュー

プリセットメニューでは、現在のモジュールでどのようなプリセットが定義されているか、またどのプリセットが選択されているかに応じて、以下の項目のいくつかが表示されます。

プリセット一覧
: 現在のモジュールで使えるプリセットの一覧です。もしどれかのプリセットが現在選択されていれば、それは **太字** で表示され、横にチェックマークが表示されます。

現在のプリセットを編集(edit this preset)
: プリセットが選択されている状態であれば、内容を編集できます（下記参照）。

現在のプリセットを削除(delete this preset)
: プリセットが選択されている状態であれば、選択中のプリセットを削除します。

プリセット \[プリセット名\] を更新(update preset \[name\])
: 名前で示されるプリセットの内容を、現在モジュールに設定されているパラメータの内容に更新します。

新しいプリセットとして保存(store new preset)
: 新しいプリセットを作成し、現在モジュールに設定されているパラメータの内容にします。

プリセットの名前をクリックすると、現在のモジュールのインスタンスに、プリセットで定義されたとおりにパラメータが設定されます。右クリックすると、インスタンスを新しく作り、新しいインスタンスにプリセットの内容を設定します。また、各プリセットにショートカットキーを設定しておけば、ダークルームで作業中にいつでもキーを押すだけでプリセットを適用できます（ [設定(preferences) > ショートカット(shortcuts)](../../preferences-settings/shortcuts.md) を参照）。

# プリセットの作成と編集

プリセットを作成するか編集するかする場合、以下のようなダイアログが表示されます。

![new preset](./presets/new_preset.png#w33)

## 操作

名前(name)
: プリセットの名前です。

説明(description)
: 検索にも使える、プリセットの説明文です（必須ではありません）。

条件に合った画像に自動適用(auto apply this preset to matching images) _（編集モジュールのみ）_
: ここにチェックを入れると、条件に合った画像を最初にダークルームで開いたときに、プリセットの内容が自動的に設定されます（このような自動適用プリセットは、 [モジュールヘッダ(module header)](./module-header.md) で _リセット_ ボタンをCtrlキーを押しながらクリックすると、再度適用できます）。チェックが入っていると、どのような画像に適用されるか、画像のEXIFデータを使って条件決めるための入力欄が、ダイアログ下部に表示されます。

: 例えば、特定のカメラで撮影した画像すべてに適用したい場合、「モデル(model)」欄以外はすべてデフォルト値のままにしておきます。もしどんな画像でも自動適用したければ、すべての入力欄をデフォルト値にしておけばよいです。

: 上に表示したダイアログの例では、次のような条件を設定しています。レンズ名が入力された値を含むこと、絞り値が f/8 以上であること、焦点距離が24〜35mmであること。これらをすべて満たせば、プリセットが自動適用されます。

: _[画像情報(image information)](../../module-reference/utility-modules/shared/image-information.md) モジュールには、画像ごとのカメラのモデル名やレンズ名などが表示されます。スペルミスを防ぐのに活用してください。_

条件に合った画像の場合のみ表示(only show this preset for matching images) _（編集モジュールのみ）_
: ここにチェックを入れると、上と同様に条件を判定して、条件に合った場合にプリセットメニューに表示されるようになります。

## filter criteria
## フィルタ条件

編集モジュールでのプリセットの自動適用や自動表示には、以下の条件を使うことができます。

モデル名（model）
: カメラのモデル名を表すEXIFフィールドにマッチさせるパターン（訳注：このパターンにマッチした場合に適用される。以下同様）。%はワイルドカードになります。

メーカー名（maker）
: カメラのメーカー名を表すEXIFフィールドにマッチさせるパターン。%はワイルドカードになります。

レンズ名（lens）
: レンズ名を表すEXIFフィールドにマッチさせるパターン。%はワイルドカードになります。

ISO値
: 画像のISO値が指定された範囲内の場合だけプリセットが適用されます。

露光（exposure）
: 画像の露光時間が指定された範囲内の場合だけプリセットが適用されます。長時間露光はいくらでもいい場合、上限を + にしてください。

絞り（aperture）
: 画像の絞り値が指定された範囲内の場合だけプリセットが適用されます。開放側はいくらでもいい場合は下限を f/0 に、絞り側はいくらでもいい場合は上限を f/+ に設定してください。

焦点距離（focal length）
: 画像の焦点距離が指定された範囲（0〜1000で設定）内の場合だけプリセットが適用されます。

形式（format）
: 特定の種類の画像にだけプリセットが適用されます。チェックボックスに印をつけるとその種のファイルが含まれ、チェックをはずせばその種のファイルには適用されなくなります。「raw」「rawでない画像（non-raw）」「HDR」「モノクロ（monochrome）」「カラー（color）」から選択できます。

---

**注意**: 「raw」と「rawでない画像」の両方が選択されていない状態にすると、どのファイルにも適用されなくなります（darktableで扱えるファイルは、RAWかそうでないかのいずれかですので）。「モノクロ」と「カラー」の両方をはずした場合も同様です。

---


# プリセットの管理

元から存在する（内蔵の）ものも、ユーザーが作成したものも、プリセットはすべて [設定(preferences) > プリセット(presets)](../../../preferences-settings/presets.md) に表示され、管理できます。

もし元から存在するプリセットと同じ名前のプリセットを削除した場合、ユーザー作成のものが削除され、さらにその名前のプリセットは一切表示されない状態になります。一旦darktableを終了してもう一度起動すれば、元から存在していたほうが再び表示されるようになります。
