---
title: thumbnails
id: thumbnails
draft: false
weight: 30
author: "people"
---

ライトテーブルとフィルムストリップでは、現在のコレクションに含まれる各画像はサムネイル表示されます。最近使ったサムネイルはディスク上のファイルとして保存され、起動時にメモリに読みこまれます。このキャッシュの（メモリ上の）大きさは、 [設定（preferences） > 処理（processing） > cpu/gpu/memory](../../../preferences-settings/processing#cpu--gpu--memory) で設定可能です。

# サムネイル作成

サムネイルは、画像が初めてdarktableにインポートされたとき、ダークルームで画像を編集したとき、サムネイルが無くなった画像をもう一度開いたときに作成されます。

画像が初めてdarktableにインポートされたときは、画像に埋めこまれたサムネイル（ほとんどのRAWファイルにはJPEGのサムネイルがあります）を使うか、RAW画像自体をデフォルト設定で処理してサムネイルを作るか、どちらかの方法が使えます。どちらを使うかについては、 [設定(preferences) > ライトテーブル(lighttable)](../../../preferences-settings/lighttable.md) で設定できます。

画像に埋めこまれたサムネイルを取り出す方法は、通常とても速く動作します。しかし、このサムネイルはカメラのRAW変換機能で作成されているので、darktableがその画像をどう処理するかは表していません。ダークルームで画像を開くと、すぐにサムネイルとの違いに気付くと思います。その時点でdarktableは、ライトテーブルでのサムネイルを実際に処理したものに置きかえます。

画像をインポートすると、darktableは自動的に必要なサムネイルを生成します。新しい画像を大量にインポートした場合、サムネイル生成処理のためライトテーブルの操作が重くなる場合があります。そこで、darktableを一旦終了して、 [darktable-generate-cache](../../special-topics/program-invocation/darktable-generate-cache.md) を単独で実行してサムネイルキャッシュを生成することもできます。このプログラムは、1度の実行で不足しているサムネイルをすべて生成します。

前述のとおりサムネイルのキャッシュは最大容量が決まっていますので、最終的にはあふれることになります。その場合、新しいサムネイルが追加されるたびに、古いものがキャッシュから捨てられます。しかし、 [設定（preferences） > 処理（processing） > cpu/gpu/memory](../../../preferences-settings/processing#cpu--gpu--memory) で「ディスクバックエンド有効(enable disk backend for thumbnail cache)」オプションがオンになっている場合、すべてのサムネイルがディスク上にも保持されます。この二次（ディスク上）キャッシュのサムネイルは一次（メモリ上）キャッシュのものより遅いですが、それでもいちからサムネイルを再生成するよりはずっと高速です。二次キャッシュの容量は、使えるディスク容量そのもの以外の制限はありません。

サムネイルが二次キャッシュから削除されることはありません。手動では、 `$HOME/.cache/darktable/mipmaps-xyz.d` フォルダ以下に存在する画像をすべて削除すれば、消すことができます（ `xyz` の部分はアルファベットと数字で構成されたIDです）。消したあとは、単純にdarktableが自動でサムネイルを再生成するのを待ってもいいですし、 [`darktable-generate-cache`](../../special-topics/program-invocation/darktable-generate-cache.md) を使ってまとめて生成しなおしてもかまいません。

もしキャッシュのディスクバックエンドを無効にして、さらにメモリキャッシュの容量をあまり小さくしてしまうと、darktableの反応が遅くなる場合があります。コレクションを移動するごとにいつもいつもサムネイルの再生成処理が起きたり、サムネイル画像がちかちかしたりするかもしれません。キャッシュサイズは512MB以上にしておくのがよいと思います（詳しくは [メモリ(memory)](../../../special-topics/memory.md) の節を参照してください）。

[設定(preferences) > ライトテーブル(lighttable) > サムネイル(thumbnails)](../../../preferences-settings/lighttable.md#thumbnails) で対応する項目をオンにしておけば、サムネイルはすべてカラーマネジメントされます。darktableで正しいモニタプロファイルが読みこまれるように適切に設定されていれば、色が正確に表示されるようになるはずです。カラーマネジメントについてさらに詳しくは、 [カラーマネジメント(color management)](../../../special-topics/color-management/_index.md) の節を参照してください。

# ドクロマーク

もし何かの理由でサムネイルが生成できなかった場合、darktableではかわりにドクロマークの画像 (![skull icon](./thumbnails/skull.png#icon) が表示されます。こうなってもあわてないでください。

これが表示される主な原因は、3つあります。

- _画像ファイルが存在しない_： darktableは、データベースから削除されないかぎり、これまでインポートしたすべての画像を記憶しています。darktableがサムネイルが生成しようとして、実際にはファイルが開けなかった場合、ドクロマークがかわりに表示されます。ディスクから物理的に画像を削除したい場合、その前に [選択画像(selected images)](../../../module-reference/utility-modules/lighttable/selected-image.md) モジュールを使ってdarktableのデータベースから削除しておくことをお勧めします。あるいは、ときどきdarktableツールセットの [`purge_non_existing_images.sh`](../../../special-topics/program-invocation/purge_non_existing_images_sh.md) スクリプトを実行して、データベースを整理しておくこともできます。

- _画像形式の問題_： 画像ファイルの拡張子だけ見るとdarktableでサポートされていそうに見えても、実際はサポートされていない形式だったり、ファイルが壊れていたり、ということはあり得ます。

- _メモリ不足_： darktableがサムネイル生成中にメモリが不足した場合、警告が表示され、ドクロマークが表示されます。これはdarktableが最適ではない設定で動いている場合、特に32ビット環境で発生する可能性があります。詳しくは [メモリ(memory)](../../../special-topics/memory.md) の節を参照してください。
