---
title: censorize
id: censorize
applicable-version: 3.6
tags:
working-color-space: RGB
view: darkroom
masking: true
---

人物などの対象を匿名化したり部分的に隠したりするなどの目的のため、見た目がなるべく自然になるような形で画像の特定部分の画質を落とします。

検閲(censorize)モジュールは線形RGB色空間で動作し、物理的に正確なガウシアンぼかしやガウシアン輝度ノイズを加えます。

匿名化以外にも、このモジュールはいろいろな目的で使うことができます。例えば以下のようなものです。

- 単純なぼかしを「乗算」 [ブレンドモード(blend mode)](../../darkroom/masking-and-blending/blend-modes.md) で追加し、自然にふわっとした感じを作り出します（いわゆるオートン効果(Orton effect)）。
- 単純なぼかしを「減算」ブレンドモード・低い不透明度で追加し、 [アンシャープマスク(unsharp mask)](https://en.wikipedia.org/wiki/Unsharp_masking) を作ります。これは [シャープ化(sharpen)](./sharpen.md) モジュールと似ていますが、RGBシーン参照空間で動作します。
- ノイズを追加し、芸術的な粒状効果を作り出します。

---

**注意：** このモジュールの匿名化の手法は、科学捜査に耐えられるようなものではありません。見た目が自然になることを優先しています。科学捜査的な手法によっては、このモジュールで匿名化された部分が復元できてしまう可能性があります。特に、単純な形状や文字の場合です（例えば、ナンバープレートとか通りの住所表記など）。

もしどんな捜査手法にも耐えられるような匿名化がどうしても必要な場合、唯一の方法は、その部分を単色で塗りつぶすことです。

**darktable 開発チームは、画像の不十分な匿名化によって個人や個人の財産の特定につながったとしても、一切の責任を負いません。**

---

# 作業手順

まず、画像の中の匿名化しようとする領域を適切に [マスク(mask)](../../darkroom/masking-and-blending/masks/drawn.md) してから、このモジュールの操作をすることをおすすめします。そうすれば、マスクを設定しているときに画像の細部をちゃんと確認することができます。

# モジュールの操作

入力ぼかし半径
: 最初のガウシアンぼかしの強さを指定します。

ピクセル化半径
: 最初のガウシアンぼかしのあとに行なうピクセル化の、「大きいピクセル」のサイズを指定します。

出力ぼかし半径
: ピクセル化のあとに適用される、2回目のガウシアンぼかしの強さを指定します。

ノイズ量
: 2回目のガウシアンぼかしのあとに適用される、ガウシアン輝度ノイズの強さ（標準偏差）を指定します。ノイズを追加することで、ぼかしをかけた領域のディテールがさらに偽装され、AIアルゴリズムによる内容の推定がより難しくなります。