---
title: contrast equalizer
id: contrast-equalizer
applicable-version: 3.6
tags: 
working-color-space:  
view: darkroom
masking: 
---

輝度と彩度のコントラストを、ウェーブレットで調整します。

この多目的モジュールは、ブルーミング、ノイズ除去、明瞭化、ローカルコントラスト強化といった、様々な効果のために使うことができます。

[ウェーブレット(wavelet)](../../darkroom/processing-modules/wavelets.md) の原理で動作しており、パラメータをウェーブレットの各詳細度スケールごとに独立して調整することができます。またCIE LCh 空間で動作するので、輝度と彩度を独立して扱うことができます。

各種プリセットも用意されており、このモジュールでは何ができるのか理解するための助けになるはずです。

# モジュールの操作

_コントラストイコライザー(contrast equalizer)_ モジュールは、画像をスケール（細かさ）の異なる複数のディテールに分解します。それぞれのスケールのディテールについて、コントラストとノイズ削減のスプラインを輝度(luma)と彩度(chroma)に対して独立に調整することや、ウェーブレット変換における境界認識度合い(edges)を調整することが可能です。輝度・彩度・境界のそれぞれのスプライン曲線は別々のタブで操作します。以下の節で、使い方の例をいくつか示します。

スプライン曲線の下には、 _ミックス(mix)_ と呼ばれるスライダーがあります。このスライダーは、効果の強さを全体的に調整したり、グラフを上下反転したり（ _ミックス_ に負の値を設定します）するために使います。なお、編集しやすいように、マウスカーソルがスプライン曲線に重なっている間は、 _ミックス_ スライダーが1.0であるかのように曲線が表示されます。マウスカーソルを曲線から離すと、その時点で _ミックス_ スライダーに応じて曲線が再調整されます。

スプライン曲線の背景に、暗い部分と明るい部分の縞模様が表示されていると思います。これは、現在のズームレベルにおいて確認できるディテールレベルを示しています。この縞模様の範囲外のスケールは、現在の表示では小さすぎて表示できていない、ということです。この縞模様の範囲内の制御点を操作すれば、目に見える変化が起きる _かもしれません_ （操作の程度によります）。縞模様の外側で操作した場合、目に見える変化は起き _ません_ 。より詳細な部分の調整をするには、さらにズームインしてから操作してください。

---

**テクニック：** スプライン曲線のどの部分を動かすと画像のどの部分に影響が出るのかよくわからなければ、 [ブレンドモード(blend mode)](../../darkroom/masking-and-blending/blend-modes.md) を「差の絶対値」(difference)に設定してみてください。こうすると、画像が真っ暗になり、モジュールの処理によって変化する部分だけが表示されるようになります。制御点を上に動かしてみれば、その点が画像のどのディテールを表しているかわかるでしょう。

---

## 輝度タブ

輝度タブでは、画像の明るさ（輝度）についてローカルコントラストを調整できます。調整量は、初期状態ではグラフの中央を左右に走っている（何も調整していないことを表します）、白い線で表されます。このスプライン曲線の左側のほうを持ち上げたり下げたりすると、粗いスケールのディテールのローカルコントラストが増減します。同様の操作を右側のほうで行えば、細かいディテールについてローカルコントラストが調整できます。

マウスカーソルをグラフの上で動かすと、操作したときの影響範囲が白い円形で表示されます。この円形はマウスホイール操作で大きさを変えられます。この円形が大きいほど、曲線を操作したときに多くの制御点が影響を受けます。背景に表示される色の違う領域は、そのあたりで一番上か下まで動かした場合にスプライン曲線の形がどのように変化するかを示しています。この機能については、下で示しているスクリーンショットで確認してください。さらに詳しくは、 [ウェーブレット(wavelets)](../../darkroom/processing-modules/wavelets.md) の節を参照してください。

次の画像は、コントラストイコライザーモジュールで何か調整する前の、デフォルトの状態です。

![contrast-equalizer-luma-orig](./contrast-equalizer/contrast-equalizer-luma-orig.png#w66)

右端の2つの制御点を最大まで上げると、細かいディテール（鳥の目と羽の部分）をかなりはっきりさせ、しかし粗いディテール（背景の岩の部分）はおおむねそのまま残すことになります。なお下の例では、効果をわかりやすくするため、誇張して表示していることに注意してください。

![contrast-equalizer-luma-high](./contrast-equalizer/contrast-equalizer-luma-high.png#w66)

ローカルコントラストを強くすると、画像にある輝度ノイズも増大します。グラフの下端にあるもうひとつのスプライン曲線では、対応するスケールでのノイズ削減ができます。スプライン曲線の一部を持ち上げると（最下部の△マークのどれかのあたりをクリックし、そのまま上にドラッグします）、対応するウェーブレットスケールでのノイズが低減されます。上の例では、下のノイズ削減スプライン曲線も、グラフ右端で持ち上げられています。

## 彩度タブ

彩度タブでは、各ウェーブレットスケールでの色コントラストや彩度を調整できます。以下の例を見てください。

![contrast-equalizer-chroma-orig](./contrast-equalizer/contrast-equalizer-chroma-orig.png#w66)

例えば、雄しべの先にある葯のところでもう少し緑色を出したいとします。ピンクの花びらの部分にはもう十分な彩度があるのですが、コントラストイコライザーを使えば、葯のスケールのあたりだけ選択的に彩度を上げて、花びらの彩度には影響を与えないようにできます。右から3つめの制御点を持ち上げることで、葯の部分だけの彩度を調整します。

![contrast-equalizer-chroma-high](./contrast-equalizer/contrast-equalizer-chroma-high.png#w66)

輝度タブと同様に、彩度タブにも最下部にノイズ削減用のスプライン曲線があります。これは画像内の各スケールごとに色ノイズを処理するために使うことができます。色ノイズ削減処理は、一般的に大きいウェーブレットスケールほど強く、小さいスケールほど弱く働きます。

## 境界タブ

ウェーブレットにおける基本的な _à trous_ 変換は、 _コントラストイコライザー_ では「境界を考慮する」ように強化されており、階調の逆転やハロー効果など、基本的なアルゴリズムで生じかねない問題が起きにくいようになっています。 _境界(edge)_ タブでは、画像の境界や輪郭が直接処理されるわけではありません。そうではなく、ウェーブレット変換における（前述の）境界の考慮度合いを調整するようになっています。もし明るさや彩度のスプライン曲線を何も動かしていなければ、境界タブのスプライン曲線で何をしても効果はありません。

「境界を考慮したアルゴリズム」で何に対処しているのか見るため、"Edge-Optimized À-Trous Wavelets for Local Contrast Enhancement with Robust Denoising" (Hanika, Damertz and Lensch 2011) という原著論文から例を紹介します。

![contrast-equalizer-edge](./contrast-equalizer/contrast-equalizer-edge.png#w75)

左の画像は、境界タブのスプライン曲線を最小に設定して、実質的に境界を考慮しないように設定しています。この結果、ハローが発生しています。真ん中の画像では、境界タブのスプライン曲線を過大に設定した結果、階調の逆転が発生しています。右の画像は境界タブの設定を両極端の中間に設定したもので、境界がきれいに描写されています。

通常、このタブの設定はデフォルトである中間位置から初めるとよいと思われますが、境界のあたりに上の例のような好ましくない歪みが発生している場合は、このタブを調整することでうまく対応できる場合があります。多少の試行錯誤は必要になります。