---
title: crop & rotate
id: crop-rotate
applicable-version: 3.6
tags: 
working-color-space:  
view: darkroom
masking: 
---

切り抜き・回転・遠近法歪みの修正を行います。作業中、構図を検討するためのガイド線が表示されます。

このモジュールのボタン等にフォーカスがあたっている間は、必ず切り抜き前の画像全体が表示され、また切り抜きハンドル（操作用の枠）とガイド線も表示されます。

![screen controls](./crop-rotate/screen-controls.png#w75)

切り抜き部分のサイズを変えるには、周囲や四隅のハンドルをドラッグします。

切り抜き部分を動かす場合、内部でクリックしてからそのままドラッグしてください。ドラッグするときに垂直／水平の動きに限定させるには、ドラッグ中にそれぞれCtrl／Shiftキーを押しながら操作すれば可能です。切り抜き操作を確定するには、別のモジュールにフォーカスをうつすか、画像をダブルクリックします。

もし [_レタッチ(retouch)_](./retouch.md) モジュールを使うつもりであれば、 _切り抜きと回転(crop & rotate)_ モジュールでは回転か楔石(keystone)補正だけを行い、切り抜きは [_切り抜き(crop)_](./crop.md) モジュールのほうで行うことをおすすめします。 _切り抜き_ モジュールはピクセルパイプライン中で _レタッチ_ モジュールより後なので、このようにすることで _レタッチ_ でコピー元を選ぶときに必ず画面全体を使うことができます。

---

**注意：** このモジュールの操作の中には、画像に対して補間処理が必要なものがあります（回転と遠近法歪み補正）。補完してもなるべくぼやけないようにするには、 [設定(preferences) > 画像処理(processing)](../../preferences-settings/processing.md) でピクセル補間手法(pixel interpolator)をlanczos3に設定してください。

---

# モジュール操作

_切り抜きと回転_ モジュールは、下記のとおりふたつのタブに分かれています。

## 主タブ

反転(flip)
: 画像を水平・垂直・両方の方向に反転します。

角度(angle)
: 角度の数値を直接（スライダーで）設定するか、あるいはマウス操作を使って画像の回転角を補正します。マウス操作では、右クリックしてからドラッグすると線が引けますので、基準になりそうな水平線か垂直線に合わせて引いてください。マウスボタンを離すと、引いた線が水平か垂直の軸に合うように画像が回転します。

楔石(keystone)
: 遠近法歪みを補正します。この機能は、例えば高いビルを短い焦点距離で地上から上向きに撮ったときなどに有効です。コンボボックスでは、補正の種類を以下の選択肢から選ぶことができます。
: - _垂直(vertical)_: 補正を垂直の線だけに限る
: - _水平(horizontal)_: 補正を水平の線だけに限る
: - _すべて(full)_: 水平・垂直の線を同時に補正する

: 選択した補正に応じて、画像に重ねて2本か4本の調整用直線が表示されます。それぞれの直線にある2つの赤い丸をマウスで動かすと、直線の位置が調整できます。また、直線には「対称」(symmetry)ボタンも用意されています（訳注：線の真ん中にある∞マークのボタン）。これを有効にしていると（赤く表示されます）、その直線を動かしたときに、反対側の線も必ず対称的に動きます。

: 遠近法歪みを補正するには、まず基準に使える水平な線か垂直な線（あるいは両方）を見つけて、調整用の直線をそこに合わせて動かす必要があります。動かしたら、画像の真ん中にあるOKボタンを押してください。その設定に合わせて補正されます。また、あとからコンボボックスで「適用中の補正」(correction applied)を選べば、いつでも補正を再調整することができます。

![keystone set](./crop-rotate/keystone-set.png#w25#inline) ![keystone applied](./crop-rotate/keystone-applied.png#w25#inline)

自動切り抜き(automatic cropping)
: 画像の周囲の黒い部分をなくすように、自動的に切り抜きが行なわれます。これは画像を回転する場合に便利です。

縦横比
: 切り抜きの縦横比を設定し、切り抜き操作中に選択領域の縦：横の比が設定した値に制限されるようにします。あらかじめ、よく使われる比が定義されていますが、いくつか特殊なものは説明が必要でしょう。
: - _フリーハンド(freehand)_: 切り抜きのときに縦横比を制限しません。
: - _元画像(original image)_: 画像のもともとの縦横比を保ちます。
: - _正方形(square)_: 縦横比を1:1に制限します。
: - _黄金分割(golden cut)_: いわゆる黄金比（1.62:1）です。

: また、コンボボックスを開いてから比を直接入力することで、それ以外でも好きな縦横比を設定できます。入力はx:yの形式か、単独の数値（例：0.5を入力すると2:1の比になります）を使ってください。

: もし特定の縦横比を定義済みのリストに追加したい場合、darktableの設定ファイル `$HOME/.config/darktable/darktablerc` に "`plugins/darkroom/clipping/extra_aspect_ratios/foo=x:y`" という形式の行を追加すれば可能です。ここで "`foo`" は追加する縦横比の名前、 "`x`" と "`y`" は対応する比の数値を表します（ `x` と `y` は整数）。

: それから、コンボボックスの横にあるボタンでは、縦と横の長さが違う場合に縦長にするか横長にするかを切り替えられます。

---

**注意：** フリーハンドモードを使う場合、Shiftキーを押しながらドラッグすると、現在の縦横比を保ったままサイズを変えることができます。

---

ガイド(guides)
: 画像切り抜きするときの構図ガイド用の線について、どの種類を使うか選択します。

ガイド反転(guides flip)
: 選択しているガイド線が（上下または左右に）対称でないタイプの場合、水平・垂直・両方に反転して表示できます。

## マージンタブ

このタブのスライダーを使うと、それぞれの方向にどの程度切り抜くのかを直接設定することができます。画像の切り抜き領域をマウス操作で動かしたりサイズを変えたりした場合、ここのスライダーも自動的に更新されます。

左(left)
: 画像の左端から何パーセント切り捨てるか設定します。

右(right)
: 画像の右端から何パーセント切り捨てるか設定します。

上(top)
: 画像の上端から何パーセント切り捨てるか設定します。

下(bottom)
: 画像の下端から何パーセント切り捨てるか設定します。

