---
title: crop
id: crop
applicable-version: 3.8
tags: 
working-color-space:  
view: darkroom
masking: 
---

画像の切り抜きを行います。作業中、構図を検討するためのガイド線が表示されます。

このモジュールはピクセルパイプラインの中で [_切り抜きと回転(crop and rotate)_](./crop-rotate.md) モジュール（非推奨）よりも後に処理されます。そのため、このモジュールを使っても、 [_レタッチ(retouch)_](./retouch.md) モジュールでコピー元を指定するときに画像の全領域を使うことができます。最良の結果を得るため、まず [_回転と遠近法補正(rotate and perspective)_](./rotate-perspective.md) モジュールで回転と遠近法補正を（必要に応じて）行い、最後にこのモジュールで切り抜き処理することをおすすめします。

このモジュールにフォーカスがあたっているときは、必ず切り抜き前の画像全体が表示され、それに重ねて切り抜き線やガイド線が表示されます。

![screen controls](./crop/screen-controls.png#w75)

切り抜き部分のサイズを変えるには、周囲や四隅のハンドルをドラッグします。

切り抜き部分を動かす場合、内部でクリックしてからそのままドラッグしてください。ドラッグするときに垂直／水平の動きに限定させるには、ドラッグ中にそれぞれCtrl／Shiftキーを押しながら操作すれば可能です。切り抜き操作を確定するには、別のモジュールにフォーカスをうつしてください。

# モジュールの操作

_切り抜き_ モジュールの操作は、以下のように二つの部分に分けられます。

## 切り抜き設定(crop settings)

縦横比
: 切り抜きの縦横比を設定し、切り抜き操作中に選択領域の縦：横の比が設定した値に制限されるようにします。あらかじめ、よく使われる比が定義されていますが、いくつか特殊なものは説明が必要でしょう。
: - _フリーハンド(freehand)_: 切り抜きのときに縦横比を制限しません。
: - _元画像(original image)_: 画像のもともとの縦横比を保ちます。
: - _正方形(square)_: 縦横比を1:1に制限します。
: - _黄金分割(golden cut)_: いわゆる黄金比（1.62:1）です。

: また、コンボボックスを開いてから比を直接入力することで、それ以外でも好きな縦横比を設定できます。入力はx:yの形式か、単独の数値（例：0.5を入力すると2:1の比になります）を使ってください。

: もし特定の縦横比を定義済みのリストに追加したい場合、darktableの設定ファイル `$HOME/.config/darktable/darktablerc` に "`plugins/darkroom/clipping/extra_aspect_ratios/foo=x:y`" という形式の行を追加すれば可能です。ここで "`foo`" は追加する縦横比の名前、 "`x`" と "`y`" は対応する比の数値を表します（ `x` と `y` は整数）。なお、追加できるのは、もともとドロップダウンリストに存在しない比率だけです。

: それから、コンボボックスの横にあるボタンでは、縦と横の長さが違う場合に縦長にするか横長にするかを切り替えられます。

---

**注意：** フリーハンドモードを使う場合、Shiftキーを押しながらドラッグすると、現在の縦横比を保ったままサイズを変えることができます。

---

## マージン

ここのスライダーを使うと、それぞれの方向にどの程度切り抜くのかを直接設定することができます。画像の切り抜き領域をマウス操作で動かしたりサイズを変えたりした場合、ここのスライダーも自動的に更新されます。

ここを設定することはそんなにないので、デフォルトでは閉じてあります。

左(left)
: 画像の左端から何パーセント切り捨てるか設定します。

右(right)
: 画像の右端から何パーセント切り捨てるか設定します。

上(top)
: 画像の上端から何パーセント切り捨てるか設定します。

下(bottom)
: 画像の下端から何パーセント切り捨てるか設定します。

## ガイド

チェックを入れると、このモジュールが有効になっているときはガイド線が表示されるようになります。右側のアイコンをクリックすると、ガイド線の種類や色を変更できます。詳しくは [ガイドとオーバーレイ表示(guides & overlays)](../utility-modules/darkroom/guides-overlays.md) をご覧ください。