---
title: denoise (profiled)
id: denoise-profiled
applicable-version: 3.8
tags: 
working-color-space:  
view: darkroom
masking: 
---

簡単に使えて効率の良いノイズ除去モジュールで、様々なカメラのセンサーのノイズプロファイルに合わせて処理を行ないます。

各種ノイズ除去アルゴリズムの問題のひとつは、ノイズのばらつきが明るさと独立（無関係）である、と仮定していることです。カメラのセンサーについて、各ISO設定でのノイズの特徴を調べることで、それぞれの明るさにおけるばらつきの程度を見積もることができます。その情報によって、ノイズの消しかたがより均等になるように、ノイズ除去アルゴリズムを調整します。

現在darktableでは、主要メーカーの300を越える機種について、センサーのノイズプロファイルが用意されています。もしdarktableでまだサポートされていないカメラについてのノイズプロファイルを作成されたなら、次のリリースに含められるように、ぜひdarktable開発チームにも共有していただくようお願いします。詳しくは、darktableの [カメラサポート(camera support)](https://github.com/darktable-org/darktable/wiki/Camera-support) のページを参照してください。

# モード

_ノイズ除去（プロファイル） (denoise(profiled))_ モジュールは処理のアルゴリズムを二種類実装しており、この両方とも、簡単に使える「自動」(auto)モードと、操作できるパラメータが追加された「高度」(advanced)モードで使うことができます。

非局所平均(non-local means)
: このアルゴリズムは、 [_天体写真ノイズ削減(astrophoto denoise)_](./astrophoto-denoise.md) とおおむね同様に、空間（位置）を基準に動作します。具体的には、画像の各ピクセルの値を周囲のピクセルの値を使って平均化します。平均化処理におけるピクセルごとの重みは、ノイズ削減対象のピクセルの周囲と、平均化処理に使うピクセルの周囲の類似度に依存します。この類似度を測る際には、あらかじめ設定されたサイズの近傍領域が使われます。

: なお、このアルゴリズムはかなり重い処理であることにご注意ください。

ウェーブレット（デフォルト）(wavelet)
: このアルゴリズムは [ウェーブレット](../../darkroom/processing-modules/wavelets.md) を使って動作し、こちらのほうが操作が単純になっています。ウェーブレット分解を使うことで、ノイズ削減の強さをノイズの粗さに応じて調整することができます。このモードは _Y0U0V0 カラーモード_ （輝度ノイズと色ノイズを別々に調整可能）または _RGB カラーモード_ （各RGBチャンネルのノイズを個別に調整可能）で使えます。

: ウェーブレットアルゴリズムは、 _非局所平均_ よりも処理が軽くなります。

## 輝度ノイズと色ノイズ

「非局所平均」と「ウェーブレット」のアルゴリズムどちらも、輝度ノイズと色ノイズの両方に効率よく対応できます。

過去のバージョンでは、 _色_ ノイズと _輝度_ ノイズそれぞれを個別に対処するために、このモジュールのインスタンスを二つ使う（それぞれ _色_ と _輝度_ のブレンドモードで）ことが推奨されていました。これはもはやお勧めの方法ではありません。 _ノイズ削減（プロファイル）_ モジュールはピクセルパイプライン中で _入力カラープロファイル_ モジュールより前で実行されるようになり（プロファイルのパラメータが正確になるようにするため）、そして色のブレンディングモードは入力カラープロファイルが適用された後にのみ使うべきだからです。

このモジュールの新しいアルゴリズムでは、自前で輝度・色ノイズを分けてとり扱う方法が用意されており、どちらの場合でも単独のモジュールインスタンスだけで処理できるようになっています。

# モジュールの操作

_ノイズ除去（プロファイル）_ モジュールには、どのアルゴリズムを使うかに関係なく表示される操作もいくつかあります。各アルゴリズム特有の操作の説明に進む前に、まずこれらの操作を説明します。

また、アルゴリズム特有の操作を説明する場合、まず単純なモードの操作を説明し、それから同じアルゴリズムの「高度」操作モードの説明に進むようにします。

なお、それぞれのスライダーは、デフォルトで最大値・最小値が設定されています。ですが、これは設定されているだけであって、もし必要ならばスライダーを右クリックしてキーボードで入力すると、最大値を越える値を入力することもできます。

## 共通操作

プロファイル(profile)
: darktableは、RAWファイルのEXIFデータを元にカメラの機種とISO値を自動的に判定します。そして該当する組み合わせに対するプロファイルをデータベースから検索します。もし画像のISO値が、プロファイルが存在する値の中間だった場合は、最も近いプロファイル二つの間で設定値の補間が行われ、作成された値がコンボボックスの最初の選択肢として表示されます。必要ならそこから手動で別の設定に変更することもできますし、さらにもう一度最初の選択肢を選びなおせばデフォルトの補間プロファイルに戻せます。

モード
: ノイズ除去アルゴリズムを選択し（上記参照）、そのアルゴリズムの単純な操作（「自動」(auto)）と完全手動の操作のどちらを使うかも選択します。

ホワイトバランス適応変換(whitebalance-adaptive transform)
: ホワイトバランス設定を行うとRGBチャンネルがそれぞれ異なる増減をするので、それぞれのチャンネルのノイズ量も別々になります。このチェックボックスがオンの場合、ノイズ除去アルゴリズムがホワイトバランス設定に対応した変換を行います。もし、インスタンスを二つ作って一つめで色のブレンドモードを使っている場合は、二つめのインスタンスではここのチェックをオフにする必要があります。

自動設定パラメータの調整(「自動」モードのみ) (adjust autoset parameters)
: 使用中のノイズ除去アルゴリズムの（このスライダー以外の）すべてのパラメータを、単一のスライダーで自動的に設定します。この機能は、露光アンダーの画像で露光の値を上げる必要があった場合に特に有用です。通常そのような場合は、もともと高いISO値で撮影したのと同等にノイズが増加します。このスライダーを使えば、高ISO画像で使われるのと同様の設定にすることで露光を上げた影響を補償できます。ノイズ除去アルゴリズムが使う「実効ISO」は、実際のISO値にこのスライダーで設定した値を掛け算したものになります。

強さ(strength)
: ノイズ除去の強さを微調整します。デフォルトの値は、S/N比のピーク値を最大化するように設定されます。ディテールを犠牲にしてもノイズをさらに低減するほうがよいとか、画像の細部をもっと保つようにするためには少々ノイズが増えても妥協できるとかいったことは、おおむね好みの問題の話です。

暗部を保存する（「高度」モードのみ）(preserve shadows)
: 暗部でのノイズ除去を強めるには、この値を小さくしてください。通常、ノイズが多い場合ほどここの値を小さくする必要があります。

バイアス補正（「高度」モードのみ）(bias correction)
: 暗部で発生する場合がある色かぶりを補正します。暗部が本来より緑に見える場合はこの値を大きくし、紫に見える場合は小さくしてください。

## 非局所平均 自動モード

中心ピクセルの重み（ディテール） (central pixel weight (details))
: ノイズ除去アルゴリズムで、どの程度のディテールを保存しようとするか設定します。デフォルトでは、この値は小さく設定されており、これはアルゴリズムによって輝度ノイズと色ノイズを同等に扱うことを意味します。このスライダーを右に動かすと、輝度ノイズの除去の程度を減らし、主に色ノイズに対してノイズ除去が行われるようになります。このスライダーと _強さ_ スライダーとをあわせて調整することで、輝度ノイズ除去と色ノイズ除去のほどよいバランスを探すことができます。

## 非局所平均 高度モード

非局所平均を自動モードから高度モードに変えると、 _自動設定パラメータの調整_ スライダーは以下のスライダーに置きかわります。まず最初に、自動設定のスライダーでそれなりの初期値を設定しておいてもかまいません。その場合、手動に切り替えたときには、各スライダーは自動設定した値と等価になるように値が設定されます。それから、自動設定された値を出発点として手動で微調整することができます。

領域サイズ(patch size)
: どのピクセルを平均化に使うかを決めるための、領域の大きさを設定します。詳しくは [_天文写真ノイズ除去(astrophoto denoise)_](./astrophoto-denoise.md) の説明を参照してください。ノイズが多い場合はこの値を大きくしてください。ただし、大きい値に設定すると細かい線などが塗りつぶされるかもしれません。このスライダーの設定を変えても、処理時間に影響することはあまりありません。

探索半径(search radius)
: あるピクセルを処理するとき、類似した領域をどの程度遠くまで探すかをアルゴリズムに指定します。この値を大きくすると、ノイズが非常に多い画像で粗いノイズが目につく場合に結果が改善する場合がありますが、処理時間も非常に大きく影響を受けます（処理時間はこのパラメータの二乗に比例して増加します）。小さい値にすれば実行は速くなり、大きい値だと遅くなります。ほとんどの場合は、これのかわりに「散乱」パラメータを調整するほうがよいです。「散乱」でも似た効果が得られますが、処理が極端に重くなることはありません。

散乱（粒の粗いノイズ）(scattering (coarse-grain noise))
: _探索半径_ と同様、このスライダーはあるピクセルからどの程度遠くまで似た領域を探すかを設定します。しかし、このパラメータでは扱う領域の数を増やさずに実現します。そのため、処理時間は同程度のままになります。この値を大きくすると粒の粗いノイズを減らしますが、ローカルコントラストが少々弱くなるかもしれません。このスライダーは、特に色ノイズを削減するときに有効です。

## ウェーブレット曲線

ウェーブレット曲線は、「ウェーブレット」モードが選択されているときに表示されます。

ノイズというものは、通常細かい粒と粗い粒のノイズ両方を含んでいて、それぞれ量が違います。ウェーブレット曲線を使うと、ノイズ削減の強さをノイズの粗さに応じてそれぞれに調整することができます。曲線の左端は非常に粒の粗いノイズに対して影響し、一方曲線の右端は非常に粒の細かいノイズに対して影響します。曲線を持ち上げるとその部分のノイズ削減量を増やし、下げればノイズ削減量を減らします。

例えば、曲線の右端の部分を下げると、非常に細かいノイズをそのままにすることができます。色ノイズに対処する場合は（例えばU0V0曲線を使うか、二つめのインスタンスをブレンドモード「カラー」で使うような場合）、問題なく曲線の右端部分を上げることができます。本来、非常に細かいスケールで色が激しく変化することはないからです。この手法は、色がおかしいピクセルが孤立して存在するようなときには特に有用です。

## _Y0U0V0_ 色モードでのウェーブレット

ウェーブレットでのお勧めは、 _Y0U0V0 色モード_ で使うことです。このモードでは、ノイズ削減曲線を輝度成分（ _Y0_ ）と色成分（ _U0V0_ ）に分解します。そして _Y0_ 曲線を使うと輝度ノイズ削減を調整でき、 _U0V0_ 曲線を使えば色ノイズ削減を調整できます。

![denoise-y0u0v0](./denoise-profiled/denoise-y0u0v0.png#w33)

## _RGB_ 色モードでのウェーブレット

_Y0U0V0 色モード_ が登場する以前は、ウェーブレットを使ったノイズ削減は _R_ ・ _G_ ・ _B_ のチャンネルに直接処理する方法だけが可能でした。一まとめて操作することも、個々のチャンネルごとに操作することもできます。

![denoise-rgb](./denoise-profiled/denoise-rgb.png#w33)

チャンネルごとに独立してノイズ削減を行いたい場合、一番良い方法は次のようになります。まず _ノイズ削減（プロファイル）_ モジュールのすぐ直前にある [_カラー較正(color calibration)_](./color-calibration.md) モジュールのインスタンスを使い、 _赤_ チャンネルのみの値をグレーチャンネルとして出力させ、得られたモノクロ画像を _赤_ のウェーブレット曲線を使ってノイズ削減します。そしてこの手順を青と緑のチャンネルについても同様に繰り返します。この方法は時間がかかりますが、最良の結果を得ることができます。ノイズピクセルの色を目で見てどのチャンネルを調整するか判断する方法は、確実性に欠けるからです。例えば、赤いノイズピクセルは赤のチャンネルが強くなっているノイズかもしれませんが、青と緑のチャンネルが弱まっているノイズの場合もありえます。

このようにRGBチャンネルに対して個別にノイズ削減を行う方法の問題点は、処理が終わったあとも色ノイズが残って、さらに強くスムージングをかけて消さなければならない場合がありうることです。これは実際、 _Y0U0V0 色モード_ が実装された理由のひとつでした。

## ウェーブレット 高度モード

_ウェーブレット_ で _自動_ モードを解除すると、 _自動設定パラメータの調整_ スライダーは、 [共通操作](#common-controls) のところで説明した _暗部を保存する_ スライダーと _バイアス補正_ スライダーに置きかわります。
