---
title: exposure
id: exposure
applicable-version: 3.2.1
tags: 
working-color-space: RGB 
view: darkroom
masking: true
---

画像の全体的な明るさを上げ下げします。

このモジュールには、2つの動作モードがあります。

手動
: _露光(exposure)_ 、 _黒レベル(black level)_ 、 _クリッピング閾値(clipping threshold)_ を手動で設定します。

自動（RAW画像のみ）
: 画像のヒストグラムを解析し、自動で露光を設定します。このモードでは、選択された _パーセンタイル(percentile)_ の点（定義は以下を参照）を、選択された _ターゲットレベル(target level)_ に動かすように、必要な露光補正が自動的に設定されます。このモードは、大量の画像を同じ露光にする場合の自動処理には特に有効です。自動モードの典型的な利用場面としては、タイムラプス撮影をした場合のちらつきの解消があげられます。

# モジュールの操作

モード
: モードを選択します（自動か手動）。

カメラ露出設定の補正（手動）
: カメラで設定されている露出補正（EXIF情報から読みとります）を自動的に解除します。

露光（手動）
: 露光の値（EV）を上げる（右に動かす）か下げる（左に動かす）かします。

クリッピング閾値（手動）
: _露光_ と _黒レベル補正_ の計算をする際、何パーセント以上の明るさのピクセルがクリップされるかを指定します。カラーピッカーを使うと、この計算に使われる部分を画像から選択できます。

パーセンタイル（自動）
: 自動露光補正に使うためのヒストグラム上の位置を指定します。「50%のパーセンタイル」とは、ヒストグラム上で、「その点よりも上と下にちょうど50%ずつの数のピクセルが存在する」という点を指します。

ターゲットレベル（自動）
: 自動露光補正の目標となるレベル（EV）を、カメラの白レベルからの相対値で指定します。

黒レベル補正（手動・自動）
: 負のRGB値がクリップされないようにするため、黒レベルを調整します。

---

**注意：** 黒レベル補正を、黒の濃さを上げるために使わないようにしてください。そうすると、負のRGB値が出てくることで、色域外の黒に近い色がクリップされてしまう場合があり、ピクセルパイプラインのより後の段階で問題が発生します。黒を濃くしたい場合、トーンマッピング曲線を使うようにしてください。例えば、 [フィルミックRGB(filmic rgb)](filmic-rgb.md#scene) の _シーン(scene)_ タブで _黒 相対露光量(relative black exposure)_ スライダーを使う、 [ベースカーブ(base curve)](base-curve.md) モジュールで下の部分を調整する、などの方法があります。

---
