---
title: retouch
id: retouch
applicable-version: 3.8
tags: 
working-color-space: rgb
view: darkroom
masking: 
---

画像の中の不要な要素を、シェイプを描いた領域に対する複製、修復、ぼかし、塗りつぶしの処理で除去します。

このモジュールは [_スポット除去(spot removal)_](./spot-removal.md) モジュール（このモジュールの「複製」と等価で、スポット除去モジュール自体は今は非推奨です）に、複製時に継ぎ目を目立たなくさせる「修復」ツール（GIMPの修復ブラシツールが元になっています）と、「塗りつぶし」「ぼかし」モードを追加して機能強化したものです。また、このモジュールでは [ウェーブレット分解(wavelet decomposition)](../../darkroom/processing-modules/wavelets.md) を利用して、画像を形状のスケールごとに（粗い形状から細かい形状の）レイヤーに分解することが可能です。分解したレイヤーをそれぞれ別々にレタッチして、その後で再合成して最終的な出力を得ることができます。

# 複製と修復
「複製」(cloning)機能を使うと、画像の一部を（ _コピー先(target)_ ）、画像内の別の部分（ _コピー元(source)_ ）からコピーしてきた内容で覆い隠すことができます。例えば、青い空に浮かぶ小さな雲を消したい、などというときに使えます。

![retouch-original](./retouch/rt-original.png#w33)

一番簡単な方法は _複製(cloning)_ ツール (![retouch-clone-icon](./retouch/rt-clone-icon.png#icon)) を使うことです。次の例では、丸いシェイプを使い、雲のまわりにある青空の部分を丸く取ってきて、重ねて塗っています。

![retouch-clone](./retouch/rt-clone.png#w33)

多くの場合、 _コピー元_ のシェイプの境界部分は _コピー先_ の境界の周辺とぴったり合ってはいないので、不自然な見た目になってしまいます。この例の場合、コピー元として選択した空の部分はコピー先より若干暗いようで、複製したときの円形の輪郭がうっすら出てしまっています。

![retouch-clone-nocontrol](./retouch/rt-clone-nocontrol.png#w33)

このような場合、 _修復(heal)_ ツール (![retouch-heal-icon](./retouch/rt-heal-icon.png#icon)) のほうがより適切です。これを使うと、コピー元の色や明るさが周辺部とよくなじむように、混ぜ合わされます。この例では、 _複製_ ツールのかわりに _修復_ ツールを使うと、ずっとよい結果が得られます。

![retouch-heal-nocontrol](./retouch/rt-heal-nocontrol.png#w33)

## コピー元／コピー先のシェイプ

_修復_ か _複製_ モードを選択したときは、使いたいシェイプ（ _円_ 、 _楕円_ 、 _パス_ 、 _ブラシ_ など。詳しくは [描画マスク(drawn masks)](../../darkroom/masking-and-blending/masks/drawn.md) を参照）を選択する必要があります。コピー元とコピー先は同一のシェイプを使うことになります。

マウスカーソルを画像の上に重ねると、コピー _元_ のシェイプがデフォルトで配置される位置にプラス記号（+）が表示されます。マウスカーソルのほうは、コピー先のシェイプの位置になります。

![retouch-source-cross](./retouch/rt-source-cross.png)

以下のように、先にコピー元のシェイプの位置を選び、それからコピー先の位置を選ぶとよいです。

- Shift+クリックで、コピー元シェイプの位置が設定され、「相対モード」(relative mode)になります。プラス記号はそのときクリックした位置に移動しますので、別の場所をクリックしてコピー先のシェイプ設置を始めてください。それ以降は、プラス記号は _マウスカーソルに対して相対的に_ 同じ位置に固定されます。そのため、続けてコピー先シェイプを配置すると、コピー元のシェイプは直前に配置した組と同様の位置関係で配置されます（コピー元・コピー先シェイプの相対的な位置関係を変えずに配置されます）。（訳注：この段落は訳者が書いています。なんか英語版の説明がおかしいような気がするのですが）
- Ctrl+Shift+クリックで、コピー元シェイプの位置が設定され、「絶対モード」(absolute mode)になります。上の場合と同様に、プラス記号はクリックした位置に移動します。ですが、コピー先のシェイプ設置を始めてからは、マウスカーソルを動かしてもプラス記号は _同じ位置のまま動きません_ 。コピー先シェイプを設置すると、全く同じコピー元からコピーされます。（訳注：ここもだいぶ訳者が書いてます。）

また、画像にコピー元とコピー先のシェイプを配置したあとでも、マウス操作によって手動で動かすこともできます。

---

**注意：** _円_ と _楕円_ のシェイプの場合にかぎり、コピー元と先のシェイプを一回のクリック−ドラッグ操作で両方とも配置することができます。まずコピー先の場所をクリックしてからそのままドラッグし、コピー元の場所に来たところでボタンを離してください。この操作は、それ以降のシェイプの配置には影響しません。

---

# 塗りつぶしとぼかし

_複製_ と _修復_ ツールは両方とも、まず画像内の別の部分を指定して、その内容を使って隠したい部分を「塗る」必要があります。しかし、画像の中にそのように塗るために使える部分が見つからない、という場合もありえます。そういう場合には、 _レタッチ_ モジュールではさらに2つの選択肢が用意されています。

![retouch-fill-icon](./retouch/rt-fill-icon.png#icon) 「塗りつぶし」(fill)ツール
: 選択範囲を選択した色で塗りつぶします。

![retouch-blur-icon](./retouch/rt-blur-icon.png#icon) 「ぼかし」(blur)ツール
: 選択範囲にぼかしをかけ、細部を消します。

この2つの方法は、ウェーブレット分解と合わせて使うと大変有効です。そうすると、特定のスケールレベルの形状だけをぼかしたり消したりするのに使うことができます。

# ウェーブレット分解を使ったレタッチ
ウェーブレットを使うと、形状のスケールごとに画像を別々のレイヤーに分解することができるので、それぞれのレイヤーに別々に処理を行い、最後に合成しなおすということが可能です。これは特に肖像写真の場合に便利で、「粗いレイヤーで肌のしみやきずなど処理しつつ、細かいレイヤーでは肌の質感をそのままに保つ」というようなことができます。 [_ウェーブレット(wavelets)_](../../darkroom/processing-modules/wavelets.md) の節では、この分解操作についてさらに詳しく説明しています。

この方法を修復ツールで使えば、たとえば以下のように、粗いスケールのレイヤーにある斑点を修正しつつ、細かいスケールのレイヤーにある髭をそのままにする、ということが可能です。

![retouch-beard-preserve](./retouch/rt-beard-preserve.jpg#w50)

また、これをぼかしツールで使って、粗いスケールで肌のしみを修正しつつ、やはり細かいディテールに影響を与えないようにすることもできます（この手法について詳しくは [_ウェーブレット(wavelets)_](../../darkroom/processing-modules/wavelets.md) の節を参照してください）。

# モジュールの操作

![retouch-overview](./retouch/rt-overview.png#w33)

## 修復ツール(retouch tools)

_修復ツール_ 部分は2つの要素で構成されています。

シェイプ(shapes)
: _シェイプ_ のあとに表示されている数字は、画像の中に現在いくつシェイプが配置されているかを示しています。直接置いたものとウェーブレットレイヤーに置いたもの、両方を含みます。

: シェイプのアイコンをクリックして、新しいシェイプを配置します（詳しい操作は [描画マスク(drawn masks)](../../darkroom/masking-and-blending/masks/drawn.md) の節を参照してください）。

: シェイプのアイコンをCtrl+clickすると、複数のシェイプを連続して配置できます（右クリックでキャンセル）。

: _シェイプ編集_ ボタン（![retouch-shapes-icon](./retouch/rt-shapes-icon.png#icon)）を押すと、現在選択中のウェーブレットスケールに置いたシェイプをすべて表示し、編集できるようになります。

アルゴリズム(algorithms)
: レタッチ操作に使うアルゴリズム（処理の種類）を選択します（複製・修復・塗りつぶし・ぼかし）。Ctrl+クリックで、選択中のシェイプに対するアルゴリズムを変更します。Shift+クリックで、デフォルトのアルゴリズムを設定します（新しい画像のとき、あるいはモジュールのパラメータをリセットするときに適用されます）。

## ウェーブレット分解(wavelet decompose)

_ウェーブレット分解(wavelet decompose)_ 部分は、真ん中にグラフ表示があり、画像がどのように各スケールのレイヤーに分解されているかを示しています。このグラフは以下のような要素で構成されています。

- 左端の黒い四角は、分解される前の画像全体を表しています。
- グレーの四角は、それぞれのウェーブレットレイヤーを表しており、左のほうが細かい形状、右のほうが粗い形状のレイヤーを表します。
- 右はじの白い四角は、画像の残りの部分（各スケールのレイヤーを分解してとりのぞき、残った部分）を表しています。
- 四角の中に表示されている明るいグレーの丸は、現在選択中のレイヤーを表します。別の四角をクリックすると、別のレイヤーが選択されます。
- 上に表示されている明るいグレーの線は、現在のズームレベルでどのスケールが視認できるかを示しています。より細かいディテールを確認したければ、さらにズームしてください。
- 下端にある三角は、画像が現在いくつのレイヤーに分解されているかを示しています。この三角を右にドラッグすると、さらに多くのレイヤーに分解されます。左にドラッグすると、レイヤーの数が減少します。デフォルトでは、ウェーブレット分解が全く行なわれていない状態になっています。
- 上端にある三角は、「ここから統合」(merge from)パラメータの現在の値を示しています（下記参照）。
- 四角の下にあるオレンジの線は、レタッチ操作が行われたレイヤーを表しています。

この他には以下のような内容があります。

スケール数(scales)
: 画像からいくつのレイヤーが分解されたかを示しています。ゼロであれば、ウェーブレット分解は行われていないことを示します。

現在のレイヤー(current)
: 現在どのレイヤーが選択されているかを示しています（これはグラフ中の明るいグレーの丸でも示されています）。

ここから統合(merge from)
: この設定を使うと、複数の連続したレイヤーに共通の編集を行うことができます。最も粗いスケール（「残りの部分」を除く）から、ここで選択されたレイヤーまでが対象になります。例えば、もしこの値を3に設定し、最大のスケールが5だった場合、スケール5で行った編集はすべてスケール3、4、5のレイヤーすべてに適用されます。スケール4で行った編集は3と4のレイヤーに、スケール3で行った編集は3のレイヤーだけに適用されます。もし _ここから統合_ の値を0にしている場合、この統合機能は無効になり、編集はすべてその操作を行ったレイヤーにだけ適用されます。また、 _ここから統合_ の値を最大のスケールに設定した場合も（この例では5）、結果的に統合機能は全く使われなくなります。

```
           merge_from
               v
   0   1   2   3   4   5    scale
               <-------o    scale 5 edits
               <---o        scale 4 edits
               o            scale 3 edits
           o                scale 2 edits
       o                    scale 1 edits
```

![retouch-display-icon](./retouch/rt-display-icon.png#icon) ウェーブレットスケールを表示(display wavelet scale)
: 現在選択しているウェーブレットレイヤーの内容を表示します。これをオンにすると、追加で _単一スケールの表示(preview single scale)_ が表示されます。

単一スケールの表示(preview single scale)
: ウェーブレットスケール表示を見やすくするため、黒・白・グレーの点を調整できます。 ![auto-levels-icon](./retouch/rt-auto-levels-icon.png#icon) アイコンをクリックすると、自動で調整されます。これはモジュールの処理自体には一切影響しません。ウェーブレットスケール表示の見た目だけの問題です。

![retouch-cut-icon](./retouch/rt-cut-icon.png#icon) カット
: 現在選択されているレイヤーにあるシェイプをすべてカットし、クリップボードにうつします。

![retouch-paste-icon](./retouch/rt-paste-icon.png#icon) 貼り付け
: クリップボードにあるシェイプを、現在選択されているレイヤーにうつします。

![retouch-hide-icon](./retouch/rt-hide-icon.png#icon) 一時的にシェイプを消す(temporarily switch off shapes)
: すべてのシェイプ（現在のレイヤー以外も含めて）のオン・オフを切り替えます。一時的にモジュールの効果をオフにすることになります。

![retouch-mask-icon](./retouch/rt-mask-icon.png#icon) マスク表示
: 現在選択中のレイヤーにあるシェイプ（コピー先のほう）を黄色で表示します。

## シェイプ(shapes)

この部分では、現在選択しているシェイプに関連する設定を変更できます。

選択中シェイプ(shape selected)
: どのシェイプが現在選択されているか、またどの種類のシェイプなのかを表示します。

塗りつぶしモード(fill mode)
: 選択中のシェイプで _塗りつぶし_ アルゴリズムが選択されている場合、「消去」(erase)か、シェイプを選択された「色」(color)で塗るかを選択します。

塗りつぶし色(fill color)
: _塗りつぶしモード_ で「色」が選択されている場合、どの色でシェイプを塗るか選択します。選択肢のどれかの色をクリックするか、カスタム(custom)を選んでRGB値を直接設定するか、カラーピッカーで画像の中にある色を選ぶか、いずれかの方法が使えます。

明るさ(brightness)
: 選択中のシェイプで _塗りつぶし_ アルゴリズムが選択されている場合、色の明るさを微調整します。このスライダーは「消去」モードでも動作します。

ぼかしタイプ
: 選択中のシェイプで _ぼかし_ アルゴリズムが選択されている場合、「ガウシアン」(gaussian)か「バイラテラル」(bilateral)のどちらのぼかしを使うか選択します。

ぼかし半径
: 選択中のシェイプで _ぼかし_ アルゴリズムが選択されている場合、ぼかしの半径を設定します。

マスク不透明度
: 選択中のシェイプが属するマスクの不透明度を変更します。不透明度1.0であれば、そのシェイプは完全に不透明であり、モジュールの効果が完全に適用されることを意味します。1.0より小さければ、スライダーで設定した値にもとづいて、そのシェイプの部分に適用される効果が元の画像とブレンドされます。

## ガイド線を表示

チェックを入れると、このモジュールが有効になっているときはガイド線が表示されるようになります。右側のアイコンをクリックすると、ガイド線の種類や色を変更できます。詳しくは [ガイドとオーバーレイ表示(guides & overlays)](../utility-modules/darkroom/guides-overlays.md) をご覧ください。