---
title: rotate and perspective
id: rotate-perspective
applicable-version: 3.8
tags: 
working-color-space:  
view: darkroom
masking: 
---

遠近法歪みの一種である、収束線を自動的に補正します。内部の動作原理は、Markus Hebelによる [_ShiftN_](http://www.shiftn.de/) というプログラムを元にしています。また、このモジュールは画像の回転にも使うことができます。

遠近法歪みとは、三次元のシーンを二次元平面に投影するときに生じる自然な効果で、視点に近い対象が遠い対象に比べて大きく見えるようになります。収束線とは、遠近法歪みの特殊な場合を指し、建築写真によく見られます。元々平行な線は、角度をつけて撮影されると平行でないように写り、視点位置（画面の中の場合も、外の場合もあります）で交わるような収束線になります。

このモジュールは、問題の線が画像の枠の平行になるように変形することで、収束線を補正します。補正は垂直・水平方向のどちらにも行うことができ、別々にでも合わせて処理することも可能です。自動で処理を行うため、このモジュールでは最初に画像を解析して、線分で構成される構造的特徴を探します。また、画像の上に「構造を示す長方形」を描いたり、複数の「水平線」「垂直線」を描いたりすることで、手動でこのような構造的特徴を指定することもできます。それからその（自動で抽出された、あるいは手動の）線分にもとづいて、最適なモジュールのパラメータを決めるための最適化処理を開始します。

このモジュールは単に画像の回転のために使われることが多いので、最初は遠近法補正の操作部分が非表示になっています。表示する場合は、「遠近法補正(perspective)」と書かれたタイトル部分をクリックしてください。

このモジュールが有効になっている（そしてどの構造指定ボタンも選択されていない）場合、画像の上で右クリックしてドラッグすることで、「水平線」や「垂直線」を指定することができます。この操作を行うと、指定された「水平線」「垂直線」が実際に水平・垂直になるように、画像が回転します。

# 遠近法補正の流れ

## 構造

最初のステップは、画像の中の水平・垂直の構造について詳細を指定することです。このためには、以下のような3種類の方法が用意されています。

### 手動で構造線分を描く

![draw-structure-lines-icon](./rotate-perspective/icon-draw-structure-lines.png#icon) アイコンをクリックすると、線分を描くモードとなり、画像の上でクリック・ドラッグすることで「水平」「垂直」となるべき線分を描くことができます。描いた線が水平なのか垂直なのかはモジュールが自動的に判断し、それぞれ緑と青で表示されます。必要なだけ線分を描いたら（線分が多いほど、最適化はうまく働きます）、「最適化」(fit)アイコンを押すと処理が行なわれます。また、後からいつでもこのモードを起動して、線分を編集することができます。既に描いた線分は、両端をクリック・ドラッグすることで動かすことができます。消す場合は、線分の上で右クリックしてください。編集が終わったら、「最適化」アイコンをもう一度押すことで処理を完了してください。

### 手動で構造を示す長方形を描く

![draw-structure-rectangle-icon](./rotate-perspective/icon-draw-structure-rectangle.png#icon) アイコンをクリックすると、構造を示す長方形を描くモードとなります。このモードでは長方形が表示されますので、四隅を動かして調整し、左右の線が「垂直」となるべき線と合うように、また上下の線が「水平」となるべき線と合うようにしてください。「長方形」が完成したら、「最適化」アイコンを押すと処理が行なわれます。また、後からいつでもこのモードを起動して、長方形を編集しなおすことができます。編集が終了したら、「最適化」アイコンをもう一度押すことで処理を完了してください。

この方法は、（これまで使われていた） [_トリミングと回転(crop and rotate)_](./crop-rotate.md) モジュールの「楔石」補正と同様の操作となります。

### 構造を自動解析する

![get-structure-icon](./rotate-perspective/icon-get-structure.png#icon) アイコンをクリックすると、画像の構造要素を解析します。この操作ではdarktableが自動的に線分要素を検出し、評価を行います。なお、Shift+クリックすると、解析する前にコントラスト強調処理を行います。Ctrl+クリックすると、解析する前に輪郭強調処理を行います。通常の解析では十分な数の線分が検出できない場合、このどちらか、あるいは両方の方法を合わせて使ってみてください。

処理が終わると、垂直あるいは水平の収束線を構成するような線分が抽出され、それ以降の処理に使われます。ここで検出された線分は、画像の上に表示されます。線分の色は、それぞれ以下のような種類を示しています。

緑
: 垂直の収束線

赤
: 垂直の線だが一点に集中しないもの

青
: 水平の収束線

黄
: 水平の線だが一点に集中しないもの

灰色
: このモジュールには関係ない、その他の線

赤や黄で示された線分は外れ値とみなされ、自動の適合処理では使われません。このような外れ値の除去においては、ランダム抽出を使った統計手法が使われているので、「構造を取得」(get structure)ボタンを押すたびごとに、表示される線分の色は若干変わります。

それぞれの線分の検出状態を、手動で変更することもできます。線分を左クリックすると選択（色が緑か青になります）、右クリックすると選択解除（色が赤か黄になります）します。マウスボタンを押しっぱなしにして操作すると、複数の線分を一度に選択・選択解除することも可能です。このときの選択・解除用ブラシの大きさは、マウスホイールで変えられます。さらにShiftキーを押しながら左・右ボタンでドラッグすると、四角く選択した範囲に含まれるすべての線分を選択したり選択解除したりすることもできます。

問題なく線分が検出されたら、「最適化」アイコンを押すと処理が行なわれます。

## 最適化

上の3つの方法のいずれかで問題なく線分が用意できたら、「最適化」アイコンのどれかをクリックすると最適化処理が開始され、構造に対して最もよく合う設定値が計算されます。その後、画像と線分は、遠近法補正が適用された状態で表示されます。

自動設定は、垂直方向の補正のみ ![vertical-icon](./rotate-perspective/icon-vertical.png#icon) 、水平方向の補正のみ ![horizontal-icon](./rotate-perspective/icon-horizontal.png#icon) 、両方同時 ![both-icon](./rotate-perspective/icon-both.png#icon) のいずれかを選択できます。アイコンをCtrl+クリックすると、レンズシフト補正（遠近法補正）は行わずに回転だけを行います。Shift+クリックでは、逆に回転を行わずにレンズシフト補正だけを行います。

## 回転

遠近法補正が問題なく終了してから、最後に回転をすることもできます。「回転」(rotation)の値を直接設定することもできますし、右クリック・ドラッグして水平・垂直線を指定することもできます（訳注：最初のところの説明のとおり、描いた線が水平・垂直になるように回転します。水平か垂直かは自動で判定されます）。

# モジュールの操作

回転(rotation)
: 画像を回転させる角度を設定し、水平の方向を補正します。

自動切り抜き(automatic cropping)
: この機能を有効にすると、歪み補正によって周囲に生じた黒い部分を除去するように、画像を切り抜きます。可能な「最大領域」(largest area) を切り抜くか、あるいは元の縦横比を保った最大の長方形で切り抜く（「元の形」(original format)）かを選択できます。後者の方法では、切り抜き領域をクリックしてそのまま動かせば、自動切り抜きの結果を手動で調整することも可能です。領域の大きさは、黒い部分を除外するように自動的に設定されます。

レンズシフト（水平） (lens shift (horizontal))
: 水平の収束線を補正します（すなわち、 _青_ の線が平行になるようにします）。

レンズシフト（垂直） (lens shift (vertical))
: 垂直の収束線を補正します（すなわち、 _緑_ の線が平行になるようにします）。場合によっては、最大限補正するのではなく80〜90% 程度の垂直歪み補正にしたほうが、より自然に見えることがあります。そうするには、自動補正を行ったあとにここのスライダーの値を減らしてください。

剪断(shear)
: 対角線のどちらかに対して剪断変形を行います。垂直・水平両方の遠近法歪みを同時に補正したい場合には、この処理が必要となります。

ガイド(guides)
: オンにすると、画像に重ねて格子が表示され、補正のできを判断する助けとなります。

レンズモデル(lens model)
: このパラメータは、補正アルゴリズムで使われるレンズの焦点距離、カメラのクロップファクター、縦横比といった値を設定します。「一般」(generic)に設定すると、35mmフルフレームカメラに焦点距離28mmのレンズが塔載されていると想定されます。「個別」(specific)に設定すると、スライダーが表示され、焦点距離やクロップファクターなどを手動で設定できるようになります。

焦点距離(focal length)
: _レンズモデル_ を「個別」に設定している場合、ここで焦点距離を設定します。デフォルトの値は画像のEXIFデータから取得されますが、スライダーを手動で動かして調整しなおすこともできます。

クロップファクター(crop factor)
: _レンズモデル_ を「個別」に設定している場合、ここでカメラのクロップファクターを設定します。通常、この値は手動で設定する必要があります。

縦横比設定(aspect adjust)
: _レンズモデル_ を「個別」に設定している場合、ここで画像の縦横比を自由に設定することができます。この設定は、（画像の縦横比を変える）アナモルフィックレンズで撮影された画像を「圧縮されてない状態」にするために便利です。

構造(structure)
: 画像の中の「水平」「垂直」の線分を設定します。手動と自動の方法があります（詳しくは「遠近法補正の流れ」の節を参照）。

最適化(fit)
: 設定された構造情報に基づいて、歪み補正のスライダーを自動的に設定します（詳しくは「遠近法補正の流れ」の節を参照）。

ガイド線を表示(show guides)
: チェックを入れると、このモジュールが有効になっているときはガイド線が表示されるようになります。右側のアイコンをクリックすると、ガイド線の種類や色を変更できます。詳しくは [ガイドとオーバーレイ表示(guides & overlays)](../utility-modules/darkroom/guides-overlays.md) をご覧ください。

# 例

以下の画像は、水平が傾いていて、またカメラを上向きにしたことによって収束線歪みが発生している例です。

![prespective-correction-example-before](./rotate-perspective/perspective-correction-example-before.png#w66)

以下は、自動構造解析を使って垂直・水平の遠近法歪みを補正した後の画像です。自動切り抜きが働いていることと、検出された構造線分が表示されていることも確認してください。

![prespective-correction-example-after](./rotate-perspective/perspective-correction-example-after.png#w66)

