---
title: tone equalizer
id: tone-equalizer
applicable-version: 3.4
tags: 
working-color-space: RGB
view: darkroom
masking: true
---

ローカルコントラストを維持したまま、画像に「覆い焼き」や「焼き込み」を行います。

このモジュールを [_フィルミックRGB(filmic rgb)_](./filmic-rgb.md) とを合わせて使えば、 [_ベースカーブ(base curve)_](./base-curve.md) 、 [_シャドウとハイライト(shadows and highlights)_](./shadows-and-highlights.md) 、 [_トーンカーブ(tone curve)_](./tone-curve.md) 、 [_ゾーンシステム(zone system) （非推奨）_](./zone-system.md) といった、その他のトーンマッピング関係のモジュールを使う必要はありません。このモジュールは線形RGB空間で動作し、また、覆い焼きや焼き込みの調整にはユーザー定義のマスクを使うので、画像の中のローカルコントラストをなるべく保つことができます。

次の図は、トーンイコライザーの動作を示しています。

![tone-equalizer-mask](./tone-equalizer/tone-equalizer-overview.png#w100)

1. 元の画像をいくつかの明るさが近い領域に分割するような、モノクロの [_ガイドマスク(guided mask_)](#masking-tab) を作ります。このマスクは、画像の細かいディテールについてはぼかしをかけてあり、同じ領域に属するピクセルはすべて同様に処理されるようになっています。このため、ローカルコントラストは維持されます。

2. [_シンプル(simple)_](#simple-tab) タブのスライダーか [_アドバンスト(advanced)_](#advanced-tab) のイコライザーグラフを動かして、マスクの明るさに応じて画像内の各部分の明るさ補正を変えることができます。この補正は、画像の上にマウスカーソルを重ねて、マウスホイールを回すことでも調整できます（詳しくは [_カーソル表示／操作(cursor indicator/control)_](#cursor-indicatorcontrol) を見てください）。

シンプルタブでは、各スライダーがマスクにおけるそれぞれの明るさ（EV）に対応し、上げ下げすることでマスクの明るさがその範囲にある部分の露光補正を調整できます。同様に、イコライザータブでは、横軸がマスクの明るさレベルに対応し、縦軸がマスクにおけるその明るさレベルに対応するピクセルにかけられる露光補正になります。

3. 画像の各ピクセルの露光が、マスクとイコライザーグラフに合わせて実際に調整されます。それぞれのピクセルについて、まずマスクの対応する位置の明るさを調べ、その明るさに対応するイコライザーグラフの横軸を探して、露光補正値（グラフの縦軸の値）にあわせて露光を上下させます。

マスクによって画像が明るさが近い複数の領域に分割されること、それぞれの領域に必要なだけのぼかしがかかること、この2点が重要です。このことは、同じ領域に含まれるピクセルはすべて近い露光補正が行なわれること、しかしローカルコントラストには悪影響を与えないことを意味しています。最初に、どの領域に対して覆い焼きや焼き込みをしたいか確認してください。そして [_マスク(masking) タブ_](#masking-tab) での操作によって、最終的なマスクで対象の領域がちゃんと違った階調に分割されているようにしてください。こうすることで、それぞれの領域が独立して調整できるようになります。

# モジュールの操作

_トーンイコライザ_ の操作画面は、3つのタブに分かれています。

露光マスクを表示(display exposure mask)
: この表示の右にあるアイコンをクリックすると、マスクを画像の上に表示する・非表示を切り替えられます。この操作は3つのタブすべてで可能です。

## シンプル(simple)タブ

このタブでは、ガイドマスクは明るさごとに9つのゾーン（ --8 から 0 EV ）に分割され、それぞれのゾーンを別々に調整することができます。これは簡単に使えるようにしたインターフェースであり、ここでの設定から、 [_アドバンスト(advanced)_](#advanced-tab) タブで表示されるトーン調整曲線と同等のものが生成されます。

-8 EV 〜 0 EV
: それぞれのスライダーは、 _ガイドマスク_ 上で対応する明るさにあたるすべてのピクセルの露光を調整します。マスクのヒストグラムが階調範囲の全体に、おおむね均等にわたっているとすると、上のほうのスライダーほど画像の暗い部分に影響し、下のほうのスライダーほどハイライト部分に影響します。ヒストグラムの広がり具合は、 [_アドバンスト(advanced)_](#advanced-tab) タブで確認することができます。

## アドバンスト(advanced)タブ

このタブでも「シンプル」タブと同様に強度レベルごとに調整できますが、曲線の制御点として表現されている点が異なります。カーブの背後に表示されているヒストグラムは、（入力・出力画像そのものではなく） _ガイドマスクの_ 強度レベルを表します。もしヒストグラムが一ヶ所にかたまりすぎている場合、現在のマスクはうまく階調全体にわたっていないことを意味しますので、画像の各部分を個別に調整するのが難しくなります。最大限柔軟に処理できるように、ヒストグラムがなるべく階調範囲全体に広がっていて、できるだけ多くの制御点をカバーしているようにするのが望ましいです。なおマスク自体については、 [_マスク(masking)_](#masking-tab) タブで調整することができます。

曲線上の制御点をクリックして上下にドラッグすることで、対応するマスク強度にあたるすべてのピクセルの明るさを調整できます。マスクのヒストグラムが階調範囲のだいたい全体にわたっているとすると、左のほうの制御点はだいたい暗い部分に、右のほうはだいたいハイライト部分に影響します。通常、ひとつの制御点を動かすと、曲線をなめらかに保つため、左右の制御点も影響を受けます。この動作については、 _曲線のなめらかさ(curve smoothing)_ で調整することもできます。

曲線のなめらかさ(curve smoothing)
: 制御点の間で曲線がどのように補間されるかを調整します。このスライダーを右に動かすと、制御点の間のつながりかたがよりなめらかになります。しかし、0.6を越えると、数学的な制約によって曲線が多少不安定になる（振動する）場合があることに注意してください。このスライダーを左に動かすと、曲線の挙動は安定しますが、階調の間の遷移がきつくなり、ローカルコントラストが損なわれる可能性があります。

## マスク(masking)タブ

このタブでは、ガイドマスクを調整できます。

そもそもマスクを作成する目的は、画像の中で階調が異なる領域を分離し、トーンイコライザーで別々に明るくしたり暗くしたりできるようにすることです。マスク作成のためのフィルタは、領域間の境界をシャープに保つように設計されていますが、それぞれの階調領域の中にはぼかしをかけるようになっており、ローカルコントラストに悪影響を及ぼさずに明るさを調整できるようになっています。 _アドバンスト_ タブで表示されるマスクのヒストグラムが、全制御点の範囲にわたってほどよく広がっている状態が理想です。

_アドバンスト_ タブと _マスク_ タブを行ったり来たりしなくてすむように、「マスク後処理(mask post processing)」表示のすぐ下のグレーバーに、ヒストグラムの中間80%の範囲が表示されます。このタブでの操作によって薄いグレーの部分を広げて中央に寄せると、アドバンストタブに戻ったときにはうまく調整されたヒストグラムが表示されるはずです。グレー部分のどちらかの端にオレンジ色の部分がある場合、ヒストグラムの一部がマスクの9EVの範囲を越えているということであり、もっと調整する必要があります。

![tone-equalizer-mask-histogram](./tone-equalizer/tone-equalizer-mask-histogram.png#w33)

ガイドマスクを設定するにあたっては、同一階調領域内でのぼかしをかける（ローカルコントラストを保つため）度合と領域間の境界をはっきり保つ度合について、ちょうどいいバランスを指定する必要があります。最良の設定を見つけるためには、いくらか実験してみることが必要でしょう。多くの場合、調整が必要になるキーポイントは、モジュール画面最下部の _露光補正・コントラスト補正(exposure/contrast compensation)_ です。

ガイドマスクを表示しながら調整を行えば、設定値の意味を理解したり、マスクの良し悪しを判断したりするための助けになります。

輝度評価方法(luminence estimator)
: ピクセルにマスクの強度値を対応させるにあたって、各ピクセルの輝度を計算するための手法を選択します（デフォルトは _RGB ユークリッドノルム(RGB euclidean norm)_ です）。

ディテール保存方法(preserve details)
: マスクにぼかしをかけるときに使うアルゴリズムを選択します。
 - _なし(no)_ マスクにぼかしをかけません（このモジュールの効果は普通のトーンカーブと同様になります）。このモジュールがダイナミックレンジ圧縮のために使われる場合、この選択肢を選ぶとローカルコントラストが圧縮されます。コントラスト（ローカルでも全体でも）を上げたい場合には有効です。
 - _ガイドフィルター(guided filter)_ 境界を保ちながらマスクにぼかしをかけるため、ガイドフィルターを使います。このアルゴリズムの制限のひとつは、ガイドフィルターは露出値に敏感であるということ、つまり暗部はハイライト部よりぼかしが強くなるということです。この「制限」は、場合によっては便利にもなります。たとえば暗部を大幅に明るくしたいときは、ガイドフィルターを使うとローカルコントラストが非常によく保たれます。
 - _平均ガイドフィルター(average guided filter)_ ガイドフィルターでは効果が強すぎるという場合、これを選んでください。この方法では、元の _ガイドフィルター_ の出力と _なし_ を選択した場合の出力との間の空間的平均を使います。
 - _eigf （デフォルト）_ これは _露光非依存ガイドフィルター(exposure independent guided filter)_ の略で、 元の _ガイドフィルター_ の問題を、ぼかしの程度を露光値に依存しないようにして解決しています。つまり、ハイライト部にも暗部にも、どの領域にも同程度のぼかしがかかるはずです。この改良されたアルゴリズムが、デフォルトの選択になりました。
 - _平均eigf(average eigf)_ これは _eigf_ のときのマスクと _なし_ を選んだときのマスクの空間的平均をとったもので、マスクのぼかしをもう少し弱める必要があるときなどに便利です。

フィルター拡散(filter diffusion)
: デフォルトではこの値は1になっており、これは画像に対してフィルタリングアルゴリズムを1回適用してぼかしの入ったモノクロマスクを作る、ということを意味しています。

: この値を2に増やすと、画像に対してフィルタリングアルゴリズムをまず1回適用して中間段階のマスクを作り、それから中間マスクに2回めの適用をします。この結果、最終的なマスクは1回適用のものよりもぼかしが強くなります。高い値を設定するとさらにマスクのぼかしが強くなります。ですが、フィルタリング処理を複数回実行するため、処理がより重くなり時間がかかるようになります。

ぼかし径(smoothing diameter)
: これは、マスクのぼかし量を計算するときに、ある点から周囲の情報をどの程度考慮するかを決めます。画像の長辺の長さに対するパーセントで指定され、デフォルトは5%です。低い値にすると、マスクの暗い領域と明るい領域の境界がよりはっきりします。この値が増えるにしたがって、境界の遷移がよりなめらかになります。デフォルトの _露光非依存ガイドフィルター(eigf)_ を使う場合は、通常この値を1〜10%程度にする必要があります。ふつうの _ガイドフィルター_ を使う場合、通常この値を1〜25%程度にするとよい結果を得られます。

境界の明確化(edges refinement/feathering)
: この値を大きくすると、高コントラストの境界にきっちり合わせてマスクを生成するようになります。低くすると遷移がなめらかになりますが、ハローを生じる場合があります。必要であれば、この値は10000ぐらいまで高く設定することも可能です。

マスクの後処理(mask post-processing)
: この表示のすぐ下には現在のヒストグラムの範囲が表示されます。ヒストグラムの80%の部分が薄いグレーで表示され、表示があまりに非対称にならないよう両端の10%ずつは表示されません。両端にオレンジ色が表示された場合、ヒストグラムが 9EV の範囲の上限か下限を越えていることを表しています。

マスク量子化(mask quantisation)
: このスライダーの値を大きくすると、マスクにある程度のポスター化処理を行い、マスクがいくつかの離散的なレベルに集中するようになります。画像をマスクのレベルごとの領域に分割するため、この処理が役立つ場合があります。

マスク露光補正(mask exposure compensation)
: マスクのヒストグラムを左右に調整します。 _露光(exposure)_ モジュールを使って画像の明るさを調整している場合、このスライダーを動かして、露光補正のぶんマスクのヒストグラムを中心に戻す必要があるかもしれません。右側の杖のアイコンをクリックすると、マスクのヒストグラムの平均位置が中心の --4EV の制御点に合うように自動調整されます。さらに必要に応じてスライダーで微調整も可能です。

マスクコントラスト補正(mask contrast compensation)
: マスクのヒストグラムを広げたり縮めたりします。右側の杖のアイコンをクリックすると、妥当な初期値が設定されます。そこからさらにスライダーで、ヒストグラムが制御点に対してどのように広がるか微調整してください。

## マウスカーソルによる表示と操作

_トーンイコライザー_ モジュールが有効化され、開いている間は、マウスカーソルを画像に重ねると、カーソル位置のピクセルの情報が表示されるようになります。この状態のときは、マウスホイール操作でその点のマスク強度レベルの領域を明るくしたり暗くしたりできます。この方法を使うと、画像の特定の部分の明るさを簡単に変えることができます。

![tone-equalizer-simple](./tone-equalizer/tone-equalizer-cursor.png#w25)

- 十字は、ピクセルの位置を示しています。
- テキストは、その点のガイドマスク強度レベルをEV単位で示しています。
- 外側の大きい円形のグレーの濃さも、その点のマスク強度レベルを表しています。
- 現在のトーンイコライザ設定が当該のマスク強度の領域を明るく、あるいは暗くするのであれば、調整の程度を一番外側の円弧で示します。円弧が長いほど、明るさ補正が大きくなります。
- また、明るさの補正が設定されている場合、内側の円形のグレーの濃さでもその程度を示します。これはその点でのマスクの強度（外側の円形のグレー）との相対値です。すなわち、十字の位置のピクセルが明るく補正されているのであれば、内側の円形は外側のものより明るく表示されます。ピクセルが暗く補正されるなら、内側の円形は外側より暗く表示されます。

## プリセット

_トーンイコライザー_ には暗部やハイライトを圧縮するためのプリセットがいくつか用意されています。それぞれ、ガイドフィルター（gf）を使う版と、露光非依存ガイドフィルター（eigf）を使う版の2種類ずつ用意されています。通常ガイドフィルター版は、eigf版と比べて暗部でのローカルコントラストをよく保存しますが、かわりにハイライトでのローカルコントラストが失われる傾向にあります。画像によって、どちらを使ったほうが良い結果になるかは変わります。なお、どちらの版でも中間グレーを保つようになっていますので、このプリセットを使った後に全体の露光を補正する必要はないはずです。
