---
title: color assessment
id: color assessment
applicable-version: 3.2.1
tags: 
view: darkroom
---

画像の色と明るさを、ISO 12646:2008 標準で推奨される条件で確認できます。

RAW画像を現像する際、人間がどのように明るさ・コントラスト・彩度を感じるかは、周囲の環境条件に影響を受けます。darktableのデフォルトのように、画像が暗い背景に表示されていれば、その画像の見えかたに対して次のように様々な望ましくない影響がありえます。

- 露光が誇張して感じられるため、画像が実際より明るく見える。この効果は [チェッカーシャドー錯視](https://en.wikipedia.org/wiki/Checker_shadow_illusion) を見るとよくわかります。
- 彩度が低く感じられるため、画像が実際より色あせて見える（ハント効果）。
- コントラストが低く感じられるため、画像の階調が実際より平板に見える（バートルソン-ブレナマン効果3）。

そのため、現像結果が最終的に暗すぎる画像になったり、コントラストや彩度調整をやりすぎたりといったことが起こります。これを避けるため、ISO 12646:2008 標準において、画像の色を評価するための推奨環境条件が示されています。ダークルームの _色評価(color assessment)_ モジュールを使うと、この推奨条件に対応した枠が画像のまわりに表示され、色を評価しやすくなります。

![color-assessment-overview](./color-assessment/color-assessment-overview.png#w75)

下パネルの電球アイコン (![bulb-icon](./color-assessment/bulb-icon.png#icon)) をクリックすると、画像がズームアウトされ、画像の明るさと比較する基準になる中間グレーの背景が広く表示されます。画像の周囲には細い白の境界が表示されますが、こちらは画像の中で明るい白にしたい部分と比較するための基準になります。

色評価モードでは画像の背景に中間グレーが表示されるようになりますが、それに加えて、インターフェースを「グレー(grey)」テーマのどれかに設定しておく（ [設定(preferences) > 一般(general)](../../../preferences-settings/general.md) で可能です）ことをお勧めします。グレー系のテーマは、中間グレーに近い画面になるように設計されています（実際にはもう少し暗く、文字が見やすくなるようにしてあります）。グレー系のテーマと色評価モードをあわせて使えば、上述の画像の見えかたに関する問題を避ける助けとなります。

色評価モードは、Ctrl+Bキーを押すことでもオンオフ可能です。