---
title: history stack
id: history-stack
applicable-version: 3.6
tags: 
view: lighttable
---

選択された画像の履歴スタック(history stack)を操作できます。

# モジュールの操作

選択してコピー(selective copy...)
: 選択されている画像の履歴スタックの指定した部分をコピーします。ダイアログが表示され、履歴スタックのどの項目をコピーするか選ぶことができます。複数の画像が選択されていた場合、一番最初に選択した画像の履歴スタックが使われます。ダイアログに表示されたどれかの項目をダブルクリックすると、その項目だけコピーして、すぐダイアログを閉じることができます。

コピー(copy)
: 選択された画像の履歴スタック全体をコピーします。複数の画像が選択されていた場合、一番最初に選択した画像の履歴スタックが使われます。

: 内部の表示エンコーディングやマスク管理に関する操作情報は、別の画像にそのままコピー・貼り付けするのは安全ではないと考えられますので、このボタンではコピーされないようになっています。

: 以下のモジュールは _コピー_ ボタンの操作では除外されます。

: - [_画像の向き(orientation)_](../../processing-modules/orientation.md)
: - [_レンズ補正(lens correction)_](../../processing-modules/lens-correction.md)
: - [_RAW 黒/白ポイント(raw black/white point)_](../../processing-modules/raw-black-white-point.md)
: - [_ピクセル回転(rotate pixels)_](../../processing-modules/rotate-pixels.md)
: - [_ピクセル スケール(scale pixels)_](../../processing-modules/scale-pixels.md)
: - [_ホワイトバランス(white balance)_](../../processing-modules/white-balance.md)
: - 使用が非推奨となったモジュール

: You can override all of these exclusions by using "paste parts..." and choosing which modules to paste to the target image(s).
: こうしたコピー除外については、「選択して貼り付け」を使って明示的に選択することで、除外を「上書き」して対象の画像に貼り付けることができます。

履歴を圧縮(compress history)
: 選択された画像の履歴スタックを圧縮します。スタック中で複数回出てくるようなモジュールは、すべて _圧縮_ され、一回の処理にまとめられます。 _十分注意してください、この操作は元に戻せません！_

履歴を破棄(discard history)
: 選択された画像の履歴スタックを完全に消去します。 _十分注意してください、この操作は元に戻せません！_

選択して貼り付け(selective past...)
: 選択された画像すべてに、コピーされた履歴スタックの内容の指定した部分を貼り付けます。ダイアログが表示され、コピーされている履歴スタックのどの項目を貼り付けるか選ぶことができます。

貼り付け(paste)
: 選択された画像すべてに、コピーされた履歴スタックの内容をすべて貼り付けます。

モード(mode)
: この設定によって、貼り付けしようとした画像に元々履歴スタックが存在している場合にどうなるかが決まります。簡単に言うと、「上書き(overwrite)」モードでは貼り付ける前に元の履歴スタックを削除し、「追加(append)」モードでは2つの履歴スタックをつなげて一つにします。

: コピーされた履歴スタックに、同じモジュールに関する複数の項目がある場合（インスタンス名が同じ場合でも違う場合でも）、貼り付けたときに追加モードと上書きモードでは違った動作になります。

: _追加(append)_ モードでは、コピー元画像のモジュールについて、貼り付け先画像に同じ名前のモジュールがあれば、コピー元の内容で置き換えられます。そのような名前がなければ、新しいモジュールインスタンスが生成されます。どちらの場合でも、ペーストされたインスタンスの操作は履歴スタックの上に追加されます。コピー元と貼り付け先の両方の履歴スタックで特定のモジュールが複数回出てくる場合、一番新しい項目だけが処理されます。

: _上書き(overwrite)_ モードでも同様に動作しますが、貼り付けの前に、貼り付け先画像の履歴スタックが完全に削除される点だけが違います。このモードで全部コピーしてから全部貼り付けすると、コピー元画像の履歴スタックすべてが貼り付け先画像でも完全に複製されます（同じモジュールが複数回出てくる場合も含めて）。

---

注意
: - モジュールのプリセット自動適用は、画像を初めてダークルームで開いたときか、履歴スタックが破棄されたときだけ実行されます。 _上書き_ モードを使って、今までダークルームで開いたことがない画像に履歴スタックを貼り付けると、その画像をダークルームで開いた時点でプリセット自動適用が実行されます。そうすると、上書きモードを使ったのに既存の履歴スタックを正確に複製してないように見えるかもしれませんが、それは自動適用が後から追加されただけです。

: - _追加_ モードを使うと、あとで貼り付け前の履歴スタックの状態に戻すこともできます（貼り付け先の画像の、それまでの履歴スタックの内容はそのまま残っていますので）。一方、上書きモードで貼り付けをすると、それまでの編集作業は失われ、復旧することはできません。

: - _モード_ の設定はdarktableを終了しても残ります。もし一回コピー・貼り付けするためだけに変えたなら、元に戻すのを忘れないでください。

---

サイドカーファイル読みこみ(load sidecar file)
: ダイアログを開き、XMPファイルから履歴スタックを読みこみます。この操作を行うと履歴スタックがクリップボードにコピーされますので、画像に貼り付けることができます。

: darktableからエクスポートした画像ファイルは、メタデータ埋めこみ可能なファイル形式であれば、通常履歴スタックをすべて保存しています（この機能とその制限について詳しくは、 [エクスポート(export selected)](../shared/export.md) モジュールの説明を参照してください）。そこで、エクスポートされた画像ファイルを、サイドカーファイルのようにこの操作で読みこむことができます。この機能によって、誤ってXMPファイルを消してしまったり上書きしてしまったりした場合でも、パラメータ設定を復元することが可能です。必要なのは、元の画像ファイル（ふつうRAWファイル）とエクスポートされた画像ファイルだけです。

サイドカーファイル書きこみ(write sidecar files)
: 選択されている画像のXMPサイドカーファイルを書きこみます。ファイル名は、元ファイルの名前の後に .xmp をつけた形になります。

: デフォルトでは、darktableではサイドカーファイルが自動的に生成され、編集作業を行い履歴スタックが変わるたびに自動的に更新されます。この自動的なサイドカーファイル生成更新は [設定(preferences) > 保存(storage)](../../../preferences-settings/storage.md) の設定で止めることもできます。これは複数のバージョンのdarktableを共存させたいときには役に立ちますが（それぞれのバージョンでの編集がかち合わないようにするため）、一般的には、止めることはおすすめできません。
