---
title: import
id: import
applicable-version: 3.6
tags:
view: lighttable
---

画像をdarktableの内部データベースに追加します。ファイルを別の場所からコピーしてから読みこんだり、接続したカメラからコピーして読みこんだりすることも可能です。

[サポートしているファイル形式(supported file formats)](../../../overview/supported-file-formats.md) も参照してください。

# モジュールの操作

デフォルトでは、以下のボタンが表示されています。

[データベースに追加(add to library)](#add-to-library) 
: 画像をdarktableの内部データベースに追加します。ファイルをコピーしたり移動したりはしません。もし画像をひとつだけ追加した場合、自動的にダークルームで開きます。

[コピーしてインポート(copy & import)](#copy--import) 
: まず画像ファイルをコピーして、それからコピーのほうをdarktableに追加します。

カメラが接続されていることが検出された場合、そのカメラのための操作も表示されます。マウスカーソルをカメラ名表示に重ねると、ポップアップでそのカメラの情報が表示されます（機種名、ファームウェアのバージョンなど）。

カメラの機能に応じて、以下のボタンのうち使えるものが表示されます。

カメラをマウントする(mount camera)
: カメラをdarktableだけが使えるようにファイルシステムにマウントします。このボタンは、カメラが現在マウントされておらず、他のプログラムで占有されていない場合にのみ表示されます。

[カメラからコピーしてインポート(copy & import from camera)](#copy--import-from-camera) 
: 接続されたカメラの中の画像をコピーして、それからコピーのほうをdarktableに追加します。このボタンは、カメラが現在マウントされている場合にのみ表示されます。

[テザー撮影(tethered shoot)](../../../../tethering/_index.md) 
: テザリング画面を開き、接続されたカメラを使ってdarktableから撮影できるようにします。このボタンは、カメラが現在マウントされている場合にのみ表示されます。

カメラをマウント解除(unmount camera)
: カメラのマウントを解除し、別のソフトから使えるようにします。このボタンは、カメラが現在マウントされている場合にのみ表示されます。

# インポート設定

「パラメータ」(parameters)と書かれた部分（あるいはその横の三角印）をクリックすると、以下のような追加の設定が表示されます。

ここの設定はdarktableを終了しても引き継がれます。また、モジュールのプリセットとして保存することもできます。

EXIFの「評価」を無視(ignore exif rating)
: 画像のEXIFデータにある「評価」(rating)の値をすべて無視し、次の項目で設定した値を使います。

星の数 初期値(initial rating)
: 新しくインポートされた画像に、最初につけられる星の数を0〜5で指定します（デフォルト：1）。

メタデータを適用(apply metadata)
: インポート時に自動的にメタデータやタグを設定したい場合、ここをチェックしてください（以下を参照）。

メタデータ(metadata)
: 「メタデータを適用」がチェックされている場合、入力用に _可視の_ メタデータ一覧が表示されます（詳しくは [メタデータ編集(metadata editor)](../shared/metadata-editor.md) を参照してください）。ここで入力された文字列は、インポートされた画像に自動的に付加されます。メタデータ編集モジュールで保存されたプリセットから選択することも可能です。

: メタデータ名の部分をダブルクリックすると、対応する入力欄が初期状態に戻ります。「メタデータプリセット」(metadata presets)の部分をダブルクリックすると、全メタデータが初期状態に戻ります。

[設定(preferences) > 保存処理(storage) > 各画像にサイドカーファイルを作る(write sidecar file for each image)](../../../preferences-settings/storage.md#xmp) の設定がオフになっている場合、「from xmp」というチェックボックスも表示されます。このチェックをオフにすると、XMPファイルが存在してもそこからメタデータを読みこまなくなります。

タグ(tags)
: 画像をインポートする際にデフォルトでタグをつけたい場合、ここにコンマ区切りで入力することができます。メタデータの場合と同様、 [タグ付け(tagging)](../shared/tagging.md) モジュールのプリセットから選ぶこともできます。

# インポートダイアログ

三種類のインポートボタン（データベースに追加、コピーしてインポート、カメラからコピーしてインポート）はすべて、同様のダイアログを表示します。ここではその内容を説明します。

以下は「データベースに追加」ボタンを押したときのスクリーンショットの例です。

![import-dialog](./import/import-dialog.png#w100)

## 共通機能

### 「場所」と「フォルダ」

インポートのダイアログは、続けてインポートする際にできるだけ簡単になるように、よくインポート元として使う場所を設定することができます。ダイアログを初めて開いたときは、基本的な場所（ホームフォルダ、画像フォルダ、マウントされた機器）が「場所」(places)部分（左上）に表示されます。「+」ボタンをクリックすることで新しくインポート元の場所を追加でき、右クリックすると削除できます。デフォルトの場所を復元したければ、リセットボタン（「+」の右）で可能です。

場所をどれか選択すると、「フォルダ」部分（左下）に、選択した場所以下のフォルダツリーが自動的に表示されます。このフォルダツリーを操作して、インポートするフォルダを選択できます。最後に選択した場所とフォルダは、次にこのダイアログを開いたときに自動的に復元されます。

上のスクリーンショットの例では、「場所」としてPicturesフォルダが作成され（訳注：Photosフォルダでは？）、その下にあるフォルダのひとつが選択されています。インポートする際は、このような流れで操作するのがおすすめです。新しく「場所」を作る必要があることはそんなにないはずです。

### ファイル

フォルダを選択したら、「ファイル」部分（右側）にそのフォルダに含まれるファイルのリストが自動的に表示されます。デフォルトでは、選択フォルダにあるファイルすべてが選択された状態になります。

![eye icon](./import/eye-icon.png#icon) をクリックすることで、画像のサムネイルを見ることができます。また、ダイアログの最下部に、全ファイルを選択するボタンや全ファイルを選択からはずすボタンもあります（訳注：「新しいファイルだけ選択するボタン」というのもあります）。

必要なファイルを選択できたら、Enterキーを押すか右下のボタン（ボタン名はインポート方法の名前です）を押してインポートしてください。

Escapeキーを押すか、キャンセルボタンを押せばインポートせずに終了します。

### 共通設定

以下の設定は、インポート方法によらず共通です。

ディレクトリの再帰的検索(recursive directory)
: 選択されたフォルダと _それ以下のフォルダすべて_ から画像をインポートしたい場合、この設定をオンにしてください。ただ、大量の画像を一度にインポートするためにこの方法を使う、ということはおすすめしません。画像をインポートすると、darktableはインポートされた画像のサムネイルをそのつど生成するのですが、最終的には一番新しいものからいくつかがキャッシュに残るだけです。そのため、もっと画像を少しずつ分けてインポートするほうが、処理速度的な問題が起きにくくなります。

JPEG画像を無視(ignore JPEG images)
: 選択したフォルダにインポートしたくない `JPEG` 画像も入っている場合、この設定をオンにしてください。この設定は、カメラが `RAW+JPEG` で保存するようになっていて、 `JPEG` 画像はそのままにして `RAW` ファイルだけを現像したい場合などによく使われます。

## データベースに追加

「データベースに追加」(add to library)ボタンでは、ローカルにファイルとして存在している画像をdarktableのデータベースに追加することができます。この処理では、画像ファイル自体をコピーしたり移動したりはせず、単に画像の詳細情報を内部データベースに追加して、XMPサイドカーファイルを作るだけです。

新しい画像のみ選択(select only new pictures)
: _初期状態_ （ダイアログが開いたときの状態）で、まだdarktableのデータベースに読みこまれたことがない画像だけを選択した状態にするには、このチェックをオンにしてください。なお、画像をもう一度darktableに読みこみ直すと、XMPサイドカーファイルから画像の情報が読みこまれます。また、ダイアログ最下部に、現在選択中のフォルダの「新しい」画像だけを選択するボタンも用意されています。

---

**注意：** 「データベースに追加」では画像ファイルの複製を別のフォルダに作ったりはせず、そのままで処理を行います。「データベースに追加」は、画像を表示・現像処理できるようにするため、単純にその画像の詳細をdarktableの内部データベースに追加する（そして必要ならXMPサイドカーファイルを作る）だけです。

これはつまり、インポートしたあとに画像ファイルをディスクから削除してしまうと、darktableからはその画像にアクセスできなくなってしまう、ということです。さらに、darktableはファイルシステム上の変化を見ているわけではありません。新しく画像が増えても、明示的にインポートするまでは、darktableでは表示されません。

---

## コピーしてインポート

この操作では、ファイルシステム上（マウントされたドライブ等も含め）の画像ファイルを別の場所にコピーし、そのコピーされた画像をdarktableのデータベースに追加します。

コピー先のファイル名／ディレクトリ名を設定するため、以下のような設定が可能です。デフォルトでは「ジョブ名」(import job)だけ表示されていますが、「命名規則」(naming rules)の部分（あるいはその横の三角印）をクリックすることで追加の設定が表示されます。

ジョブ名(import job)
: インポートするジョブの名前です（ `$(JOBCODE)` 変数の値にもなります）。

日付けを上書き(override today's date)
: `$(YEAR)` 、 `$(MONTH)` 、 `$(DAY)` 、 `$(HOUR)` 、 `$(MINUTE)` 、 `$(SECONDS)` といった変数を使う際、現在の日付や時間ではなく特定の値で上書きしたい場合、ここに日付・時間を入力してください（ `YYYY-MM-DD[Thh:mm:ss]` 形式です）。そうしたくなければ空けておいてください。

ベースディレクトリ名パターン(base directory naming pattern)
: パス名のうち、ベースディレクトリ部分を決めるパターンです（デフォルト： `$(PICTURES_FOLDER)/Darktable` ）。入力欄の横にあるアイコンをクリックすると、手動でディレクトリを選択することもできます。

サブディレクトリ名パターン(sub directory naming pattern)
: パス名のうち、サブディレクトリ部分を決めるパターンです（デフォルト： `$(YEAR)$(MONTH)$(DAY)_$(JOBCODE)` ）。

元のファイル名を保持(keep original filename)
: インポートする際、下のパターンに従ってファイル名をつけるのではなく、元のファイル名のままコピーする場合、ここをオンにしてください。

ファイル名パターン(file naming pattern)
: パス名のうち、ファイル部分を決めるパターンです（デフォルト： `$(YEAR)$(MONTH)$(DAY)_$(SEQUENCE).$(FILE_EXTENSION)` ）。

ウインドウを開いたままにする(keep this window open)
: インポートが終了した後もこの画面を開いたままにして、命名規則を変えた複数のインポートを続けて行うことができます。

ここのオプションはほとんど [設定(preferences) > インポート(import)](../../../../preferences-settings/import.md) でも設定することができます。使うことができる変数についても、詳しくはこの節を参照してください。

## カメラからコピーしてインポート

この操作では、接続されたカメラからファイルをローカルファイルシステムにコピーし、そのコピーされた画像をdarktableのデータベースに追加します。「コピーしてインポート」と同様の命名規則を使うことができますが、コピー元の場所やフォルダを選択することはできません。
