---
title: selected images
id: selected-image 
applicable-version: 3.6
tags: 
view: lighttable
---

ライトテーブルで選択された画像に対して、各種操作を行います。

# モジュールの操作

このモジュールは2つのタブに分かれており、一方は画像の操作、もう一方は画像のメタデータを操作するために使います。

## 画像(images)タブ

データベースから削除(remove)
: 選択された画像をdarktableのデータベースから削除します。ここで削除された画像は、darktableからは見えなくなり編集もできなくなりますが、画像ファイルとXMPサイドカーファイル（あれば）はファイルとしては残ります。darktableでは、XMPファイルが常に最新の編集履歴情報を持っているように保っていますので、あとから再インポートすれば、それまでの作業がそのまま復元できます。

破棄(delete/trash)
: 選択された画像をdarktableのデータベースから削除し、なおかつXMPファイルがあればそれも削除します。さらに、対象の画像の複製がデータベースに残っていなければ、画像ファイルそのものも削除されます。ただし、この動作については、本当に画像ファイルを完全に削除するか、あるいはPCのゴミ箱に移動しようとするだけなのか、 [設定(preferences) > 確認(security)](../../../preferences-settings/security.md) で設定することができます。また、この設定画面の2つめのチェックで、画像ファイルを削除するときに確認が表示されるかどうかも設定できます。

移動(move)
: 選択された画像（画像ファイル自体と、XMPサイドカーファイル全部）を別のフォルダに移動（darktableのデータベースの話ではなく、実際にファイル自体を移動）します。もし移動先フォルダに同じ名前のファイルがもともと存在している場合、移動は行われません。

コピー(copy)
: 選択された画像（画像ファイル自体と、XMPサイドカーファイル全部）を別のフォルダにコピー（darktableのデータベースの話ではなく、実際にファイル自体をコピー）します。もし移動先フォルダに同じ名前のファイルがもともと存在している場合、上書きコピーはせず、元の画像と同じ編集履歴を持った複製が新しく作成されます。

HDR合成(create HDR)
: 選択された画像から高ダイナミックレンジ(HDR)画像を合成し、新しくDNGフォーマットのファイルとして保存します。この機能で使う画像は、適切に位置合わせしてある必要があります。つまり、基本的には安定した三脚で撮ったものを使います。もちろん、この機能を使わずLuminance HDRのような別のHDR合成ソフトを使ってHDR画像を作り、それをdarktableでインポートして編集することも可能です。なお、darktableでは、HDR合成できるのはRAWファイルだけです。

複製(duplicate)
: darktableの内部で、選択された画像の複製を作ります。「複製」画像は同じ入力ファイルを共有していますが、それぞれ別のXMPサイドカーファイルを使い、darktableの内部データベースでは別々に扱われます。こうすると、同じ画像で異なった編集を試してみるといったことが可能です。

回転
: 選択された画像を、時計回りか反時計回りに回転させます。それともうひとつ、画像の向きをEXIFデータにあるとおりにリセットするボタン(reset rotation)もあります。この機能は、 [_画像の向き(orientation)_](../../../module-reference/processing-modules/orientation.md) モジュールと直接結びついています。このボタンで行った操作は、自動的に向きモジュールの操作に変換され、編集履歴スタックにも記録されます。

ローカルコピー(copy locally)
: 選択された画像のローカルコピーを、ローカルなディスクドライブに作成します。ここで作成したコピーは、元の画像がアクセスできなくなったとき（訳注：ノートPCを持って出かけたら家のNASにアクセスできなくなる、など）でも使うことができます（詳しくは [ローカルコピー(local copies)](../../../overview/sidecar-files/local-copies.md) の説明を参照してください）。

ローカルコピーを同期(resync local copy)
: 選択された画像のローカルコピーのXMPサイドカーファイルを、元の（たぶん外付けの）メディアのファイルに書き戻し、それからローカルコピーを削除します。なお、ローカルコピーが編集されており、かつ元のファイルがあるメディアがアクセスできない場合にこのボタンを押しても、ローカルコピーは削除されないようになっています（詳しくは [ローカルコピー(local copies)](../../../overview/sidecar-files/local-copies.md) の説明を参照してください）。

グループ(group)
: 選択された画像を新しくグループにします（詳しくは [グループ化(image grouping)](../../../lighttable/digital-asset-management/grouping.md) の説明を参照してください）。

グループ解除(ungroup)
: 選択された画像をグループからはずします（詳しくは [グループ化(image grouping)](../../../lighttable/digital-asset-management/grouping.md) の説明を参照してください）。

## メタデータ(metadata)タブ

メタデータの種類のチェックボックス
: どのメタデータを操作するか選びます（評価(ratings)、タグ(tags)、メタデータ(metadata)、色(colors)、ジオタグ(geo tags)）。

コピー(copy)
: 選択されている画像の、チェックされている種類のメタデータをクリップボードにコピーします。画像を複数選択していたり、何も選択していなかったりすると、このボタンは使えません。

貼り付け(paste)
: 選択されている画像に、クリップボードにあるメタデータを貼り付けます。

消去(clear)
: 選択されている画像から、チェックされている種類のメタデータをすべて消します。

モード(mode)
: メタデータを画像に貼り付けるときに、ここの設定によって、すでに存在するメタデータと統合する（ _統合(merge)_ ）か、完全に置きかえる（ _上書き(overwrite)_ ）かを選べます。

EXIF再読み込み(refresh exif)
: EXIFデータを元の画像ファイルから再び読み込みます。注意：この操作によって、darktableで変更したタグやメタデータ（星の数など）が上書きされてしまう場合があります。

モノクロ(monochrome)
: この画像に「モノクロ」の印をつけます。こうすることによって、編集モジュールでモノクロ用のワークフローが使える場合は適用されるようになります。詳しくは、 [モノクロ画像の現像(developing monochrome images)](../../../guides-tutorials/monochrome.md) の節の説明を参照してください。

カラー(color)
: モノクロの印を消し、通常のカラー画像を扱うデフォルトのワークフローが適用されるようになります。
