---
title: export
id: export-selected
applicable-version: 3.6
tags: 
view: lighttable
---

選択された画像をエクスポートします。

ダークルームで使った場合、フィルムストリップの別の画像が選択されていなければ、編集中の画像がエクスポートされます。

ディスク上の通常の画像ファイルとしてエクスポートするほか、電子メール、オンラインストレージ、ウェブアルバムサービス、LaTeXのブックテンプレートにもエクスポートできます。

# モジュールの操作

## 保存設定(storage options)

保存先(target storage)
: 選択された画像をエクスポートする場所の種類を選びます。ディスク上の通常のファイル、LaTeXのブックテンプレート、各種ウェブアルバムサービスなど、いくつかの形式に対応しています。選択された形式に応じて、ファイル名、アカウント名とパスワードなど、追加の情報を入力する欄が表示されます。

ファイル名テンプレート
: 画像がエクスポートされるフォルダとファイルの名前を決めます。あらかじめ定義されている各種変数を使って自動生成することも可能です。詳しくは、 [変数(variables)](../../../special-topics/variables.md) の節の説明を参照してください。

出力ディレクトリ選択
: ファイル名テンプレート欄の右にあるボタンでダイアログが開き、エクスポートするファイルを保存するディレクトリを選択できます。

重複時(on conflict)
: ファイル名がすでに存在するファイルと重複した場合どうするか、以下の選択肢から選びます。

: - _ファイル名変更(create unique filename)_ ：ファイル名の後に自動的に整数をつけて、重複しないファイル名に変えてエクスポートします。

: - _上書き(overwrite)_ ：自動的に既存のファイルを上書きします。この選択をしている場合、誤ってデータを消してしまわないよう、確認ダイアログが表示されます。この表示は [設定(preferences) > セキュリティ(security) > エクスポート時の上書き確認(ask before exporting in overwrite mode)](../../../preferences-settings/security.md) で無効にできます。 _**注意：** このダイアログはファイルごとに表示されるわけではなく、エクスポート作業を開始したときにまとめて一回だけ表示されます。_

: - _飛ばす(skip)_ ：エクスポートしようとしたファイル名がすでに存在した場合、そのファイルはエクスポートしません。

## 形式設定(format options)

ここの設定は、 _ファイル形式_ によって表示されるものとされないものがあります。

ファイル形式(file format)
: エクスポートされる画像のファイル形式を選択します。これ以降の設定は、選択された形式に応じて表示されます。

品質(quality)
: エクスポートされる画像ファイルの品質を設定します。高い値を設定するほどファイルサイズは大きくなります。デフォルトの値（95）は、（印刷やアーカイブ化など）非常に高い品質が求められる場合に適した値です。品質をもう少し妥協してサイズを小さくしたい場合（ネットで表示するとかアップロードするとか）、90ぐらいに設定してみてください。

ビット深度(bit depth)
: 各色チャンネルごとのビット数を設定します。ビット数が多いほど階調がなめらかに表現できます。

圧縮(compression)
: どの圧縮方法を使うか選択します。

圧縮レベル(compression level)
: 何らかの _圧縮_ が設定された形式でエクスポートする場合、 _圧縮レベル_ によってどの程度強く圧縮をかけるか設定します。高いレベルを設定するほどより強く圧縮されますが、CPUの処理は重くなります。

白黒画像(b&w image)
: TIFF形式でエクスポートする場合、モノクロ画像を保存することができます。ここの設定で、グレーの階調を別々のRGBチャンネルとして出力するか、単一のグレースケールチャンネルとして出力するか選びます。後者のほうがファイルサイズは小さくなります。

## 全体設定(global options)

サイズの単位(set size)
: エクスポートする画像の最大サイズを、どの単位で指定するか設定します。

: - _ピクセル（ファイル用）(in pixels)_ ：最大の幅と高さをピクセルで指定します。

: - _cm（印刷用）(in cm)_ ：最大の幅と高さをセンチメートルで指定し、さらに画像のdpi(dots per inch)を指定します。実際に何ピクセルに相当するのかは自動的に計算されます。

: - _インチ（印刷用）(in inch)_ ：最大の幅と高さをインチで指定し、さらに画像のdpiを指定します。実際に何ピクセルに相当するのかは自動的に計算されます。

: - _倍率（ファイル用）(by scale)_ ：エクスポートされる画像が、元の画像の何倍になるか倍率を指定します。例えば、0.5を入力すると、出力画像は元の画像の半分の幅・高さ（ピクセル数で）になります。

dpi
: 単位をセンチかインチにした場合、出力画像のdpiを指定します。なお、dpi情報はエクスポートされた画像のEXIFデータにも出力されます。「ピクセル」や「倍率」を選択した場合、EXIFのdpi情報は自動で300に設定されます。

最大サイズ
: エクスポートされる画像の最大の幅と高さを、ピクセル・センチメートル・インチのいずれかで（単位の設定に応じて）指定します。ゼロはその方向に最大を指定しないことを表します。エクスポートされる画像は、縦横比を保ったまま、この幅と高さの両方の制限を越えないような大きさで出力されます。幅と高さを両方ゼロにすると、元の画像のサイズそのままでエクスポートされます（クロップ操作があればクロップしたサイズ）。この設定値が元の画像のサイズより大きい場合、元のサイズのままか、あるいは拡大してエクスポートされます。どちらになるかは「拡大を許す」の設定によります。

拡大を許す(allow upscaling)
: これを「はい」(yes)に設定すると、最大の幅と高さの設定が元画像より大きい場合に拡大処理が行われます。「いいえ」(no)の場合、エクスポートされた画像の幅や高さは元画像（クロップ後の）を越えません。

高品質リサンプリング(high quality resampling)
: これを「はい」(yes)に設定すると、画像の高品質なリサンプリングが行われます。元の解像度のまま現像処理が行われ、エクスポート過程の一番最後に縮小処理されます。このほうがきれいに出力できる場合がありますが、処理速度は必ず遅くなります。

プロファイル(profile)

: 出力カラープロファイルを指定します。個々の画像で [_出力カラープロファイル(output color profile)_](../../processing-modules/output-color-profile.md) モジュールを使って設定した値を使いたいのであれば、「画像設定」(image settings)を選択してください。

インテント(intent)
: これはカラーマネジメントにおけるレンダリングインテントを設定します。つまり、色域外の色をdarktableがどのように扱うかを決めます。ここの選択肢の詳しい説明は、 [レンダリングインテント(rendering intent)](../../../special-topics/color-management/rendering-intent) の節を参照してください。

スタイル(style)
: [スタイル(style)](../lighttable/styles.md) を選択して、画像の履歴スタックの上にスタイルを組み合わせて出力画像を生成することができます。ここでスタイルとして追加される履歴項目は、エクスポートにあたって一時的に追加されるだけで、元の履歴スタックが上書きされたりはしません。この機能は、画像をエクスポートするときに特定の処理やパラメータ調整を追加する、という目的に使うことができます。例えば、ネット上で使う縮小したJPEGファイルを作るときだけシャープネスを強くするスタイルを使うとか、出力画像すべてに一定の露光補正をかけるとかいったことが可能です。

モード(mode)
: エクスポート時にスタイルを適用する場合、ここの設定によって、スタイルに含まれる項目が元の履歴スタックの内容を置き換えるか、追加されるかが決まります。正確に言うと、「追加」(append)モードでは、スタイルにある各履歴項目は、対応する各モジュールの新しいインスタンスの操作として扱われます（ [複数インスタンス(multiple instances)](../../../darkroom/processing-modules/multiple-instances.md) の節参照）。その結果、元の履歴スタックの操作はすべて元どおり効果を発揮し、その上に新しい操作が追加されます。こうすることにより、それぞれの画像での設定を保った上で、複数の画像エクスポートにおいて全体に同じ調整（露光補正など）を追加することができます。

エクスポート(export)
: このボタンを押すと、選択された画像すべてのエクスポート作業がバックグラウンドで開始します。左パネルの一番下にあるバーがエクスポートの進捗状況を表します。さらに、個々の画像のエクスポートが完了するごとに、ポップアップメッセージが表示されます。このポップアップはクリックすれば消せます。また、進捗バーの近くにある "×" アイコンをクリックすると、エクスポート作業を中止できます。

---

**注意：** 選択されていても非表示になっている画像（展開されていないグループの中身）はエクスポートされません。

---

# メタデータ設定

モジュールのプリセットメニュー（訳注：右端の三本線ボタン）の「設定...」(preferences)を選択するとダイアログが表示され、エクスポートされたファイルにどのメタデータを含めるか設定することができます。

![metadata config](./export-selected/metadata-config.png)

このダイアログで入力したパラメータは、他のエクスポート設定と同様にユーザープリセットとして保存され、最後に入力した値はdarktableを終了しても残ります。

## 一般設定(general settings)

このダイアログの左側では、どの種類のメタデータをエクスポートする画像に含めるかを選べます。選択肢は以下のとおりです。

EXIFデータ(exif data)
: 元画像のEXIFデータをエクスポートします。

メタデータ(metadata)
: [メタデータ編集(metadata editor)](../shared/metadata-editor.md) モジュールで定義したメタデータをエクスポートします。 _プライベート(private)_ か _非表示(hidden)_ がつけられたものはエクスポートされません。

ジオタグ(geo tags)
: 元画像のジオタグをエクスポートします。

タグ(tags)
: [タグ付け(tagging)](../shared/tagging.md) モジュールで付けたタグを（ `Xmp.dc.Subject` に）エクスポートします。また3つのオプション設定をつけることができます。
: - _プライベートタグ(private tags)_ ：プライベートタグもエクスポートする
: - _別名(synonyms)_ ：タグの別名をエクスポートする
: - _階層構造を省略(omit hierarchy)_ ：階層構造があるタグの場合、一番下のレベルだけエクスポートする

階層化タグ
: 階層構造を持ったタグを（ `Xmp.lr.Hierarchical Subject` に）エクスポートします。

現像履歴
: サポートされている場合（JPEG、JPEG2000、TIFFなど）、現像操作の全履歴（履歴スタックとシェイプ）をエクスポートします。履歴は出力ファイルのXMPタグとして保存されます。ここで出力された情報は、エクスポートされた画像を出力するために必要なパラメータや設定をあとから再構成するためにも使うことができます。

---

**注意：** いろいろな理由で、出力ファイルにXMPタグを埋めこむ操作は何の表示もなく失敗する場合があります。例えば、何かのサイズ制限を越えた場合などです。このため、このタグを埋めこむ機能をバックアップとみなして信用するのはおすすめできません。バックアップが必要な場合は、必ず（RAWの）入力ファイルとdarktableのXMPサイドカーファイルの両方をしっかり保存するようにしてください。

---

## メタデータごとの設定(per metadata settings)

このダイアログの右側では、画像に埋めこまれるメタデータの形を個別に定義することができます。ここで定義された内容は、ダイアログ左側のチェック設定より優先されます。それぞれの項目の左側には、定義するメタデータの識別子(identifier)を指定します。右側には、その識別子に対して出力されるメタデータの内容を生成する式を定義します。

メタデータの式に使うことができる変数について詳しくは、 [変数(variables)](../../../special-topics/variables.md) の節を参照してください。式を確定するにはEnterキーを押してください。式を空にしておくと、その識別子のメタデータがエクスポートされないようにできます（上の画像の例で言うと、 `Exif.GPSInfo.GPSVersionID` がそのような場合です）。

"--" アイコンを使えばメタデータの項目を削除できます。 "+" を使うと、メタデータタグ（識別子）の一覧から選択して新しい項目を追加できます。

「追加」(add)ボタンを押すたびに一覧に追加されます（訳注：「完了」(done)ボタンで終わります）。

ここで式を定義することで、 画像を説明するのに必要なメタデータを事実上なんでもタグに埋めこむことができ、またそれを好きなXMP・IPTCタグにエクスポートすることができます。エクスポートされるタグは、エクスポート操作ごとに画像に応じて変えることができます。タグとタグの分類（ツリー構造の「葉」でない部分）は、画像情報として別々に表示されます。

_「分類」であるタグは決してエクスポートされない、という点にご注意ください。_

## ヒント

- メタデータの特定の項目をエクスポートされないようにするには、ここでリストに追加しておいて、式の部分を空にしておけばよいです。
- EXIFデータのエクスポートをしない設定のときに、EXIFの特定の項目だけエクスポートされるようにするには、ここでリストに追加しておいて、式の部分には `=` を入力するとよいです。

## 例

例1
: "places" という1段階めのタグが分類として設定されており、さらに4段階の情報（というかキーワード）として、 "country"、"region"、"city"、"location" が続いているとします（ `places|France|Nord|Lille|rue Nationale` など）。この場合それぞれの段階の情報は（設定されていれば）、 `$(CATEGORY0(places))`, `$(CATEGORY1(places))` 、 `$(CATEGORY2(places))` 、 `$(CATEGORY3(places))` という変数で取り出せます。前述の例では、それぞれ "France"、"Nord"、"Lille"、"rue Nationale"という値が返ります。また、このようなキーワードは、 `$(TAGS)` という変数を使えば、単純なタグとして取り出すこともできます。一番最後の段階のキーワード（ツリー構造の「葉」）は [画像情報(image information)](../shared/image-information.md) で表示され、前述の例では"rue Nationale"となります。

例2
: "creator" という1段階めのタグに撮影者の名前が続き、両方が分類として設定されているとします。つまり `creator|firstname lastname` のような形です。権利(copyrights)に式 `$(YEAR) $(CATEGORY0(creator))` を設定することで、画像の権利に関する文字列を生成します。すると、 [画像情報(image information)](../shared/image-information.md) では "creator: firstname lastname" が分類として表示されます。"creator"も"firstname lastname"もタグのリストには入らず、単純なタグとしてエクスポートされることはありません。

---

**注意：** タグというものは、画像ごとの表題や説明のような、自由記述のメタデータには適していません。そのような情報を書きたい場合、 [メタデータ編集(metadata editor)](../shared/metadata-editor.md) を使ってください。

---
