---
title: importing sidecar files generated by other applications
id: sidecar-import
weight: 20
draft: false
author: "people"
---

画像をインポートする際、darktableは自動的にサイドカーファイルがあるかどうかチェックします。 `<basename>.<extension>.xmp` や `<basename>_nn.<extension>.xmp` という名前の（darktableのXMPファイルの名前の）ファイルに加えて、 `<basename>.xmp` という名前の（LightroomのXMPファイルの名前の）ファイルがあるかどうかも探します。後者の形式の名前のファイルは、darktableでは読みこまれますが書きこまれることはありません。画像がインポートされた後、darktable形式の名前のXMPファイルを自動的に作成します。

現在darktableでは、Lightroomで生成されたサイドカーファイルをインポートする場合、以下のメタデータを読みこむことができます。

- タグ（階層化されたタグも含む）
- 色ラベル
- 評価
- GPS情報

さらに、darktableは、特定のソフトにおける画像編集から移行する場合に手助けできるようにも設計されています。これはdarktableでそのまま別のソフトを置きかえられるようにするという話ではなく、これまでに労力を費した作業をある程度復元する手助けをする、という目的の機能です。重要なのは、このようなインポート処理で、他のソフトウェアと完全に同一の結果が得られることは決してない、ということです。内部の現像処理の動作はソフトによって全然違っていますし、個々の画像によってもいろいろな違いがあります。編集結果がだいたい似た感じになることはあり得ますが、それでもふつうはdarktable上でもさらに多少の調整が必要になるでしょう。

この移行処理は、対応するXMPサイドカーファイルがあった場合、ダークルームに入ったときに自動的に行われます。

現在darktableでは、Lightroomで生成されたXMPファイルにおける以下の処理を取り扱うことが可能です（カッコ内はdarktableにおける対応するモジュールです）。

- 切り抜きと角度補正 （[_クロップと回転(crop and rotate)_](../../module-reference/processing-modules/crop-rotate.md)）
- 黒レベル （[_露光(exposure)_](../../module-reference/processing-modules/exposure.md)）
- 露光量 （[_露光(exposure)_](../../module-reference/processing-modules/exposure.md)）
- 周辺光量補正 （[_周辺光量補正(vignetting)_](../../module-reference/processing-modules/vignetting.md)）
- 明瞭度 （[_ローカルコントラスト(local contrast)_](../../module-reference/processing-modules/local-contrast.md)）
- トーンカーブ （[_トーンカーブ(tone curve)_](../../module-reference/processing-modules/tone-curve.md)）
- HSL （[_カラーゾーン(color zones)_](../../module-reference/processing-modules/color-zones.md)）
- 明暗別色補正 （[_スプリットトーン(split-toning)_](../../module-reference/processing-modules/split-toning.md)）
- 粒子 （[_粒子(grain)_](../../module-reference/processing-modules/grain.md)）
- スポット除去 （[_スポット除去(spot removal)_](../../module-reference/processing-modules/spot-removal.md)）