---
title: sidecar files
id: sidecar
weight: 10
draft: false
author: "people"
---

darktableは非破壊的な画像処理ソフトであり、画像を必ず読みこみ専用で開きます。darktableで作業したすべての内容（メタデータ、タグ、現像処理）は `.XMP` 形式の _サイドカーファイル(sidecar file)_ に別個に保存されます。サイドカーファイルは元々のRAWファイルとあわせて保存され、画像に関するすべての情報と完全な編集履歴が、元のRAWファイルに手をつけることなしに保存されます。darktableに画像をインポートするときに、XMPファイルが自動的に作成されます。XMPファイルの作成は [設定(preferences) > 保存処理(storage)](../../preferences-settings/storage.md) の設定で止めることも可能ですが、普通の使い方ではおすすめしません。

ある単独の画像について、異なった編集作業を別々の版として共存させることも可能です（ _複製(duplicate)_ と呼びます）。複製は同じ入力画像データを共有しますが、それぞれ別個にメタデータ、タグ、編集操作を保持します。同じ画像（ `<basename>.<extension>` という名前とします）の複製はそれぞれ別々のXMPサイドカーファイルで実現されます（ `<basename>_nn.<extension>.xmp` という形式で生成されたファイル名を持ち、 `nn` の部分は版数になります）。最初の編集（版数で言うと第ゼロ版になる「複製」）に関する情報は、 `<basename>.<extension>.xmp` という名前のサイドカーファイルに保存されます。個々の複製の版数がいくつなのかについては、darktableの各モードで [画像情報(image information)](../../module-reference/utility-modules/shared/image-information.md) モジュールに表示されます。

作業内容は自動的にサイドカーファイルにも同期され、「保存」ボタンを押すなどの操作は必要ありません。データをバックアップする際には、元画像と合わせてXMPファイルもバックアップするよう注意してください。何かのトラブルでバックアップから復旧するときに、作業内容を完全に復元するために必要になります。

darktableでは、アクセスを速くするため、サイドカーファイルに加えて内部的なデータベースにも画像に関するすべてのデータを保存します。そもそもdarktableでは、内部データベースに読みこまれて初めて、画像を表示したり編集したりすることが可能になっています。これは最初に画像を [インポート(import)](../../module-reference/utility-modules/lighttable/import.md) したときに自動的に行なわれます。それ以降、もし画像が再度インポートされた場合、データベース内容はXMPファイルから読みこまれ、更新されます。

画像が一旦darktableにインポートされると、内部データベースの内容がXMPファイルよりも優先されます。他のソフトでXMPファイルを変更したとしても、それはdarktableには反映されません。そのような変更があっても、darktableの同期処理の際にデータベースの内容で上書きされます。ただし、必要なら、darktable起動時にXMPファイルに変更があったかをチェックするように設定することは可能です。変更があった場合、変更されたXMPファイルの内容でデータベースを更新するか、あるいは通常通りXMPファイルを上書きするか選択できます。この設定をする場合も、 [設定(preferences) > 保存処理(storage)](../../preferences-settings/storage.md) の中で行ってください。