---
title: supported file formats
id: supported-file-formats
draft: false
weight: 20
author: "people"
---

darktableは、各カメラメーカーによるRAWファイル形式を多数サポートしています。さらに、HDR形式も含めて多くの形式の画像ファイルを読みこむこともできます（主にdarktableとそれ以外のソフトウェアの間でデータをやりとりするためです）。

darktableでファイルをインポートしようとする場合、以下のいずれかの拡張子（大文字小文字は無視）のファイルでなければなりません。 `3FR, ARI, ARW, BAY, BMQ, CAP, CINE, CR2, CR3, CRW, CS1, DC2, DCR, DNG, GPR, ERF, FFF, EXR, IA, IIQ, JPEG, JPG, K25, KC2, KDC, MDC, MEF, MOS, MRW, NEF, NRW, ORF, PEF, PFM, PNG, PXN, QTK, RAF, RAW, RDC, RW1, RW2, SR2, SRF, SRW, STI, TIF, TIFF, X3F`

darktableがJPEG2000のサポートつきでコンパイルされている場合、以下の拡張子のファイルも読みこめます。 `J2C, J2K, JP2, JPC`

darktableがGraphicsMagickのサポートつきでコンパイルされている場合、以下の拡張子のファイルも読みこめます。 `BMP, DCM, GIF, JNG, JPC, JP2, MIFF, MNG, PBM, PGM, PNM, PPM`

# カメラのRAWファイル

darktableは、オープンソースの [RawSpeed](https://github.com/darktable-org/rawspeed) というライブラリを使ってRAWファイルを読みこみます。これは元々 Klaus Post によって開発されたもので、今はdarktableプロジェクトの一部として開発されています。ここではサポートするカメラの完全な一覧は示しませんが（訳注：公式ページで [一覧](https://www.darktable.org/resources/camera-support/) が確認できます）、サポートするカメラやファイル形式の種類は順調に増加しています。最新のカメラもほぼサポートされており、新しく発売されたものもたいてい速やかに追加されています。

富士フイルムのX-Transセンサーを使ったカメラを例外として、darktableでは、ベイヤーフィルター型でないセンサーのカメラ（例えばFoveon X3センサーを使ったSIGMAのカメラなど）で撮影された画像は読みこみません。

# その他の（普通の）画像ファイル

darktableでは、JPEG、8ビット・16ビットPNG、8ビット・16ビットTIFFといった「普通の」画像ファイルや、16ビット・32ビット浮動小数点数TIFF形式の画像ファイルもそのまま読みこめます。

また、darktableではOpenEXR、RGBE、PFM形式のHDR画像も読みこむことができます。
