---
title: screen layout
id: screen-layout
draft: false
weight: 20
author: "people"
---

darktableの操作画面は6種類すべて同様の構造をしており、「中央部分」とその周囲にある「パネル」から構成されています。

![screen-layout](./screen-layout/screen-layout.png#w100)

1. 中央部分
: 現在の操作画面に特有の情報と機能を持ちます。

2. 左パネル
: 主に情報を表示するモジュールが並びます。

3. 右パネル
: 主に画像を処理するモジュールが並びます。

4. 上バナー
: darktableのバージョンを表示し、操作画面の切り替えもできます。また、一部のモジュールはここに追加で情報やメッセージを表示します。

5. [上パネル(top panel)](./top-panel.md)
: 全体の設定やショートカットがあります。

6. 下パネル
: 操作画面特有の設定やショートカットがあります。

7. [フィルムストリップ(filmstrip)](../../module-reference/utility-modules/shared/filmstrip.md)/[timeline](../../module-reference/utility-modules/lighttable/timeline.md) パネル
: 必要に応じて画面最下部に表示できるパネルで、現在のコレクションに含まれる画像のタイムライン（ライトテーブルの場合）やフィルムストリップ（その他の画面の場合）を表示します。

# パネルのサイズと表示・非表示

左右のパネルとフィルムストリップ（タイムライン）パネルは、内側の境界をドラッグすることで幅を変えられます。

各パネルは、一番外側にある三角形をクリックすることで、表示・非表示を切り替えられます。また、以下のキーボードショートカットを使うことでも切り替えられます。

```
TAB             一時的に、中央部分の表示を画面全体に拡大します。
                もう一度押すと元に戻ります。
F11             フルスクリーンモード切り替え
Shift+Ctrl+t    上パネル表示切り替え
Shift+Ctrl+b    下パネル表示切り替え
Shift+Ctrl+l    左パネル表示切り替え
Shift+Ctrl+r    右パネル表示切り替え
Ctrl+f          フィルムストリップ（タイムライン）パネル表示切り替え
Ctrl+h          上バナー表示切り替え
b               境界や表示切り替え三角形の、表示切り替え
```
---

**注意：** パネルの幅や表示・非表示は、それぞれの操作画面ごとに別々に管理されます（訳注：たとえばライトテーブルで左パネルを隠しても、ダークテーブルの左パネルの表示・非表示には影響しません）。

---
