---
title: "editing an image: workflow overview"
id: workflow-overview
draft: false
weight: 20
author: "people"
---

この節では、 [ダークルーム(darkroom)](../../darkroom/_index.md) で写真を現像する基本を解説します。ダークルームでは、いろいろなモジュールをとりそろえており、クリエイティブな目標に到達する手助けとなります。

まず、 [ライトテーブル(lighttable)](../../lighttable/_index.md) のサムネイル表示をダブルクリックして、画像をダークルームで開いてください。

ダークルームで画像に対して行った変更はすべて、履歴スタックに記録されます。この履歴情報は、darktableのデータベースと、編集中画像のXMPサイドカーファイルに保存されます。違う画像に移ったり、ダークルームから別のモードに移ったりした時点で、全ての操作履歴が自動的に保存されるようになっています。ですので、いつでも好きなときにダークルームから出て、あるいはdarktable自体を終了して、あとで戻ってきたときに問題なく作業の続きが再開できます。このため、darktableにはいわゆる「保存」ボタンはありませんし、そもそも必要ありません。

ダークルームの左パネルには、 [履歴スタック(history stack)](../../module-reference/utility-modules/darkroom/history-stack.md) モジュールがあります。ここには行った編集操作が下から順に一覧表示されており、何かひとつ操作するたびに一番上に項目が増えていきます。この履歴表示の好きな場所を選択することで、その時点で画像がどのように見えるか確認することができます。この履歴スタックは、冗長な部分を削除して最短な形に圧縮することができますので、編集結果に満足できた時点でそうしてください。ただし、履歴スタックを圧縮すると、そのとき選択されていた場所より上にある編集履歴は、すべて完全に削除されることに注意してください。

darktableにはたくさんの [編集モジュール(processing modules)](../../module-reference/processing-modules/_index.md) が入っており、[モジュール グループ(module groups)](../../darkroom/organization/module-groups.md) で分類されています。グループを選択するには、右パネルの最上部、 [ヒストグラム(histogram)](../../module-reference/utility-modules/shared/histogram.md) のすぐ下のボタンを使ってください。

# ワークフローを選ぶ

現像処理では、一連のモジュールを順番に適用することになります。このモジュールの並びを [ピクセルパイプライン(pixelpipe)](../../darkroom/pixelpipe/_index.md) と呼びます。

![edit-overview](./edit-overview/edit-overview.png#w100)

1. _シーン参照(scene-referred)_ モジュールの仲間は、各ピクセルの値として、撮影シーンでカメラによって記録された光の量に比例する値を想定しています。ピクセルパイプラインのシーン参照部分におけるダイナミックレンジは、たいていディスプレイ等の出力媒体のダイナミックレンジより大きくなります。

2. ピクセルパイプラインのある段階で、このピクセルの値は、トーンマッピングを行うモジュールによって、ディスプレイ表示や印刷に合わせた狭いダイナミックレンジの範囲に圧縮されます。

3. それより後のモジュールは、ピクセルパイプラインの _ディスプレイ参照(display-referred)_ 部分（非線形）で処理を行い、最終的な出力を生成します。

darktableでは、以下の二種類のデフォルトワークフローを使うことができます。それぞれ、編集のためのデフォルトの初期状態を設定します。
- [_シーン参照ワークフロー(scene-referred workflow)_](edit-scene-referred.md) では、ほとんどの編集処理をパイプラインのシーン参照部分で行うと想定しており、ディスプレイ参照空間へのダイナミックレンジ圧縮を可能なかぎり後で行います。こちらがdarktableでのデフォルト設定の、そして推奨されるワークフローです。トーンマッピング圧縮と露光設定の適用には、 [_フィルミックRGB(filmic rgb)_](../../module-reference/processing-modules/filmic-rgb.md) モジュールが使われます。
- [_ディスプレイ参照ワークフロー(display-referred workflow)_](edit-display-referred.md) は、後方互換用のワークフローモードで、他のたいていの画像処理ソフトと同様に動作します。このモードでは、トーンマッピング圧縮をピクセルパイプラインのもっと早い段階で行い、その結果多くのモジュールがディスプレイ参照空間で処理されます。トーンマッピング圧縮には、 [_ベースカーブ(base curve)_](../../module-reference/processing-modules/base-curve.md) モジュールが使われます。

3つめの選択肢は、デフォルトワークフローを _なし(none)_ にすることです。この場合、デフォルトのモジュール適用順序はシーン参照ワークフローのものになりますが、どのモジュールも自動的には適用されなくなります。ユーザーが自由にトーンマッピング圧縮に使うモジュールを選択したり、必要ならモジュールの順序を入れかえたりできる、ということです。デフォルトワークフローを変更するには、[設定(preferences) > プロセッシング(processing) > ワークフローのデフォルト処理を自動適用(auto-apply pixel workflow defaults)](../../preferences-settings/processing.md) で設定してください。

---

**注意：** シーン参照とディスプレイ参照のどちらをデフォルトワークフローとして使うかを変更した場合、新しい設定は、新しく編集する画像に対してのみ有効になります。別のワークフロー設定の状態でダークルームで開いた画像がすでにある場合は、それまでの編集操作を破棄してワークフローをリセットする必要があります。ダークルームの [_履歴スタック(history stack)_](../../module-reference/utility-modules/darkroom/history-stack.md) のところで、「リセット(reset)」ボタンを押してください。

---
