---
title: exporting and uploading images with metadata
id: export-metadata-upload
draft: false
weight: 50
author: "people"
---

darktableで画像を編集した結果は、通常の（ラスター）画像編集ソフトのように直接画像ファイルに保存されるわけではありません。darktableは非破壊型の画像処理ソフトです。つまり、編集操作はすべてdarktable内部のデータベースに記録され、元の画像ファイルは変更されません。そのため、darktableの外に持ち出せる別の出力ファイルに編集処理やメタデータ編集を書き出すため、エクスポート(export)操作が必要となります。

画像のエクスポートは、 [エクスポート(export)](../../module-reference/utility-modules/shared/export.md) モジュールを使って行います。これはライトテーブルとダークルームで使うことができます。ここではいろいろな出力設定を選ぶことができますが、ほとんどの場合には「現像したRAW画像をJPEGで保存」することになります。

darktableで画像をエクスポートする場合、2つの基本的な質問に答える必要があります。

- _エクスポートする画像をどこに置くか？_ たいていの場合は、ローカルなディスク上のフォルダにファイルとして書き出す、という選択になるでしょうが、その他にもLaTeXのフォトブックテンプレートとして書き出すとか、 [Hugin](http://hugin.sourceforge.net/) (パノラマ結合に) や [GIMP](https://www.gimp.org/) (さらに編集する場合に) といった外部プログラムに送る、といった選択肢もありえます。

- _エクスポートする画像をどんな形式で保存するか？_ これは画像ファイルの形式（JPEG、PNG、TIFF、OpenEXR等）を指定するだけではなく、品質、圧縮率、解像度、ピクチャープロファイル、埋めこむメタデータなども含まれます。

そこで、一般的には次のような手順になります。

1.  ライトテーブルで1つ以上の画像を選択する

2.  エクスポート先の場所と形式を選択する

3.  画像の幅と高さの最大値を設定する。元の解像度でエクスポートするには、最大値を両方ゼロに設定する

デフォルトでは、エクスポートした画像はローカルなディスク上に高品質なJPEGとして元の解像度で保存されます。エクスポートのその他の可能な設定については、[エクスポート(export)](../../module-reference/utility-modules/shared/export.md) モジュールの説明の節を参照してください。
