---
title: import, rate & tag images
id: import-rate-tag
draft: false
weight: 10
author: "people"
---

darktableで何か新しい画像の編集を始めようと思ったら、まず最初にするのはその画像を [インポート(import)](../../module-reference/utility-modules/lighttable/import.md) することです。この操作で、darktable内のデータベースにその画像を登録し、行った編集操作が記録できるようになります。画像をインポートするには、主に三つの方法があります。

画像を追加する
: インポートモジュールの「データベースに追加(add to library)」ボタンを使うと、画像ファイルをライブラリ（darktableの内部データベース）に追加できます。このとき、ファイルシステム上でコピーしたり移動したりする必要はありません。画像を追加する際、darktableは画像に埋めこまれたメタデータと、対応する [XMPサイドカーファイル](../../overview/sidecar-files/_index.md) も読みこみます。画像が既にデータベースに追加されているものであれば、無視されます（ただしサイドカーファイルが更新されていれば読みこみます）。画像の所在はデータベースに記録されますが、darktableがファイルをどこかにコピーしたり移動したりはしません。

コピーしてインポートする
: これは上の操作と同様ですが、まず最初に画像ファイルを別の場所にコピーして（コピー先は [設定(preferences) > インポート(import)](../../preferences-settings/import.md) で定義されたパターンに従います）、それからコピーのファイルをデータベースに読みこみます。

カメラからコピーしてインポートする
: カメラから画像をインポートするには、まずカメラをお使いのコンピュータにUSBケーブルで接続してください。もしコンピュータがカメラ内のディレクトリを自動的に表示しようとする場合、その動作を止めてください。そうしないとdarktableから直接カメラにアクセスすることはできません。インポートモジュールに、接続したカメラが表示されていない場合、「デバイスを検知(scan for devices)」ボタンを押してください。カメラが認識されれば、インポートモジュールに、画像を _コピーしてインポート_ する機能と、カメラで撮影しながら _テザリング_ する機能が現れるはずです。「コピーしてインポートする」ボタンと同様、darktableはカメラからインポートされたファイルを、特定のディレクトリに実際にコピーします。コピーされたファイルの名前は、[設定(preferences) > インポート(import)](../../preferences-settings/import.md) で設定されたパターンで決まります。

画像がデータベースに追加されると、ライトテーブルに表示されます。インポートされた直後は、すべての画像が星1つの評価になります。

インポートされた画像の集合を管理するには、タグ付けや評価を変更するなど、いろいろな方法があります。詳しくは、このガイドの [デジタル素材管理(digital asset management)](../../lighttable/digital-asset-management/_index.md) の節を参照してください。

ワークフローの例としては、次のようなものが考えられます。
1. ライトテーブルを、星1つの評価の画像だけ表示するように設定します。
2. 最初の簡単な写真の選別を行います。どうしようもないピンぼけなど明らかに要らなそうな画像は、Rキーで _却下(reject)_ をつけるか、あるいは星0の評価に変更します。この段階をパスできそうな、大きな問題がなさそうな画像は、2キーを押して星2つの評価とします。評価が星1つでなくなった画像は自動的に表示されなくなるので、全部完了するまでこの選別を進めます。
3. ライトテーブルを、星2つの評価の画像だけ表示するように設定します。先ほど選別された画像を、今度はもう少していねいに確認し、星3つに上げるか、星1つまたは却下に落とすか決めます。
4. 星3つの画像について少し編集を行ってみて、残す価値があるか確認します。よさそうな画像については、タグを付けたり、星4つか5つに上げたりします。
5. 星4つ、5つの画像について、しっかり最終的な編集を行います。そして印刷したり、ポートフォリオサイトに上げたりして、大勢の拍手喝采をありがたく頂戴します。
6. もしディスク容量というものが第一の関心事項であれば、却下や星0評価の画像を完全に削除することを考えるかもしれません。その場合、不要な画像をすべてライトテーブルで選択して、 [選択画像(selected images)](../../module-reference/utility-modules/lighttable/selected-image.md) モジュールの「ごみ箱(trash)」オプションを使います。この操作は、二度と必要にはならない画像である、とはっきり言いきれるものにだけ使うようにしてください。
