---
title: import & review
id: import-review
draft: false
weight: 20
author: "people"
---

darktableで何かをしようと思ったら、まず最初に [ライトテーブル(lighttable view)](../../lighttable/_index.md) の [インポート(import)](../../module-reference/utility-modules/lighttable/import.md) モジュールで、何か画像ファイルをdarktableの内部データベースに追加する必要があります。この操作で、データベース（「ライブラリ」とも呼ばれます）にその画像を登録し、行った編集操作が記録できるようになります。画像をインポートするには主に三つの方法があり、インポートモジュールのボタンで選択できます。

データベースに追加(add to library)
: 画像ファイルをデータベースに追加します。このとき、元のファイルが変更されることはなく、ファイルの場所もそのままです。画像を追加する際、darktableは画像に埋めこまれたメタデータと、対応する [XMPサイドカーファイル](../../overview/sidecar-files/_index.md) も読みこみます（存在すれば）。画像が既にデータベースに追加されているものの場合、サイドカーファイルが更新されていればその情報を読みこみます。

コピーしてインポート(copy & import)
: まず最初に画像ファイルを別の場所にコピーして（コピー先は [設定(preferences) > インポート(import)](../../preferences-settings/import.md) で定義されたパターンに従います）、それから _コピーのほうの_ ファイルをデータベースに追加します。元のファイルが変更されることはなく、場所もそのままです。

カメラからコピーしてインポート(copy & import from camera)
: まず、カメラをお使いのコンピュータにUSBケーブルで接続してください（もしコンピュータがカメラを自動的にUSBストレージとして扱って中身を表示する場合、その動作を止めてください）。インポートモジュールに、接続したカメラが表示されていない場合、「デバイスを検知(scan for devices)」ボタンを押してください。カメラが認識されれば、インポートモジュールに、画像を _コピーしてインポート(copy & import)_ する機能が現れるはずです。「コピーしてインポート」ボタンをクリックすると、選択中の画像をカメラから特定のフォルダに実際にコピーし（コピーされたファイルの名前は、[設定(preferences) > インポート(import)](../../preferences-settings/import.md) で設定されたパターンで決まります）、それからコピーされた画像をデータベースに追加します。

画像がインポートされる（データベースに追加される）と、サムネイルがライトテーブルに表示されます。インポートした画像の管理は、このライトテーブルで行います。詳しくは、[画像の管理(digital asset management)](../../lighttable/digital-asset-management/_index.md) の節を参照してください。

ライトテーブルはまず第一に、「画像を評価選別し、どの画像をさらに編集してどの画像を破棄するかを決める」という処理のために使われます。以下に、この選別過程の流れの例を示します。
1. まず、ライトテーブルで星1つの評価の画像だけを表示するようにします。 [トップパネル(top panel)](../user-interface/top-panel.md) の「 _表示(view)_ 」のところで設定してください。darktableでは、新しくインポートした画像にはデフォルトで星1つの評価がつけられますので、この操作で、インポートしたばかりの画像がすべて表示されるはずです。また、必要があれば、 [コレクション(collections)](../../module-reference/utility-modules/shared/collections.md) モジュールを使って、表示する画像をさらに細かく選択することができます。
2. 最初の簡単な写真の選別を行います。どうしようもないピンぼけなど明らかに要らなそうな画像は、_却下(reject)_ をつけるか、あるいは星0の評価に変更します（それぞれ、マウスカーソルを対象の画像に重ねて "R" キー 、"0" キーです）。この段階をパスできそうな、大きな問題がなさそうな画像は、"2" キーを押して星2つの評価とします。評価が星1つでなくなった画像は自動的に表示されなくなりますので、全部完了する（ライトテーブルに何も表示されなくなる）までこの選別を進めます。
3. ライトテーブルで星2つの評価の画像だけ表示するように設定します。先ほど選別された画像を、今度はもう少していねいに確認し、星3つに上げるか、より低い評価に落とすか決めます。ここでも、ライトテーブルに何も表示されなくなるまでこの選別を進めます。
4. ライトテーブルで星3つの評価の画像だけ表示するように設定します。星3つの画像について [ダークルーム(darkroom view)](../../darkroom/_index.md) で試しに少し編集を行ってみて、さらに手を加える価値があるかどうか検討します。よさそうな画像については、最終的な編集を行う候補として星4つに上げます。
5. 星4つの画像について最終的な編集を行い、最終的な結果を確認するため [エクスポート(export)](../../module-reference/utility-modules/shared/export.md) します。最後に、ひととおり終了した印として、残った画像の評価を星5つに上げます。

_もしディスク容量がきびしい環境であれば、却下や星0評価の画像を完全に削除することを考えるかもしれません。その場合、不要な画像をすべてライトテーブルで選択して、 [選択画像(selected images)](../../module-reference/utility-modules/lighttable/selected-image.md) モジュールの「削除（ゴミ箱）(trash/delete)」オプションを使います。この操作は、二度と必要にはならない画像である、とはっきり言いきれるものにだけ使うようにしてください。_
