---
title: process
id: process
draft: false
weight: 30
author: "people"
---

本節は、 _シーン参照(scene-referred)_ ワークフローを使ってダークルームでの現像を行う方法に慣れていただくための内容となっています。おすすめの方法は、まず [_モジュール3つだけで画像処理(image processing in 3 modules)_](#image-processing-in-3-modules) のところまでは以下のガイドにそって進めて、それから必要にあわせてそれ以降のどの部分を読むか選択することです。

# はじめに

## 適切な露光で撮影する

良い画像処理というものは、カメラで撮影する時点ですでに始まっています。適切に露光した（白飛びや黒つぶれが起きていない）画像を用意できさえすれば、その後の処理はずっと単純なものになります。露光不足や露光過多はdarktableである程度「修正」できるとはいえ、そもそもRAW画像に記録できていないような情報を復元できるソフトウェアは存在しません。可能であれば [右合わせ露出(exposure to-the-right, ETTR)](https://en.wikipedia.org/wiki/Exposing_to_the_right) の方法を使うことで、その後の処理で使えるデータを最大限多く確保することができます。一般的な経験則としては、どんな画像でも 0.5 から 1EV は露光をアンダーに（可能ならISO感度を下げることで）してもだいたい大丈夫です。もしカメラで表示したときに思ったより暗くかったとしても、そもそもカメラのプレビューというものはRAWデータではありません。

## シーン参照ワークフローという新しい方法

他のRAW現像ソフト（あるいはバージョン3.0以前のdarktable）を使ったことがある方は、そのソフトと大きく違う点があることに気付かれるかもしれません。darktableは、現在ではほとんどの処理モジュールで _シーン参照(scene-referred)_ の方法を使っています。この方法は、映画の撮影では広く使われており、これまでの _ディスプレイ参照(display-referred)_ の方法よりもずっと問題が起きにくいことが知られています。

_ディスプレイ参照の処理_ では、まず最初にRAWファイルのデータを圧縮して、純粋な黒を0、純粋な白を1とした範囲におさめ、その際中間のグレーは0.5に固定します。そしてこの圧縮されたデータに対して、ディスプレイ上で「きれいに」見えるように、トーンカーブが自動的に（そして不可逆的に）適用されます。このように大きく変更されたデータに対して、その後の画像編集の処理が行なわれます。 _ディスプレイ参照_ の問題点は、ピクセルの輝度と彩度の本来の関係が最初から失われてしまう（通常、色ずれも起きます）ことで、このことによってダイナミックレンジが増加したときには悪名高い「HDR写真っぽい」見ためになってしまいます。

現実の世界では、「純粋な黒」などというものはそもそも存在せず（どんな場所にも必ず _いくらかの_ 光があります）、「どのくらい明るいか」ということにも物理的な限界はありません（ですので「純粋な白」などというものもありません）。 _シーン参照の処理_ では、RAWデータを限界のない線形スケールで扱うことで、可能なかぎり撮影シーンの物理的性質を保つようにします。そしてデータをディスプレイのダイナミックレンジに合わせて圧縮することは、画像処理が完了した後で行います。

シーン参照ワークフローでは、よくある方法の多く（例えばトーンカーブやレベル設定）が、もはや画像を操作する有効な方法とは言えなくなります。その種の方法は、シーン参照では正しくない「黒」「白」「グレー」の定義に依存しているからです。ディスプレイ参照の経験がある人は、新しい手法を学び古い手法をあきらめる必要があるわけですが、そうすることで、ずっと問題が起きにくく予測可能な出力が得られるというメリットがあります。

---
それでは、[設定(preferences) > 処理(processing) > ピクセルワークフローのデフォルト操作を自動適用する(auto-apply pixel workflow defaults)](../../preferences-settings/processing.md) を「シーン参照(scene-referred)」に設定してください。

---

_設定画面に入るには、 [トップパネル(top panel)](../user-interface/top-panel.md) の歯車アイコンをクリックしてください。_

## ホワイトバランスと色の較正

ほとんどの画像処理ソフトでは、画像のホワイトバランスを設定するのに伝統的な「色温度と色合い」の方法を使っています。darktableでは、 [カラー較正(color calibration)](../../module-reference/processing-modules/color-calibration.md) モジュールによってずっと安定で柔軟な方法が用意されており、光源の色を明示的に設定することができます。これは特に、人工的な光源で照らされているシーンで有用です。

なお、シーン参照でも [ホワイトバランス(white balance)](../../module-reference/processing-modules/white-balance.md) モジュールを使うことができますが、このモジュールの設定はふつう変える必要はありません。

---
それでは、[設定(preferences) > 処理(processing) > 色順応のデフォルト操作を自動適用する(auto-apply chromatic adaptation defaults)](../../preferences-settings/processing.md) を「モダン方式(modern)」に設定してください。

---
## 管理された環境で編集する

画像処理とは、本来は十分に管理された環境で行われる必要があります。すなわち、おおむね中間グレーを背景、白色光源を照明として、適切に較正されたモニターを使います。

まあこのようなことは、だいたいの日曜大工的編集環境では現実的ではないとは言え、たとえばモニター表示の背景を設定することなどは _可能_ なわけです。darktableのインターフェースは "grey" の入ったテーマのどれかを使い、画像のトーンや色を調整するときには [色評価モード(color assessment mode)](../../module-reference/utility-modules/darkroom/color-assessment.md) を使ってください。"dark" 系のテーマはかっこいいかもしれませんが、暗い部屋の映画スクリーンで表示するための画像を作りたいとかいうのでない限り、写真の処理には使わないほうがよいです。

---
それでは、[設定(preferences) > 一般(general) > テーマ(theme)](../../preferences-settings/general.md) を "darktable-elegant-grey" か "darktable-icons-grey" に設定してください。

---
## ダークルームに入る

ライトテーブルで編集する画像を選び、ダブルクリックしてダークルームで読みこみます。今回は、適切に露光が設定されている画像を選んでください。露光設定がうまくいっていない画像を補正する方法については、後ほど扱います。

ダークルームでは、画像の右側に、一連の [編集モジュール(processing modules)](../../darkroom/processing-modules/_index.md) が表示されます。各々のモジュールはそれぞれ個別の処理を担当し、モジュール一覧に表示されている順番（下から上）に処理が行われます。レンガを積み上げていくような感じで、ひとつ積むごとにその下までの処理結果に新しい処理を加えていくようなイメージで考えることができます。

左側には [履歴スタック(history stack)](../../module-reference/utility-modules/darkroom/history-stack.md) モジュールがあり、各種編集モジュールの設定を変更した操作の順番が表示されています（履歴スタックモジュールを展開する必要があるかもしれません）。これを使うと、履歴スタックの前のほうの段階に戻すことで、編集操作を元に戻すことが可能です。なお、何もしていなくても自動的に様々なモジュールが適用されていることもおわかりになると思います。これは、RAWデータから、少なくともちゃんと目に見える画像にするために必要な処理です。

ここで、画面右側でのモジュールの順序（モジュールが _実行される_ 順序）と履歴スタックでのモジュールの順序（モジュールが _操作された_ 順序）との違いを理解しておくことは重要です。

画面の右上には [スコープ(scopes)](../../module-reference/utility-modules/shared/scopes.md) モジュールがあり、ここで画像の中の色の分布を確認することができます。

---
もし以前にダークルームで見た、あるいは編集した画像を開いているのであれば、まず _編集履歴を破棄_ してから（ [_履歴スタック_](../../module-reference/utility-modules/darkroom/history-stack.md) モジュールの _リセット_ ボタンを押してから）始めてください。そうすることで、ここまでの設定変更を反映したデフォルト操作が再適用され、編集のためのまっさらな初期状態が得られます。

---
## なんでRAW画像はJPEGと違う変な見た目なの？

_……まだ何も処理していないからです_

ライトテーブルからダークルームに切り替えて最初に目につくのは、画像が違った感じに見えることです。たいてい、ライトテーブルで見たときより平板で色が薄くなります。これは、ダークルームでは（まだほとんど何の処理もされていない）RAW画像を表示するのに対して、ライトテーブルでは最初に（カメラで生成した）JPEGのプレビュー画像を表示するからです。今ダークルームで画像を開いたので、これ以降はライトテーブルでの表示も編集画面と同様のものに更新されます。

ほとんどのRAW現像ソフトでは、何もしていない段階でも一般的なカメラの生成するJPEGと同様の見た目になるように、大変な労力をかけています。これはまあ（カメラの生成する画像にほんの少し調整を加えたいだけ、という人にとっては）便利なのかもしれませんが、我々製作チームとしては、ユーザーはRAW現像ソフトを使うことで自分なりの画像を作り上げるものと想定しております。そして、それがどのようなものなのかは人によるので、カメラのあずかり知らぬところです。もし上述のETTR手法を使っているなら、そもそもカメラの生成するJPEGファイルは、最終的な目標とはほぼ確実にかけ離れていることでしょう。

このため、darktableのデフォルト設定は、中立的な、編集のための _初期状態_ が得られるように意図されており、それ以上のことはしません。 _我々としては、このことを変更するつもりはありません。_

## モジュールのグループ

スコープモジュール（画面の右上）の下には、タブが並んでおり、darktableのモジュールが [グループ分け(grouped)](../../darkroom/organization/module-groups.md) されています。目的のモジュールが見つけられない場合は、検索機能を使うこともできます。

---
このガイドでは、いわゆるハンバーガーアイコン（タブの右、三本線のアイコン）をクリックして、「ワークフロー：シーン参照(workflow: scene referred)」というプリセットを選んでおいてください。

---

# モジュール3つだけで画像処理

以下の調整はシーン参照型の編集における基本となるもので、大多数の画像については多かれ少なかれ必要となります。大抵は、この処理だけでもそれなりの見た目の画像を得ることができます。

ここでは画像全体の色調を調整しますので、まず（Ctrl+Bを押して） [色評価モード(color assessment mode)](../../module-reference/utility-modules/darkroom/color-assessment.md) をオンにして、以下の処理をズームアウトした状態で行ってください。

1. **全体の明るさを設定する**： まず、 [_露光(exposure)_](../../module-reference/processing-modules/exposure.md) モジュールの _露光_ スライダーを調整することで、画像全体の平均的な明るさ（つまり中間グレーの明るさ）を設定します。これは純粋に美的な観点からの設定ですので、「どういう画像がほしいのか」というユーザーの意図に基づいて設定します。たとえば、ハイキーな画像がほしければ、ローキーな画像のときより全体的に明るく設定する、ということです。色評価モードでは、設定の助けとなるよう2種類の基準色が表示されます。画像周囲の白い枠と、その外側の中間グレーの背景です。

   この時点では、画像の明るい部分がつぶれてしまっていてもあまり気にしなくて大丈夫です。次の段階で復元することができます。

   ---

   _**注意：** [レンズ補正(lens correction)](#correct-lens-distortions) モジュールも画像の明るさに影響します。そこで、露光を設定する前にレンズ補正をオンにしておくとよいかもしれません。_

   ---

2. **白と黒を設定する**： ここから2つの段階で、 [_フィルミックRGB(filmic rgb)_](../../module-reference/processing-modules/filmic-rgb.md) モジュールを使い、画像の中の色すべてがディスプレイのダイナミックレンジに収まるように対応させるやり方を設定します。まず、 [_「シーン(scene)」タブ_](../../module-reference/processing-modules/filmic-rgb.md#scene) で _白_ と _黒_ の相対露出値のスライダーを調整します。これは完全に技術的な設定で（訳注：「意図とか美的感覚とかを問題にするわけではない」、という意味でしょう）、この画像で「白」「黒」がどんな値なのかを、先に設定した中間グレーに対する相対的な値として決めます。画像の中に、「純粋な白」「純粋な黒」として扱うべき色が含まれている場合、スライダーの横にあるカラーピッカーを使って（選択範囲の最大値、あるいは最小値を使います）値を設定することができます。そうでなければ、色評価モードの白枠を基準にして、手動で値を設定してください。

3. **コントラストを設定する**： 次に _フィルミックRGB_ の [_「ルック(look)」タブ_](../../module-reference/processing-modules/filmic-rgb.md#look) に移動してください（今回は [_「再構成(reconstruct)」タブ_](../../module-reference/processing-modules/filmic-rgb#reconstruct) は省略します）。モジュールの一番上の表示を [_「ルックのみ」_](../../module-reference/processing-modules/filmic-rgb.md#graphic-display) にして、フィルミックのトーンカーブが表示された状態にします。中間部分に直線（中間トーンのコントラストを決めます）が、上と下に曲線部分（ディスプレイのダイナミックレンジにおさまるように、暗部とハイライトが圧縮されている部分）があるはずです。

   _コントラスト(contrast)_ スライダーで直線部分の傾き（中間トーンのコントラスト）が、_ラティチュード(latitude)_ スライダーでは長さが、 _バランス シャドウ ハイライト(shadows/highlights balance)_ スライダーで場所が、それぞれ変えられます。ここではいろいろな取捨選択が発生します。たとえばもし中間トーンのコントラストを上げようと思えば、暗部やハイライトのコントラストは犠牲にしなければいけませんし、その逆も成り立ちます。このモジュールのデフォルト設定は、大部分の画像でそれなりにうまくいくようにしてありますが、それでもスライダーをある程度動かしてみて、どのように画像に影響が出るか見てみるべきでしょう。
   
   ---

   _**注意：** フィルミックRGBモジュールのハイライト圧縮によって、ハイライト部分のディテールが失われる場合があります。この問題は、 _白の相対露出値_ を減らすか、 _バランス シャドウ ハイライト_ を調整するか、 [「オプション(options)」タブ](../../module-reference/processing-modules/filmic-rgb.md#options) で _ハイライトのコントラスト(contrast in highlights)_ を変えるかして、ある程度は対応することができます。また、 [トーンイコライザー(tone equalizer)](../../module-reference/processing-modules/tone-equalizer.md) モジュールも、空などの相対的な明るさを下げるために使うことができます。_

   ---

4. **色の保存**： フィルミックモジュールのトーンマッピングでは、なるべく色の再現に影響を与えないように、色の分布を考慮して処理されます。デフォルトの色保存アルゴリズムはほとんどの画像についてうまく働きますが、もし色の再現が変なようでしたら、 [「オプション」タブ](../../module-reference/processing-modules/filmic-rgb.md#options) で _色度保持(preserve chrominance)_ の設定を変えてみることをおすすめします。

5. **彩度**： この時点では、おそらくまだ画像の色はそんなに鮮やかではないと思います。全体の彩度は、 [カラーバランスRGB(color balance rgb)](../../module-reference/processing-modules/color-balance-rgb.md) モジュールを使って調整することができます。「基本的な色鮮やかさを追加(basic colorfulness)」 という [プリセット(preset)](../../darkroom/processing-modules/presets.md) でそれなりによい設定ができますが、必要に応じてさらに設定を調整をしてみるのもよいでしょう。

   ---

   _**注意：** このガイドでは、画像のホワイトバランスはカメラで正しく設定されている、ということを前提としています。もしそうでなければ、最初に [カラー較正(color calibration)](#color-calibration) モジュールを使って多少の補正が必要になるかもしれません。_

   ---

ここまで来たら、もう一度Ctrl+Bを押して _色評価モード_ をオフにしてかまいません。

# その他の機能について

ここまでで説明した流れで処理を行なうと、それほど時間をかけずともそれなりによい画像を得ることができます。ですがほとんどの場合は、エクスポートする前にもう少し追加の処理が必要となります。以下では、darktableで使えるその他の機能についてのおおまかな説明と、さらに詳しい情報が必要な場合のため関連するリファレンスへのリンクを用意しました。

一般的には、まず（ここまでで概略を説明した）基本的な処理から始めて、それから各種の [_補正_](#corrections) を行い、最後に [_創造的な調整_](#creative-adjustments) を行なうべきです。

## 補正

### カラー較正(color calibration)

伝統的なホワイトバランス補正というのは、白とグレーを確実に無彩色（赤・緑・青の成分が等しい状態）にしようとするもので、それ以外の色に対する影響をどうこうしようとするものではありません。 [_カラー較正(color calibration)モジュールのCATタブ_](../../module-reference/processing-modules/color-calibration.md#white-balance-in-the-chromatic-adaptation-transformation-cat-tab) では、この方法を拡張して、その他の色についても取り扱えるように、また色順応について特別に設計された色空間で処理を行うようになっています。また、伝統的なホワイトバランス調整と同様、画像の中の中間グレーの部分を選択してホワイトバランスを計算するなど、自動・手動のいくつかの方法が用意されています。デフォルトでは、画像のEXIFデータから得られるホワイトバランスを使って設定するようになっていて、ふつうはこれで十分です。

もし _カラー較正_ モジュールで何か設定するのであれば、先に _カラーバランスRGB_ モジュールで行った彩度の補正を、後でもう一度行う必要があるかもしれません。

### レンズ歪みの補正

どんなレンズでも、画像に対していくらかの問題（歪曲、色収差、周辺減光）を発生させます。 [_レンズ補正(lens correction)_](../../module-reference/processing-modules/lens-correction.md) モジュールでは、さまざまな種類のレンズについて、このような問題の補正ができます。また、_レンズ補正_ でサポートされていない（あるいは部分的にしか）レンズについて色収差を補正するためには、 [_色収差(chromatic aberrations)_](../../module-reference/processing-modules/chromatic-aberrations.md) および [_RAW色収差(raw chromatic aberrations)_](../../module-reference/processing-modules/raw-chromatic-aberrations.md) モジュールも使うことができます。ほとんどの場合、単に _レンズ補正_ モジュールをオンにするだけで、レンズが自動認識されて可能な補正が自動適用されます。

_レンズ補正_ モジュールを使うのであれば、編集作業の一番最初に、露光の補正を行う前にオンにする必要があります。周辺減光の補正によって、画像の全体的な明るさが影響を受ける可能性があるからです。

### ノイズ削減・ディテールの保存

ピクセルレベルで言えば、ディテールを保つこととセンサーノイズを減らす（除去する）ことの間には確かにトレードオフの関係があります。ただほとんどの場合には、小さなノイズがあっても100%（等倍）にズームして見るのでもなければ気づかないもので、全く問題にはなりません。「等倍で見る」というのは、実際に画像を見るときとは違うものを見ていることになりますので（たとえ、大型モニター表示や大きく印刷することを想定していたとしてもです）。しかし、ピクセルパイプラインの後のほうで処理するモジュールにによっては（特にローカルコントラストを上げるもの）、ノイズを拡大してしまうような場合もあります。ですので、やはりいくらかのトレードオフは存在します。

このトレードオフを扱うモジュールはまず第一に [_デモザイク(demosaic)_](../../module-reference/processing-modules/demosaic.md) で、これはRAWファイルの単色（赤、緑、青）ピクセルから三原色すべてを持ったピクセルに変換する方法を制御します（訳注：ふつうのカメラのRAWファイルは、もともとどのピクセルも単色の情報しか持っていません）。デモザイクで使う各種のアルゴリズムには、細かいディテールを保つこととノイズ削減とについて、それぞれ個別のトレードオフがあります。通常、デフォルトのアルゴリズム（RCD）でそれなりにちょうどよく設定できます。

デモザイクのアルゴリズムだけでは、画像のノイズに対処するためにできることには限界があります。 [_ノイズ除去（プロファイル）(denoise (profiled))_](../../module-reference/processing-modules/denoise-profiled.md) モジュールは、各種の一般的なカメラセンサーのために専用に調整されており、ピクセルノイズを削減・除去するために使うことができます。デモザイクと同様、うまくノイズ除去とディテールの再現のバランスがとれるまで、設定を調整することになります。ですが、通常はデフォルト設定で十分です。

### シャープネスとローカルコントラスト

画像のローカルコントラストやシャープネスを調整するために使えるモジュールはいくつかあります。こうしたモジュールのほとんどは、境界の見た目のコントラストを強調しようとするもので、「本当の」シャープネスを上げるものではありません（レンズのデコンボリューション処理ではありません）。このようなモジュールを使う際には、極端な設定にすると歪み（ハローなど）を生じかねませんので、注意する必要があります。

- [_コントラストイコライザー(contrast equalizer)_](../../module-reference/processing-modules/contrast-equalizer.md) モジュールでは、特定のサイズの形状に限定してコントラストを調整することができます。たとえば、大きな被写体には影響を与えずに細かいディテールのコントラストだけを上げることや、その逆などが可能です。
- [_拡散とシャープ化(diffuse or sharpen)_](../../module-reference/processing-modules/diffuse.md) モジュールには、シャープ化、レンズぼけの除去、ローカルコントラスト強化といったプリセットが用意されています。
- [_ローカルコントラスト(local contrast)_](../../module-reference/processing-modules/local-contrast.md) モジュールでは、単純な操作で簡単に画像のローカルコントラストを強化できます。たいていの場合、モジュールをオンにするだけ、あるいはプリセットのどれかを選ぶだけです。
- [_シャープ化(sharpen)_](../../module-reference/processing-modules/sharpen.md) モジュールは、（存在すれば）カメラのアンチエイリアスフィルタで失なわれたシャープネスを復活させるためのモジュールです。 [設定(preferences) > 処理(processing)](../../preferences-settings/processing.md) で、自動的にオンになるようにも設定できます。ただし通常は、この古いモジュールよりも上で説明したモジュールを使うほうが望ましいです。

これまでで説明したモジュールと同様、小さな被写体のコントラストを上げる際には注意が必要です。等倍で画像を確認するというのは、最終的な出力を考えると実際的な方法ではありません。それにローカルコントラストの状態は、通常ズームアウトした状態のほうがよく判断できます。

### 白飛びしたハイライトを再構成する

適切な露出の写真が撮れればその後の処理はずっと楽になるものではありますが、darktableには白飛びした部分を扱う機能も用意されており、場合によっては失なわれた色や形を再構成することさえ可能です。

[_ハイライト再構成(highlight reconstruction)_](../../module-reference/processing-modules/highlight-reconstruction.md) モジュールは、白飛びしたハイライトを扱うためのごく基礎的な機能をそなえています。デフォルトでは、（赤・緑・青の）色チャンネルでどれか白飛びしているものがあるとき、他のチャンネルもすべて上限値とすることで、そのピクセルを白とするという処理を行います。これによって、ハイライト部分に不自然な色が出てくることを防ぎます。しかし、この処理ではなく、白飛びしていないチャンネルの情報を使うことを選べば、明るさや色を再構成することもできます。この処理で多少ハイライト部分のディテールは回復できますが、不自然な色が出てくるかもしれないので注意してください。

もっと良い方法は、 _ハイライト再構成_ をオフにして、かわりに [_フィルミックRGBモジュールの「再構成」(reconstruct)タブ_](../../module-reference/processing-modules/filmic-rgb.md#reconstruct) を使うことです。 _ハイライト再構成_ モジュールと同様、フィルミックRGBでも白飛びしていないチャンネルの情報を使ってディテールを再構成できます。その方法が不可能な場合には、白飛びしたハイライト部分を周辺となめらかにつなぐことや、周辺のピクセルから色を持ってくることができます。編集作業にこの処理を入れる場合、 _フィルミックRGB_ モジュール（のその他のタブ）を操作するときにあわせて行ってください。_フィルミックRGB_ のそれぞれのタブについて、左から右の順に設定を行います。

### 角度と遠近法歪みの補正

[_回転と遠近法(rotate and perspective)_](../../module-reference/processing-modules/rotate-perspective.md) モジュールでは、画像の傾きを補正したり、収束する水平・垂直線を平行に修正する（楔石補正）ことでシフトレンズの機能を再現したりすることができます。後者の操作は、主に建築写真で使われます。単に水平を（角度を）補正したいだけの場合は、右クリックの後ドラッグして水平線を指定することでも可能です。

### 汚れやシミ、不要なものの除去

[_レタッチ(retouch)_](../../module-reference/processing-modules/retouch.md) モジュールを使うと、画像内の別のところからピクセルを持ってくることで、不要なものを消すことができます。このモジュールでは、比較的大きなスケールの形状（肌のシミとか）を消しつつも細かいディテール（毛髪とか肌のきめとか）は残す、という処理のための強力な機能も用意されています。このモジュールは、主に画像に写りこんだゴミ等や肌のシミ等を消すために使われます。

### 空気のかすみの除去

darktableには、空気によるかすみを除去する方法が2種類あります。 [かすみ除去(haze removal)](../../module-reference/processing-modules/haze-removal.md) モジュールは非常に単純な操作で使えますが、 [_拡散とシャープ化(diffuse or sharpen)_](../../module-reference/processing-modules/diffuse.md) モジュールの「かすみ除去」(dehaze) プリセットを使えば、必要に応じてもっと柔軟な対応が可能です。

## 創造的な調整

### トリミングや枠の追加

画像の一部を切り抜くには [_トリミング(crop)_](../../module-reference/processing-modules/crop.md) モジュールを、色のついた枠で画像を囲むには [_縁取り(framing)_](../../module-reference/processing-modules/framing.md) モジュールを、それぞれ使ってください。どちらのモジュールについても、自由に縦横比（定義済みのものでも、独自のものでも）を設定できます。例えば、正方形に切り抜いた画像を3:2の枠で囲むことなども可能です。

### 覆い焼きと焼きこみ

「覆い焼き」や「焼きこみ」は、写真の明るさを場所ごとに増減させるための伝統的な（物理的）暗室技法です。darktableでは、これと同様のことを行うおすすめの方法は2通りあります。

- もし特定の「被写体」のみに対して選択的に覆い焼き・焼きこみをしたい場合、 [_露光(exposure)_](../../module-reference/processing-modules/exposure.md) モジュールの [新しいインスタンス](../../darkroom/processing-modules/multiple-instances.md) を作成し、 [描画マスク(drawn mask)](../../darkroom/masking-and-blending/masks/drawn.md) を使うことで、効果が必要な部分に限定されるようにしてください（詳しくは、 [マスクの微調整(mask refinement)](../../darkroom/masking-and-blending/masks/refinement-controls.md) の節を参照してください）。そしてマスクで指定された部分に対して、露光のスライダーを設定すれば完成です。
- もともと同程度の「明るさ」の部分に対して覆い焼き・焼きこみをしたい場合（たとえば、暗部を明るくするとか、ハイライトを暗くするとか）、 [_トーンイコライザー(tone equalizer)_](../../module-reference/processing-modules/tone-equalizer.md) モジュールを使ってください。

### モノクロ変換

darktableでは、画像をモノクロにする手段もいくつか用意されています。一番柔軟性の高い方法は、 [_カラー較正(color calibration)モジュールの「グレー」タブ_](../../module-reference/processing-modules/color-calibration.md#gray-tab) を使うことです。取っ掛りとしては、このモジュールにいくつかフィルムエミュレーションのプリセットが用意されています。

その他の方法について詳しくは、 [モノクロ画像の現像(developing monochrome images)](../../guides-tutorials/monochrome.md) の節を参照してください。

### カラーグレーディング

[_カラーバランスRGB(color balance rgb)_](../../module-reference/processing-modules/color-balance-rgb.md) モジュールに、画像の色を調整するための機能がまとめられています。暗部・ハイライト・中間トーンを個別に調整することもできますし、全体として調整することもできます。

# その他の重要な話題

## よく使うモジュール設定の再利用

darktableを使っていて、モジュールにいつも毎回同じ値を設定しているということに気付いたら、その設定をモジュールの [プリセット(presets)](../../darkroom/processing-modules/presets.md) としてまとめることができます。さらに、その同じ設定をすべての画像に対して設定しているような場合は、新しく編集を始める画像にそのプリセットを自動で適用させることも可能です。例えば、ある特定のカメラで撮った画像には露光モジュールでいつも同じ値を設定するという場合があると思います。そういうときは、そのカメラで撮った画像に対して該当の設定が自動的に適用されるようにプリセットを作成できます。

あるいは、特定の種類の画像に対して、いつも同じ「複数の」モジュールに対して同じ設定をする、という場合もあるかもしれません。そのような場合、 [スタイル(styles)](../../module-reference/utility-modules/lighttable/styles.md) を使うことで、選択画像に対して複数のモジュール設定を一度に適用することができます。

## 画像の一部分だけ調整する

ほとんどのdarktableモジュールは、画像全体に対して適用することも、[描画マスク・パラメトリックマスク(drawn and parametric masks)](../../darkroom/masking-and-blending/masks/_index.md) を使って特定の一部分だけに対して適用することもできます。

## darktableの操作方法

darktableを使うには、必ずスライダーやボタン等を使わなければならないというものではありません。darktableのほとんどの機能はショートカットから起動することもできます。キーボードやマウスのショートカットだけでなく、ゲームコントローラーやMIDIキーボード等の他の入力装置でショートカットを使うこともできます。詳しくは、 [ショートカット(shortcuts)](../../preferences-settings/shortcuts.md) の節を参照してください。
